/* BOING! for Linux - breakout clone */

/* matthew's sprite engine */
/* compile with -lvgagl -lvga */
/* overlays sprites onto a background and displays,
   similar to Commodore 64 VIC chip */

/* HEADER STUFF STARTS HERE */

#include <malloc.h>
#include <limits.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <linux/soundcard.h>
#include <sys/ioctl.h>
#include <sys/wait.h>
#include <vga.h>
#include <vgagl.h>
#include <math.h>
#include <termios.h>

int spritex[70];
int spritey[70];
int spritet[70];
/* arrays containing information about each sprite - x and y co-ordinates
and its type number. type -1 means no object. */
/* boing really needs 70 or more sprites */

char *palette[768];
char goldbl[512];
char redbl[512];
char greenbl[512];
char bal[256];
char bat[384];
char redblhit[512];
char *goldblock; char *redblock; char *greenblock; char *theball; char *thebat; char *hitredblock;

FILE *fp;

typedef struct
	{
	signed int x;
	signed int y;
	int up;
	int down;
	int left;
	int right;
	}
	Boingball;
Boingball	ball;

int batx; /* x position of the bat */
int dead = 0;
int lives = 5;
int score = 0;

void *font;

signed int dummy;
int dummy2; /* experimental variables */
int dummy3;
GraphicsContext realscreen; /* vgagl graphicscontext definitions */
GraphicsContext backvirtual;
GraphicsContext workvirtual;

/* SoundIt library 0.03

   Copyright 1994 Brad Pitzel  pitzel@cs.sfu.ca

   Feel free to use/distribute/modify as long as proper credits
   are included.
*/
 
/* Designed for digital sound effects in games.

   Will mix channels of mono 8-bit raw samples, & play back in "real-time".
   Each channel can only play one sample at a time, but all
   channels can play a different sample simultaneously.                 
   
   If you have sox, use the ' -t .ub ' option to make samples
   that this library will play properly.

   I wrote this in C, instead of C++, so hopefully a few more people will
   take a look and make it better :-)
*/

#ifndef SOUNDIT_VERS
#define SOUNDIT_VERS "0.03"

#include <stdlib.h>
#include <stdio.h>

/* 00002 = 2 fragments   */
/* 00007 = means each fragment is 2^7 or 128 bytes */
/* See voxware docs (in /usr/src/linux/drivers/sound) for more info */
#define FRAG_SPEC 0x00020007

/*==========================================================================*/
struct Sample
    {
    unsigned char *data;	/* unsigned 8-bit raw samples */
    int len;			/* length of sample in bytes  */
    };

typedef struct Sample Sample;

/* given the name of a .raw sound file, load it into the Sample struct */ 
/* pointed to by 'sample'                                              */
int
Snd_loadRawSample( const char *file, Sample *sample );


/*==========================================================================*/
/* init sound device, etc..                                                 */
/* num_snd  = the number of samples in the sample array *sa                 */
/* sa       = the sample array						    */
/* freq     = the rate (Hz) to play back the samples                        */
/* channels = # of channels to mix                                          */
/* sound_device = a char string for the sound device, eg, "/dev/dsp"        */
/* returns: 0=success, -1=failure.*/
int 
Snd_init( int num_snd, const Sample *sa, int freq, 
          int channels, const char *sound_device );


/* shutdown sample player, free mem, etc/etc..*/
int 
Snd_restore();


/* play a sound effect in the given channel 1..n*/
/* volume = integers from 0 (off) to 100 (full volume)*/
int 
Snd_effect( int nr, int channel );


/* stop a channel (1..n) from playing*/
/*void 
Snd_reset(enum snd_channel channel);*/
	

/* stop all channels from playing*/
/*void 
Snd_reset();*/
	
	
#endif

Sample snd[10];

/* sprite data arrays */
char sprite_image[70][17000]; /* 70 sprite types, sprites can be up to 170x100 pixels */

/* HEADER STUFF ENDS HERE */

/* MAIN PROCEDURE HERE --- IT'S RATHER DIFFICULT TO FIND IN THIS MESS! */
main()
{
char	key;
spr_init(); /* init sprite engine */
snd_init(); /* init sound (soundIt library) */
title(); /* display title screen */
spr_update();
check4key : /* loop to check for user keypress */
key = getchar();
if (key == 'n' || key == 'N')
	{ play(); title(); spr_update(); }
	else if (key == 'q' || key == 'Q')
	{ printf("IT'S NOW SAFE TO WAKE UP.\n"); exit(1); }
	else if (key == 'i' || key == 'I')
	{ instruct(); }
goto check4key;
scanf("%d",dummy);
}

snd_init()
{
/* load samples */
Snd_loadRawSample("bounce.raw",&snd[0]);
Snd_loadRawSample("redexp.raw",&snd[1]);
Snd_loadRawSample("explode_big.raw",&snd[2]);
Snd_loadRawSample("lvlend.raw",&snd[3]);
Snd_loadRawSample("dstelept.raw",&snd[4]);
Snd_loadRawSample("pow2.raw",&snd[5]);
Snd_loadRawSample("zap.raw",&snd[6]);
Snd_loadRawSample("dspldeth.raw",&snd[7]);
Snd_loadRawSample("explode.raw",&snd[8]);
/* init soundIt library */
Snd_init(8,snd,11000,4,"/dev/dsp");
}

spr_init()
{
vga_init();
vga_setmode(5);
gl_setcontextvga(5); /* initialise vgagl virtual screens */
gl_getcontext(&realscreen);
gl_setcontextvgavirtual(5);
gl_getcontext(&backvirtual);
gl_setcontextvgavirtual(5);
gl_getcontext(&workvirtual);

/* SPRITE IMAGE DATA */ 
/* the first 2 bytes are the x and y sizes of the sprite repsectively.
Make sure you get these right! After that each byte represents a colour
from the VGA palette. Colour 255 (hex ff) means 'transparent'. */
/* sprite 0 = invisible */
strcpy(sprite_image[0],"\x01\x01\xff");
/* sprite 1 = the ball (16x16) */
strcpy(sprite_image[1],"\x10\x10\xff\xff\xff\xff\xff\xb2\xb2\xb4\xb4\xb7\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb2\xb2\xb5\xb5\xb5\xb6\xb6\xb7\xb7\xff\xff\xff\xff\xff\xff\xb2\xb4\xb4\xae\xae\xb6\xb6\xb7\xb7\xb7\xb8\xff\xff\xff\xff\xb2\xb4\xb4\xad\xab\xad\xb2\xb7\xb7\xb7\xb8\xb8\xb8\xff\xff\xff\xb2\xb4\xad\xaa\xac\xb2\xb4\xb7\xb7\xb8\xb8\xb8\xb9\xff\xff\xb2\xb4\xae\xab\xac\xb2\xb4\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xba\xff\xb2\xb5\xae\xad\xb2\xb4\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xff\xb4\xb5\xb6\xb2\xb4\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xbb\xff\xb4\xb6\xb6\xb7\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xba\xbb\xff\xb7\xb6\xb7\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xba\xbb\xbc\xff\xff\xb7\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xba\xbb\xbc\xff\xff\xff\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xb9\xba\xba\xbb\xbb\xbc\xff\xff\xff\xff\xb8\xb8\xb8\xb9\xb9\xb9\xba\xba\xbb\xbb\xbc\xff\xff\xff\xff\xff\xff\xb8\xb9\xb9\xb9\xba\xba\xbb\xbc\xbc\xff\xff\xff\xff\xff\xff\xff\xff\xff\xba\xba\xbb\xbb\xbc\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
/* sprite 2 = goldish - yellowish brick (32x16) */
strcpy(sprite_image[2],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa1\xa2\xa2\xe4\xa2\xa2\xa2\xa1\xa1\xa2\xa3\xa1\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa3\xa3\xa4\xa2\xa4\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa1\xa2\xa2\xa2\xa2\xa1\xa2\xa3\xa2\xa1\xa2\xa2\xa3\xa3\xa1\xa3\xa2\xa1\xa3\xa2\xa4\xa4\xa4\xa5\xa3\xa5\xa3\xa4\xa4\xa3\xa2\xa1\xa2\xa1\xa2\xa3\xa3\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa4\xa3\xa4\xa2\xa3\xa3\xa4\xa3\xa4\xa3\xa4\xa5\xa2\xa5\xa3\xa4\xa4\xa3\xa1\xa2\xa2\xa1\xa1\xa3\xa3\xa1\xa2\xa3\xa2\xa2\xa3\xa3\xa2\xa4\xa2\xa3\xa2\xa4\xa4\xa4\xa5\xa2\xa4\xa2\xa5\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa4\xa3\xa4\xa4\xa2\xa5\xa1\xa4\xa5\xa5\xa4\xa2\xa3\xa4\xa4\xa3\xa3\xa2\xa2\xa2\xa2\xa3\xa3\xa2\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa5\xa3\xa5\xa4\xa5\xa5\xa2\xa6\xa3\xa3\xa4\xa4\xa3\xa1\xa1\xa1\xa1\xa1\xa3\xe4\xa4\xa2\xa3\xa2\xa2\xa3\xa2\xa3\xa3\xa3\xa3\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa4\xa5\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa2\xa4\xa2\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa3\xa5\xa4\xa4\xa3\xa4\xa3\xa3\xa4\xa5\xa4\xa6\xa6\xa5\xa5\xa3\xa4\xa4\xa3\xa1\xa2\xa1\xa2\xa3\xa3\xa2\xa2\xa2\xa4\xa2\xa4\xa1\xa3\xa3\xa4\xa2\xa1\xa3\xa4\xa3\xa4\xa4\xa3\xa5\xa5\xa4\xa4\xa3\xa4\xa4\xa3\xa2\xa2\xa3\xa3\xa3\xa3\xa2\xa4\xa4\xa2\xa3\xa4\xa4\xa3\xa1\xa5\xa4\xa5\xa4\xa4\xa3\xa3\xa5\xa4\xa5\xa5\xa4\xa5\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa2\xa4\xa2\xa2\xa4\xa1\xa4\xa4\xa2\xa4\xa2\xa4\xa3\xa5\xa4\xa4\xa4\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa3\xa4\xa4\xa3\xa1\xa3\xa4\xa4\xa4\xa0\xa2\xa4\xa1\xa1\xa2\xa4\xa5\xa3\xa5\xa4\xa5\xa5\xa4\xa5\xa4\xa3\xa6\xa5\xa4\xa4\xa4\xa6\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
/* sprite 3 = bright red brick (32x16) */
strcpy(sprite_image[3],"\x20\x10\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb5\xb3\xaf\xb5\xaf\xb6\xb6\xb5\xb5\xb4\xb7\xb4\xb5\xb6\xb7\xb8\xb6\xb7\xb6\xb6\xb5\xb9\xba\xb8\xba\xba\xb3\xb6\xb6\xb3\xb3\xb3\xb5\xb4\xb3\xb6\xaf\xaf\xb5\xb5\xb6\xb4\xb6\xb6\xb7\xb7\xb7\xb7\xb7\xb9\xb8\xb5\xb4\xb8\xb7\xba\xb9\xb8\xb3\xb6\xb6\xb3\xaf\xb4\xb3\xb4\xb6\xb3\xb4\xb5\xb4\xb3\xb5\xb6\xb5\xb7\xb8\xb8\xb7\xb5\xb8\xaf\xba\xb6\xb9\xb8\x27\xb8\xb8\xb8\xb3\xb6\xb6\xb3\xb4\xb3\xb6\xb5\xb4\xaf\xb3\xb7\xb7\xb6\xb5\xb5\xb6\xb7\xb7\xb9\xb7\xb8\xb8\xb8\xb9\xb6\xb9\xb9\x28\xb6\x29\xb9\xb3\xb6\xb6\xb3\xaf\xb3\xb4\xaf\xb7\xb4\xb6\xb8\xb7\xb8\xb8\xb6\xaf\xb3\xb5\xb8\xb8\xb7\xb9\xb8\xb9\x28\xb7\xba\xb7\xba\xb5\xb7\xb3\xb6\xb6\xb3\xaf\xaf\xb4\xb6\xaf\xb6\xb7\xb4\xb8\xb4\xb7\xb9\xb4\xb8\xb7\xba\xb6\xb9\x27\xb9\xb7\x28\x29\xb8\xb9\x2a\x2a\xba\xb3\xb6\xb6\xb3\xb6\xb7\xb3\xb5\xb7\xaf\xb7\xaf\xb7\xb9\xb8\xb7\xb4\xb7\xb9\xaf\x27\x28\x28\xba\x29\xb9\xb9\xb7\x2a\x2a\xba\xb8\xb3\xb6\xb6\xb3\xb6\xb6\xaf\xb7\xb6\xb8\xb5\xb5\xb7\xaf\xba\xba\xb5\xb8\xb8\xb9\xb7\xb3\xb9\x29\x27\x28\xba\xba\x2b\x2b\x27\xb8\xb3\xb6\xb6\xb3\xb5\xb5\xb6\xb7\xb5\xb6\xb7\xb7\xb7\xb6\xb6\xb8\xb9\xb9\xb7\xba\xb9\xb9\xb7\xb8\xb6\xb7\xb7\xba\xb8\x28\x28\x28\xb3\xb6\xb6\xb3\xb6\xb6\xb5\xb8\xb8\xb8\xb7\xb8\xb3\xb3\xb7\xb7\xb8\xba\xb9\xb8\xb8\x28\xba\xb4\xb6\x29\xb9\xb9\xb7\x28\xba\xba\xb3\xb6\xb6\xb3\xb7\xb6\xb8\xaf\xb6\xb8\xb6\xaf\xb7\xb9\xb6\xb6\xba\xb9\xb9\xb7\xba\x28\xb5\x29\x27\xb7\x28\xba\x29\xb9\x29\x2a\xb3\xb6\xb6\xb3\xb8\xb7\xb6\xb8\xb7\xaf\xb7\xb5\xb7\xb7\xb6\xaf\xb8\xb8\xba\xb8\xba\x29\x29\xb7\xba\xb7\xb9\xba\xb9\x28\x28\x2a\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6");
/* sprite 4 = bright green (radioactive?) brick (32x16) */
strcpy(sprite_image[4],"\x20\x10\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x77\x77\x74\x74\x74\x72\x72\x71\x72\x74\x76\x74\x76\x76\x75\x71\x77\x74\x73\x76\x74\x77\x79\x76\x79\x78\x76\x78\x77\x7a\x78\x74\x77\x77\x74\x72\x72\x75\x75\x74\x74\x76\x76\x74\x74\x73\x76\x77\x78\x76\x76\x77\x71\x79\x78\x78\x75\x78\x79\x7a\x7a\x79\x78\x74\x77\x77\x74\x75\x72\x75\x76\x74\x75\x75\x74\x77\x73\x73\x78\x76\x75\x77\x76\x79\x73\x79\x76\x78\x7a\x79\x7a\x7b\x79\x7b\x77\x74\x77\x77\x74\x73\x76\x74\x75\x74\x76\x75\x77\x77\x78\x75\x75\x78\x77\x77\x78\x78\x78\x78\x79\x7a\x79\x79\x76\x77\x76\x7b\x79\x74\x77\x77\x74\x76\x76\x74\x76\x77\x77\x73\x73\x78\x78\x73\x79\x77\x73\x78\x78\x78\x79\x7a\x79\x7b\x76\x7a\x77\x76\x75\x74\x76\x74\x77\x77\x74\x72\x71\x77\x76\x70\x76\x74\x75\x77\x77\x76\x72\x75\x76\x71\x79\x76\x79\x7b\x79\x7a\x7b\x7a\x79\x79\x7c\x7b\x77\x74\x77\x77\x74\x73\x73\x76\x75\x74\x76\x77\x74\x73\x78\x78\x78\x75\x77\x79\x75\x79\x78\x78\x7a\x7b\x79\x7b\x7b\x7a\x7d\x77\x7a\x74\x77\x77\x74\x74\x75\x72\x72\x77\x76\x74\x75\x75\x78\x78\x77\x76\x79\x78\x7b\x7a\x79\x7a\x73\x7b\x76\x7b\x7b\x77\x7d\x76\x7b\x74\x77\x77\x74\x72\x75\x73\x77\x76\x76\x78\x78\x74\x79\x76\x76\x76\x76\x7a\x74\x77\x79\x78\x7b\x78\x7b\x7a\x78\x74\x78\x75\x79\x74\x77\x77\x74\x75\x73\x76\x76\x72\x72\x77\x74\x73\x73\x78\x79\x74\x7a\x76\x76\x79\x78\x7a\x79\x79\x7a\x7b\x7b\x7b\x7b\x79\x7c\x74\x77\x77\x74\x74\x75\x76\x74\x78\x74\x79\x79\x72\x75\x75\x76\x77\x78\x76\x7b\x7a\x7a\x7b\x7c\x79\x79\x7b\x7d\x76\x7a\x7c\x7c\x74\x77\x77\x74\x76\x78\x74\x77\x79\x73\x79\x76\x78\x7a\x77\x7a\x78\x7b\x7a\x73\x7a\x76\x78\x76\x7c\x71\x79\x7d\x7c\x72\x77\x7d\x74\x77\x77\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x74\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77");
/* yellow brick `explosion' */
strcpy(sprite_image[5],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa1\xa2\xa2\xe4\xa2\xa2\xa2\xa1\xa1\xa2\xa3\xa1\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa4\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa1\xa2\xa3\xa2\xa1\xa2\xa2\xa3\xa3\xa1\xa3\xa2\xa1\xa2\xa4\xa4\xa4\xa4\xa5\xa3\xa5\xa3\xa4\xa4\xa3\xa1\xa1\xa2\xa1\xa2\xa3\xa3\xa3\xa2\xa2\xa2\xa3\xa3\xa2\xa3\xa3\xa4\xa2\xa3\xa4\xa4\xa3\xa4\xa3\xa4\xa5\xa5\xa5\xa3\xa4\xa4\xa1\xa1\xa2\xa2\xa1\xa1\xa3\xa3\xa1\xa2\xa3\xa2\xa2\xa3\xa3\xa2\xa4\xa3\xa3\xa2\xa4\xa4\xa5\xa2\xa2\xa4\xa2\xa5\xa3\xa3\xa4\xa4\xa2\xa2\xa2\xa3\xa3\xa2\xa1\xa1\xa1\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa2\xa1\xa1\xa4\xa5\xa4\xa4\xa2\xa3\xa4\xa4\xa3\xa3\xa2\xa2\xa2\xa2\xa3\xa3\xa2\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa5\xa3\xa5\xa4\xa5\xa5\xa2\xa6\xa3\xa4\xa4\xa3\xa3\xa1\xa1\xa1\xa1\xa1\xa3\xa4\xa4\xa2\xa3\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa5\xa5\xa6\xa6\xa6\xa5\xa5\xa3\xa4\xa3\xa3\xa1\xa2\xa2\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa4\xa4\xa1\xa3\xa3\xa4\xa1\xa1\xa3\xa4\xa3\xa4\xa4\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa3\xa3\xa2\xa2\xa3\xa3\xa3\xa3\xa2\xa4\xa4\xa2\xa3\xa4\xa4\xa3\xa1\xa5\xa4\xa5\xa4\xa3\xa3\xa3\xa5\xa5\xa5\xa4\xa4\xa5\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa2\xa4\xa2\xa4\xa4\xa1\xa4\xa4\xa2\xa4\xa2\xa4\xa3\xa5\xa4\xa4\xa4\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa3\xa4\xa4\xa3\xa1\xa3\xa4\xa4\xa4\xa0\xa2\xa4\xa1\xa1\xa2\xa4\xa5\xa5\xa5\xa4\xa5\xa4\xa4\xa5\xa4\xa6\xa6\xa5\xa4\xa4\xa4\xa6\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[6],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa2\xa1\xa1\xe4\xe4\xe4\xa2\xa2\xa2\xa2\xa1\xa1\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa2\xa3\xa3\xa4\xa4\xa4\xa3\xa2\xa2\xa1\xa2\xa2\xa2\xa2\xa1\xa2\xa3\xa2\xa3\xa3\xa3\xa3\xa3\xa1\xa1\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa5\xa3\xa5\xa3\xa4\xa4\xa3\xa2\xa1\xa2\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa3\xa4\xa4\xa4\xa3\xa4\xa2\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa1\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa2\xa2\xa3\xa4\xa4\xa4\xa4\xa4\xa5\xa2\xa4\xa2\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa4\xa3\xa5\xa1\xa1\xa1\xa1\xa4\xa5\xa5\xa2\xa2\xa3\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa2\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa5\xa3\xa5\xa4\xa5\xa6\xa6\xa6\xa4\xa4\xa4\xa3\xa1\xa1\xa1\xa1\xa1\xa1\xa3\xe4\xa4\xa2\xa3\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa5\xa4\xa6\xa6\xa5\xa5\xa3\xa4\xa3\xa3\xa1\xa2\xa3\xa3\xa3\xa3\xa2\xa2\xa4\xa4\xa2\xa4\xa4\xa4\xa4\xa2\xa2\xa1\xa3\xa4\xa3\xa3\xa3\xa3\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa4\xa4\xa2\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa4\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa3\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa2\xa4\xa4\xa4\xa1\xa1\xa4\xa2\xa2\xa4\xa2\xa4\xa3\xa5\xa4\xa4\xa4\xa5\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa1\xa1\xa1\xa3\xa4\xa4\xa4\xa1\xa1\xa1\xa1\xa1\xa2\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa5\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa6\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[7],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa2\xa2\xa1\xe4\xa2\xa1\xa1\xa1\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa3\xa3\xa4\xa2\xa4\xa3\xa3\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa1\xa1\xa1\xa1\xa1\xa1\xa2\xa2\xa1\xa1\xa2\xa2\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa4\xa4\xa3\xa3\xa2\xa1\xa1\xa1\xa2\xa3\xa3\xa3\xa3\xa2\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa2\xa3\xa4\xa3\xa3\xa3\xa3\xa4\xa5\xa2\xa3\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa1\xa3\xa3\xa2\xa3\xa3\xa3\xa2\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa2\xa5\xa3\xa3\xa4\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa1\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa4\xa4\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa5\xa3\xa5\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa1\xa1\xa1\xa1\xa3\xa3\xa3\xe4\xa4\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa4\xa4\xa5\xa3\xa4\xa3\xa3\xa2\xa2\xa2\xa3\xa3\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa5\xa5\xa6\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa1\xa2\xa3\xa3\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa3\xa3\xa4\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa3\xa4\xa3\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa1\xa1\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa2\xa4\xa2\xa2\xa4\xa4\xa4\xa2\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa3\xa4\xa4\xa3\xa1\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa5\xa4\xa4\xa6\xa6\xa6\xa6\xa6\xa6\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[8],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa2\xa2\xa1\xa2\xa2\xe4\xa2\xa1\xa1\xa1\xa1\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa2\xa2\xa2\xa1\xa2\xa2\xa2\xa2\xa1\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa2\xa4\xa4\xa4\xa4\xa5\xa3\xa3\xa5\xa5\xa3\xa4\xa1\xa1\xa1\xa1\xa1\xa1\xa2\xa3\xa3\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa4\xa3\xa3\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa1\xa2\xa2\xa1\xa1\xa3\xa3\xa2\xa2\xa2\xa4\xa4\xa2\xa2\xa2\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa3\xa3\xa3\xa3\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa5\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa2\xa6\xa3\xa3\xa4\xa4\xa1\xa1\xa1\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa2\xa3\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa2\xa2\xa2\xa2\xa2\xa4\xa2\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa3\xa5\xa4\xa4\xa3\xa4\xa3\xa4\xa4\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa3\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa3\xa4\xa2\xa2\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa4\xa5\xa4\xa4\xa3\xa3\xa3\xa2\xa2\xa1\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa4\xa4\xa4\xa4\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa0\xa2\xa4\xa1\xa1\xa2\xa5\xa5\xa3\xa5\xa4\xa5\xa5\xa4\xa5\xa4\xa3\xa6\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[9],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xe4\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa3\xa3\xa4\xa2\xa4\xa3\xa3\xa4\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa2\xa3\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa3\xa3\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa2\xa5\xa3\xa4\xa2\xa2\xa1\xa1\xa1\xa1\xa1\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa4\xa2\xa3\xa2\xa4\xa4\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa1\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa5\xa4\xa5\xa5\xa2\xa6\xa3\xa3\xa4\xa4\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa3\xa3\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa3\xa4\xa2\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa4\xa4\xa6\xa6\xa5\xa5\xa3\xa4\xa2\xa2\xa2\xa2\xa1\xa2\xa3\xa3\xa4\xa4\xa4\xa3\xa1\xa1\xa1\xa1\xa1\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa5\xa5\xa4\xa4\xa3\xa4\xa2\xa2\xa2\xa2\xa3\xa3\xa3\xa1\xa1\xa1\xa1\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa2\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa0\xa2\xa4\xa1\xa1\xa2\xa4\xa5\xa3\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[10],"\x20\x10\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa1\xa1\xa1\xa1\xa1\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa5\xa3\xa4\xa2\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa5\xa2\xa5\xa3\xa4\xa1\xa1\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa1\xa1\xa2\xa2\xa2\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa3\xa3\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa3\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa2\xa6\xa3\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa6\xa6\xa6\xa5\xa5\xa5\xa5\xa3\xa4\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa1\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa4\xa4\xa4\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa2\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa6\xa6\xa6\xa6\xa6\xa6\xa6\xa6\xa5\xa4\xa4\xa4\xa6\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4");
strcpy(sprite_image[11],"\x20\x10\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa4\xa4\xa2\xa4\xa1\xa4\xa1\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa2\xa2\xa1\xa4\xa1\xa4\xa1\xa4\xa3\xa4\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa4\xa4\xa2\xa3\xa3\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa5\xa3\xa4\xa4\xa2\xa2\xa4\xa2\xa4\xa2\xa4\xa2\xa4\xa1\xa4\xa2\xa3\xa2\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa5\xa4\xa5\xa3\xa1\xa2\xa2\xa2\xa2\xa2\xa2\xa3\xa4\xa2\xa4\xa2\xa4\xa2\xa4\xa2\xa4\xa4\xa3\xa4\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa6\xa3\xa3\xa4\xa4\xa2\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa1\xa5\xa2\xa5\xa5\xa5\xa5\xa4\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa3\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa3\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa5\xa6\xa5\xa5\xa2\xa5\xa3\xa3\xa4\xa4\xa3\xa1\xa3\xa1\xa3\xa1\xa3\xa1\xa3\xa3\xa5\xa3\xa5\xa3\xa5\xa4\xa4\xa4\xa4\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa2\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa4\xa3\xa5\xa3\xa5\xa6\xa5\xa6\xa5\xa5\xa4\xa5\xa4\xa4\xa4\xa1\xa2\xa1\xa2\xa1\xa2\xa1\xa2\xa1\xa2\xa3\xa4\xa3\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa3\xa2\xa4\xa2\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa6\xa4\xa6\xa5\xa6\xa5\xa6\xa5\xa4\xa5\xa4\xa4\xa3\xa4\xa4\xa2\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa2\xa3\xa4\xa3\xa4\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa5\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa4\xa5\xa4\xa5\xa4\xa6\xa4\xa6\xa4\xa6\xa4\xa6\xa4\xa5\xa4\xa4\xa4\xa6\xa4\xa4\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4\xa3\xa4");
strcpy(sprite_image[12],"\x20\x10\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa1\xa1\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa4\xa4\xa1\xa1\xa4\xa4\xa1\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa4\xa3\xa3\xa5\xa3\xa3\xa3\xa1\xa2\xa3\xa3\xa2\xa2\xa3\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa3\xa3\xa3\xa3\xa3\xa5\xa3\xa3\xa3\xa2\xa2\xa2\xa2\xa4\xa4\xa2\xa1\xa4\xa4\xa2\xa2\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa4\xa5\xa2\xa4\xa4\xa1\xa1\xa2\xa2\xa2\xa2\xa3\xa3\xa2\xa4\xa2\xa2\xa4\xa4\xa2\xa2\xa4\xa4\xa4\xa4\xa3\xa3\xa5\xa5\xa3\xa3\xa2\xa6\xa3\xa3\xa4\xa4\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa1\xa2\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa5\xa4\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa3\xa3\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa5\xa3\xa3\xa5\xa5\xa6\xa5\xa3\xa3\xa5\xa3\xa3\xa3\xa1\xa1\xa3\xa3\xa1\xa3\xa3\xa3\xa3\xa3\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa2\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa4\xa5\xa3\xa3\xa5\xa5\xa6\xa6\xa5\xa4\xa5\xa5\xa4\xa4\xa1\xa1\xa2\xa2\xa1\xa1\xa2\xa2\xa3\xa3\xa4\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa3\xa2\xa2\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa5\xa5\xa5\xa4\xa6\xa6\xa5\xa5\xa6\xa6\xa5\xa5\xa5\xa4\xa4\xa4\xa6\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa2\xa2\xa3\xa3\xa4\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa3\xa3\xa5\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa4\xa5\xa5\xa4\xa4\xa5\xa5\xa4\xa4\xa6\xa6\xa4\xa4\xa6\xa6\xa4\xa4\xa4\xa4\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4\xa3\xa3\xa4\xa4");
strcpy(sprite_image[13],"\x20\x10\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x59\x59\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x60\x60\x60\x60\x60\x60\x60\x60\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x60\x60\x60\x60\x60\x60\x60\x60\x64\x64\x59\x59\x64\x64\x59\x60\x64\x64\x60\x60\x64\x64\x60\x60\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x64\x60\x60\x67\x60\x60\x60\x59\x5c\x60\x60\x5c\x5c\x60\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x60\x60\x60\x60\x60\x60\x60\x67\x60\x60\x60\x5c\x5c\x5c\x5c\x64\x64\x5c\x59\x64\x64\x5c\x5c\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x64\x67\x5c\x64\x64\x59\x59\x5c\x5c\x5c\x5c\x60\x60\x5c\x64\x5c\x5c\x64\x64\x5c\x5c\x64\x64\x64\x64\x60\x60\x67\x67\x60\x60\x5c\x6a\x60\x60\x64\x64\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x59\x5c\x67\x67\x67\x67\x67\x67\x67\x67\x64\x60\x67\x67\x60\x60\x67\x67\x60\x60\x60\x60\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x64\x64\x60\x60\x64\x67\x60\x60\x67\x67\x6a\x67\x60\x60\x67\x60\x60\x60\x59\x59\x60\x60\x59\x60\x60\x60\x60\x60\x67\x67\x64\x64\x64\x64\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x5c\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x64\x67\x60\x60\x67\x67\x6a\x6a\x67\x64\x67\x67\x64\x64\x59\x59\x5c\x5c\x59\x59\x5c\x5c\x60\x60\x64\x64\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x60\x5c\x5c\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x67\x67\x67\x64\x6a\x6a\x67\x67\x6a\x6a\x67\x67\x67\x64\x64\x64\x6a\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x64\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x6a\x6a\x64\x64\x6a\x6a\x64\x64\x64\x64\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64");
strcpy(sprite_image[14],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x64\x64\x64\x59\x59\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x60\x60\x60\x60\x60\x60\x60\x60\x60\x60\x64\x64\x60\x60\x64\x64\x64\x60\x60\x64\x64\x60\x60\x60\x60\x60\x60\x60\x60\x60\x60\x60\x59\x59\x64\x64\x59\x60\x64\x64\x60\x60\x64\x64\x60\x60\x60\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x64\x60\x60\x60\x60\x60\x59\x5c\x60\x60\x5c\x5c\x60\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x60\x60\x60\x60\x60\x60\x60\x67\x60\x60\x5c\x5c\x5c\x5c\x64\x64\x5c\x59\x64\x64\x5c\x5c\x60\x60\x67\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x64\x67\x5c\x5c\x59\x59\x5c\x5c\x5c\x5c\x60\x60\x5c\x64\x5c\x5c\x64\x64\x5c\x5c\x5c\x64\x64\x64\x64\x60\x60\x67\x67\x60\x60\x5c\x6a\x60\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x60\x64\x64\x60\x60\x64\x67\x60\x60\x67\x67\x6a\x67\x60\x60\x60\x60\x60\x59\x59\x60\x60\x59\x60\x60\x60\x60\x60\x67\x67\x64\x64\x64\x64\x64\x64\x64\x60\x60\x64\x64\x60\x60\x64\x64\x60\x60\x60\x60\x60\x5c\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x67\x60\x60\x64\x67\x60\x60\x67\x67\x6a\x6a\x67\x64\x67\x67\x67\x59\x59\x5c\x5c\x59\x59\x5c\x5c\x60\x60\x64\x64\x64\x64\x67\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x64\x5c\x5c\x64\x64\x67\x67\x64\x64\x67\x67\x64\x64\x67\x67\x67\x67\x67\x67\x64\x6a\x6a\x67\x67\x6a\x6a\x67\x67\x67\x64\x64\x64\x64\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x5c\x5c\x60\x60\x64\x67\x60\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x60\x60\x67\x67\x67\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[15],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5e\x5e\x53\x53\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5a\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x53\x56\x5a\x5a\x56\x56\x5a\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x61\x61\x56\x56\x56\x56\x5e\x5e\x56\x53\x5e\x5e\x56\x56\x5a\x5a\x61\x61\x61\x61\x5a\x5a\x61\x61\x5a\x5a\x61\x61\x5a\x5a\x61\x5e\x61\x61\x53\x53\x56\x56\x56\x56\x5a\x5a\x56\x5e\x56\x56\x5e\x5e\x56\x56\x56\x56\x5e\x5e\x5e\x5e\x5a\x5a\x61\x61\x5a\x5a\x56\x64\x5a\x5a\x5a\x5a\x53\x53\x5a\x5a\x53\x5a\x5a\x5a\x5a\x5a\x61\x61\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5a\x5a\x56\x61\x5a\x5a\x61\x61\x5a\x5a\x61\x61\x5a\x5a\x61\x61\x61\x61\x5a\x5a\x5e\x61\x5a\x5a\x61\x61\x64\x64\x61\x5e\x61\x61\x53\x53\x56\x56\x53\x53\x56\x56\x5a\x5a\x5e\x5e\x5e\x5e\x61\x61\x61\x61\x5e\x5e\x61\x61\x5e\x5e\x61\x61\x5e\x5e\x61\x61\x5e\x5e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[16],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5e\x5e\x5a\x5e\x5a\x5a\x5e\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5a\x5e\x5a\x5a\x5e\x5a\x5e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5e\x5e\x53\x5e\x5a\x5a\x5e\x5a\x5e\x5e\x5a\x5a\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5a\x5a\x5a\x5a\x5a\x5a\x5a\x5e\x5a\x5a\x5e\x5e\x5a\x5a\x5e\x5a\x5a\x5a\x5a\x5a\x5a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x56\x56\x56\x5e\x56\x53\x5e\x56\x5a\x5a\x61\x61\x5a\x5a\x61\x5a\x61\x61\x5a\x61\x61\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x53\x53\x56\x56\x5a\x5a\x5e\x56\x5e\x5e\x56\x56\x5e\x5e\x5e\x5a\x61\x61\x5a\x56\x5a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5a\x5a\x53\x5a\x53\x5a\x5a\x5a\x61\x61\x5e\x5e\x5e\x5e\x5e\x5a\x5e\x5e\x5a\x5e\x5a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[17],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5e\x56\x53\x5e\x56\x5a\x5a\x61\x61\x5a\x5a\x61\x5a\x61\x61\x5a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[18],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x51\x51\x51\x51\x51\x51\x51\x51\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[19],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x50\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[20],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[21],"\x20\x10\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x56\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x56\x50\x56\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x56\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
/* green brick `explosion' */
strcpy(sprite_image[22],"\x20\x10\x77\x77\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\x77\xff\x77\x77\x77\x77\x77\x77\x77\xff\x77\x77\x77\x77\x77\xff\x77\x77\x77\x77\x77\x74\x74\x74\xff\xff\x74\x74\x74\x74\xff\x74\x74\xff\x74\x74\x74\x74\x74\x74\xff\xff\x74\x74\x74\x74\x74\xff\x74\x74\x74\x77\x77\x74\x74\xff\xff\x72\x71\x72\x74\xff\x74\x76\x76\xff\x71\x77\x74\x73\x76\x74\xff\x79\x76\x79\x78\x76\x78\xff\x7a\x78\x74\x77\x77\x74\x72\xff\x75\x75\x74\x74\xff\x76\x74\x74\x73\xff\x77\x78\x76\x76\x77\xff\x79\xff\x78\x75\x78\x79\xff\xff\x79\x78\x74\x77\x77\x74\x75\xff\x75\x76\x74\xff\x75\x74\x77\x73\x73\xff\x76\x75\x77\x76\xff\xff\x79\xff\x78\x7a\x79\x7a\xff\x79\x7b\x77\x74\x77\x77\x74\x73\xff\xff\x75\xff\x76\x75\x77\x77\x78\x75\xff\xff\xff\xff\xff\xff\xff\x78\x79\xff\x79\xff\xff\xff\x76\x7b\x79\x74\x77\x77\x74\x76\x76\xff\xff\x77\x77\x73\x73\x78\x78\x73\xff\x77\x73\x78\x78\x78\xff\x7a\x79\xff\xff\xff\xff\x76\x75\x74\x76\x74\x77\xff\xff\x72\x71\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\x76\x71\x79\x76\xff\x7b\x79\x7a\xff\x7a\xff\xff\xff\x7b\x77\x74\x77\x77\xff\xff\xff\xff\xff\xff\x76\x77\x74\x73\x78\x78\xff\x75\x77\x79\x75\x79\xff\xff\xff\x7b\xff\x7b\x7b\x7a\xff\xff\x7a\x74\x77\x77\x74\x74\x75\x72\xff\xff\x76\x74\x75\x75\x78\x78\x77\xff\x79\x78\x7b\xff\xff\x7a\xff\xff\xff\x7b\x7b\x77\x7d\xff\xff\xff\xff\x77\x74\x72\x75\x73\xff\xff\x76\x78\x78\x74\x79\x78\x76\x76\xff\x7a\xff\xff\x79\x78\x7b\x78\xff\xff\x78\x74\x78\x75\x79\x74\x77\x77\x74\x75\x73\xff\xff\x72\xff\xff\x74\x78\x78\x78\x79\x74\xff\xff\xff\x79\x78\x7a\x79\x79\x7a\xff\x7b\x7b\x7b\x79\x7c\x74\x77\x77\x74\x74\xff\xff\x74\x78\x74\x79\xff\x72\x75\x75\x76\x77\xff\x76\x7b\x7a\x7a\x7b\x7c\x79\x79\xff\x7d\x76\x7a\x7c\x7c\x74\x77\x77\x74\xff\x78\x74\x77\x79\x73\x79\x76\xff\x7a\x77\x7a\x78\xff\xff\x73\x7a\x76\x78\x76\x7c\x71\xff\x7d\x7c\x72\x77\x7d\x74\x77\xff\xff\x74\x74\x74\x74\x74\x74\x74\x74\x74\xff\x74\x74\x74\x74\xff\x74\x74\x74\x74\x74\x74\x74\xff\xff\x74\x74\x74\x74\x74\x77\xff\x77\x77\x77\x77\x77\x77\x77\x77\x77\x77\xff\xff\x77\x77\x77\xff\x77\x77\x77\x77\x77\x77\x77\x77\xff\x77\x77\x77\x77\x77\x77");
strcpy(sprite_image[23],"\x20\x10\x77\x77\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\x77\xff\x77\x77\x77\x77\x77\x77\x77\xff\x77\x77\xff\x77\x77\xff\x77\x77\xff\xff\x77\x74\x74\x74\xff\xff\xff\x74\x74\x74\xff\x74\x74\xff\xff\x74\x74\x74\x74\x74\xff\xff\x74\x74\xff\x74\x74\xff\x74\x74\xff\x77\x77\x74\x74\xff\xff\x72\x71\xff\x74\xff\x74\x76\x76\xff\xff\xff\xff\x73\x76\x74\xff\x79\x76\x79\xff\xff\x78\xff\x7a\xff\x74\x77\xff\xff\xff\xff\x75\x75\x74\x74\xff\x76\xff\x74\x73\xff\x77\x78\xff\xff\xff\xff\x79\xff\x78\x75\x78\xff\xff\xff\xff\x78\x74\x77\x77\x74\x75\xff\x75\x76\x74\xff\x75\x74\xff\x73\x73\xff\x76\x75\x77\x76\xff\xff\x79\xff\x78\x7a\x79\x7a\xff\xff\xff\x77\x74\x77\x77\x74\x73\xff\xff\x75\xff\x76\x75\x77\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\x78\x79\xff\x79\xff\xff\xff\x76\xff\xff\xff\xff\x77\x74\x76\x76\xff\xff\x77\x77\x73\x73\x78\x78\xff\xff\x77\x73\x78\xff\x78\xff\x7a\x79\xff\xff\xff\xff\x76\x75\x74\x76\x74\xff\xff\xff\x72\x71\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\x76\xff\xff\x76\xff\x7b\x79\x7a\xff\x7a\xff\xff\xff\x7b\x77\x74\x77\x77\xff\xff\xff\xff\xff\xff\x76\x77\x74\x73\x78\x78\xff\x75\x77\xff\xff\x79\xff\xff\xff\x7b\xff\x7b\x7b\x7a\xff\xff\x7a\x74\x77\x77\x74\xff\x75\x72\xff\xff\x76\x74\x75\x75\x78\xff\x77\xff\xff\xff\x7b\xff\xff\x7a\xff\xff\xff\x7b\x7b\x77\x7d\xff\xff\xff\xff\x77\x74\xff\x75\x73\xff\xff\x76\x78\x78\x74\x79\xff\x76\x76\xff\x7a\xff\xff\x79\x78\xff\x78\xff\xff\x78\x74\x78\x75\xff\x74\x77\x77\x74\xff\x73\xff\xff\x72\xff\xff\x74\xff\xff\x78\x79\x74\xff\xff\xff\x79\x78\xff\xff\x79\x7a\xff\x7b\x7b\x7b\x79\xff\x74\x77\x77\x74\x74\xff\xff\x74\x78\x74\x79\xff\xff\xff\xff\xff\x77\xff\x76\x7b\x7a\x7a\xff\x7c\x79\x79\xff\x7d\x76\xff\xff\xff\x74\x77\x77\x74\xff\x78\x74\xff\xff\x73\x79\x76\xff\x7a\x77\xff\xff\xff\xff\x73\x7a\x76\xff\x76\x7c\x71\xff\x7d\xff\xff\x77\xff\x74\x77\xff\xff\x74\x74\x74\x74\xff\xff\x74\x74\x74\xff\x74\x74\x74\x74\xff\x74\x74\x74\xff\x74\x74\x74\xff\xff\x74\x74\x74\xff\xff\x77\xff\x77\x77\x77\x77\x77\x77\xff\x77\x77\x77\xff\xff\x77\x77\x77\xff\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\x77\x77\x77\x77\xff");
strcpy(sprite_image[24],"\x20\x10\xff\x77\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\x77\xff\x77\x77\x77\xff\x77\x77\x77\xff\x77\x77\xff\x77\x77\xff\x77\x77\xff\xff\x77\xff\x74\x74\xff\xff\xff\x74\xff\xff\xff\x74\x74\xff\xff\x74\xff\x74\x74\xff\xff\xff\x74\x74\xff\x74\x74\xff\x74\x74\xff\x77\x77\x74\xff\xff\xff\x72\x71\xff\xff\xff\x74\xff\xff\xff\xff\xff\xff\x73\xff\x74\xff\x79\x76\x79\xff\xff\x78\xff\x7a\xff\xff\x77\xff\xff\xff\xff\x75\xff\x74\x74\xff\x76\xff\x74\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\x78\xff\x78\xff\xff\xff\xff\x78\xff\xff\xff\xff\x75\xff\x75\x76\xff\xff\x75\xff\xff\xff\x73\xff\x76\xff\x77\x76\xff\xff\x79\xff\xff\x7a\x79\x7a\xff\xff\xff\x77\x74\xff\x77\x74\xff\xff\xff\x75\xff\x76\xff\x77\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\x78\x79\xff\x79\xff\xff\xff\x76\xff\xff\xff\xff\x77\xff\xff\x76\xff\xff\x77\x77\xff\x73\x78\x78\xff\xff\xff\xff\x78\xff\x78\xff\xff\xff\xff\xff\xff\xff\x76\x75\x74\xff\x74\xff\xff\xff\x72\x71\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\x76\xff\xff\x79\x7a\xff\x7a\xff\xff\xff\xff\xff\x74\x77\x77\xff\xff\xff\xff\xff\xff\x76\x77\xff\x73\x78\x78\xff\x75\x77\xff\xff\x79\xff\xff\xff\x7b\xff\x7b\x7b\x7a\xff\xff\x7a\x74\x77\x77\x74\xff\xff\x72\xff\xff\xff\xff\xff\x75\x78\xff\x77\xff\xff\xff\x7b\xff\xff\x7a\xff\xff\xff\x7b\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\x76\x78\xff\xff\x79\xff\x76\x76\xff\x7a\xff\xff\x79\x78\xff\x78\xff\xff\xff\x74\x78\x75\xff\x74\x77\x77\xff\xff\x73\xff\xff\x72\xff\xff\x74\xff\xff\x78\x79\x74\xff\xff\xff\xff\xff\xff\xff\x79\x7a\xff\x7b\x7b\xff\x79\xff\xff\x77\x77\xff\x74\xff\xff\x74\x78\x74\x79\xff\xff\xff\xff\xff\x77\xff\x76\x7b\x7a\x7a\xff\xff\xff\x79\xff\x7d\x76\xff\xff\xff\xff\xff\x77\x74\xff\x78\x74\xff\xff\x73\x79\xff\xff\x7a\x77\xff\xff\xff\xff\xff\xff\x76\xff\x76\xff\xff\xff\x7d\xff\xff\x77\xff\x74\x77\xff\xff\x74\x74\xff\x74\xff\xff\xff\xff\x74\xff\x74\x74\x74\x74\xff\x74\xff\xff\xff\x74\x74\x74\xff\xff\x74\xff\x74\xff\xff\x77\xff\x77\x77\xff\xff\x77\x77\xff\x77\x77\x77\xff\xff\x77\x77\x77\xff\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\xff\x77\x77\x77\xff");
strcpy(sprite_image[25],"\x20\x10\xff\x77\xff\x77\xff\xff\xff\x77\xff\x77\xff\x77\xff\xff\xff\x77\xff\xff\xff\x77\xff\xff\xff\x77\xff\x77\xff\xff\xff\x77\xff\xff\x77\xff\x74\x74\xff\xff\xff\x74\xff\xff\xff\x74\x74\xff\xff\x74\xff\x74\x74\xff\xff\xff\x74\x74\xff\x74\x74\xff\x74\x74\xff\x77\xff\x74\xff\xff\xff\x72\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x73\xff\x74\xff\x79\xff\x79\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\x75\xff\x74\x74\xff\x76\xff\x74\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\x78\xff\x78\xff\xff\xff\xff\x78\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\x7a\xff\x7a\xff\xff\xff\x77\xff\xff\x77\x74\xff\xff\xff\x75\xff\x76\xff\x77\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\x78\x79\xff\x79\xff\xff\xff\x76\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\x77\xff\x73\xff\x78\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\xff\xff\xff\x72\x71\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\x76\xff\xff\x79\x7a\xff\x7a\xff\xff\xff\xff\xff\x74\x77\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\x78\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\xff\x7a\xff\x77\x77\x74\xff\xff\x72\xff\xff\xff\xff\xff\x75\x78\xff\x77\xff\xff\xff\x7b\xff\xff\x7a\xff\xff\xff\x7b\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\x76\xff\xff\xff\x79\xff\x76\xff\xff\xff\xff\xff\x79\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\xff\x77\x77\xff\xff\x73\xff\xff\x72\xff\xff\x74\xff\xff\x78\x79\x74\xff\xff\xff\xff\xff\xff\xff\x79\x7a\xff\x7b\x7b\xff\x79\xff\xff\x77\xff\xff\xff\xff\xff\x74\xff\x74\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\x7a\xff\xff\xff\x79\xff\x7d\xff\xff\xff\xff\xff\xff\x77\x74\xff\x78\x74\xff\xff\x73\x79\xff\xff\x7a\x77\xff\xff\xff\xff\xff\xff\x76\xff\x76\xff\xff\xff\x7d\xff\xff\x77\xff\x74\x77\xff\xff\xff\x74\xff\x74\xff\xff\xff\xff\xff\xff\xff\x74\xff\x74\xff\x74\xff\xff\xff\x74\xff\x74\xff\xff\xff\xff\xff\xff\xff\x77\xff\x77\x77\xff\xff\x77\x77\xff\x77\x77\x77\xff\xff\x77\x77\x77\xff\x77\x77\x77\xff\x77\x77\x77\x77\xff\x77\xff\x77\x77\x77\xff");
strcpy(sprite_image[26],"\x20\x10\xff\x77\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\x77\xff\xff\xff\x77\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\x77\xff\xff\x74\xff\xff\xff\x74\xff\xff\xff\xff\x74\xff\xff\xff\xff\xff\x74\xff\xff\xff\x74\xff\xff\xff\x74\xff\xff\x74\xff\x77\xff\xff\xff\xff\xff\x72\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x73\xff\x74\xff\x79\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\x74\xff\x76\xff\x74\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\x78\xff\x78\xff\xff\xff\xff\x78\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\x75\xff\x76\xff\xff\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\x79\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\x73\xff\x78\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x75\xff\xff\xff\x76\xff\xff\xff\x7a\xff\x7a\xff\xff\xff\xff\xff\x74\xff\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\xff\x7a\xff\x77\xff\x74\xff\xff\x72\xff\xff\xff\xff\xff\x75\xff\xff\x77\xff\xff\xff\x7b\xff\xff\x7a\xff\xff\xff\x7b\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x76\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x79\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\xff\xff\x77\xff\xff\x73\xff\xff\x72\xff\xff\x74\xff\xff\x78\xff\x74\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\x7b\xff\xff\x79\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\x7a\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x74\xff\xff\xff\xff\xff\xff\x79\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x76\xff\x76\xff\xff\xff\x7d\xff\xff\x77\xff\xff\x77\xff\xff\xff\x74\xff\x74\xff\xff\xff\xff\xff\xff\xff\x74\xff\x74\xff\xff\xff\xff\xff\xff\xff\x74\xff\xff\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\x77\xff\x77\xff\x77\xff\xff\x77\xff\xff\xff\xff\xff\x77\xff\xff\x77\xff\x77\xff\x77\xff\x77\xff\x77\xff");
strcpy(sprite_image[27],"\x20\x10\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\x7a\xff\xff\xff\x7a\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\x7a\xff\xff\x77\xff\xff\xff\x77\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\x77\xff\xff\xff\x77\xff\xff\xff\x77\xff\xff\x77\xff\x7a\xff\xff\xff\xff\xff\x75\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x77\xff\x77\xff\x7c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\x77\xff\x7a\xff\x77\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7b\xff\x7b\xff\xff\xff\xff\x7b\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\x78\xff\x7a\xff\xff\xff\xff\x78\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\x7c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\x77\xff\x7b\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\xff\x78\xff\xff\xff\x7a\xff\xff\xff\x7d\xff\x7d\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7e\xff\xff\xff\x7d\xff\x7a\xff\x77\xff\xff\x75\xff\xff\xff\xff\xff\x78\xff\xff\x7a\xff\xff\xff\x7e\xff\xff\x7d\xff\xff\xff\x7e\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7c\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\xff\xff\x7a\xff\xff\x77\xff\xff\x75\xff\xff\x77\xff\xff\x7b\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\x7e\xff\xff\x7c\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7e\xff\x7d\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\x7c\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x7a\xff\x7a\xff\xff\xff\x08\xff\xff\x7a\xff\xff\x7a\xff\xff\xff\x77\xff\x77\xff\xff\xff\xff\xff\xff\xff\x77\xff\x77\xff\xff\xff\xff\xff\xff\xff\x77\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\x7a\xff\x7a\xff\x7a\xff\xff\x7a\xff\xff\xff\xff\xff\x7a\xff\xff\x7a\xff\x7a\xff\x7a\xff\x7a\xff\x7a\xff");
strcpy(sprite_image[28],"\x20\x10\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\x7d\xff\xff\xff\x7d\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\x7d\xff\xff\x7a\xff\xff\xff\x7a\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\x7a\xff\xff\xff\x7a\xff\xff\xff\x7a\xff\xff\x7a\xff\x7d\xff\xff\xff\xff\xff\x78\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\x7a\xff\x7f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\x7a\xff\x7d\xff\x7a\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x7e\xff\x7e\xff\xff\xff\xff\x7e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\x7b\xff\x7d\xff\xff\xff\xff\x7b\xff\xff\xff\xff\xff\xff\xff\x7e\xff\xff\x7f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\x7a\xff\x7e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7b\xff\xff\xff\x7d\xff\xff\xff\x08\xff\x08\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\x7d\xff\x7a\xff\xff\x78\xff\xff\xff\xff\xff\x7b\xff\xff\x7d\xff\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7f\xff\xff\xff\xff\xff\xff\xff\x7e\xff\xff\xff\xff\x7d\xff\xff\x7a\xff\xff\x78\xff\xff\x7a\xff\xff\x7e\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\x7f\xff\xff\x7d\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\x7f\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\x7d\xff\x7d\xff\xff\xff\xff\xff\xff\x7d\xff\xff\x7d\xff\xff\xff\x7a\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7a\xff\x7a\xff\xff\xff\xff\xff\xff\xff\x7a\xff\xff\xff\xff\xff\xff\xff\xff\xff\x7d\xff\xff\xff\xff\x7d\xff\x7d\xff\x7d\xff\xff\x7d\xff\xff\xff\xff\xff\x7d\xff\xff\x7d\xff\x7d\xff\x7d\xff\x7d\xff\x7d\xff");
/* bat */
strcpy(sprite_image[29],"\x20\x0c\xff\xff\xff\x60\x70\x70\x71\x71\x71\x71\x72\x72\x72\x73\x73\x73\x74\x74\x74\x74\x75\x75\x75\x76\x76\x76\x76\x77\x60\xff\xff\xff\xff\xff\x5c\x60\x74\x74\x74\x74\x75\x75\x75\x76\x76\x76\x76\x77\x77\x78\x78\x78\x79\x79\x79\x79\x7a\x7a\x7a\x7b\x60\x5c\xff\xff\xff\x58\x5c\x60\x5a\x5b\x5b\x5e\x5b\x5c\x5e\x5d\x5f\x5c\x5e\x5f\x5f\x5d\x5e\x60\x5c\x61\x5e\x5e\x5f\x61\x60\x5f\x60\x5c\x58\xff\x54\x58\x5c\x60\x5c\x5c\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\x5f\x60\x60\x5c\x58\x54\x54\x58\x5c\x60\x5e\x5b\xb6\xb0\xb0\xb0\xb1\xb1\xb2\xb2\xb3\xb3\xb4\xb4\xb4\xb5\xb5\xb6\xb6\xb7\xb7\xb6\x60\x63\x60\x5c\x58\x54\x54\x58\x5c\x60\x5d\x5f\xb6\xb2\xb2\xb2\xb3\xb3\xb4\xb4\xb5\xb5\xb6\xb6\xb6\xb7\xb7\xb8\xb8\xb8\xb9\xb6\x61\x62\x60\x5c\x58\x54\x54\x58\x5c\x60\x5c\x5d\xb6\xb4\xb4\xb4\xb5\xb5\xb6\xb6\xb7\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xba\xba\xbb\xb6\x63\x61\x60\x5c\x58\x54\x54\x58\x5c\x60\x5d\x5d\xb6\xb6\xb6\xb6\xb7\xb7\xb8\xb8\xb8\xb9\xb9\xba\xba\xba\xbb\xbb\xbc\xbc\xbd\xb6\x5f\x60\x60\x5c\x58\x54\x54\x58\x5c\x60\x5e\x5f\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\x61\x5d\x60\x5c\x58\x54\xff\x58\x5c\x60\x5f\x5f\x60\x5c\x60\x5c\x5e\x61\x60\x5d\x5e\x5f\x5e\x5f\x5f\x61\x60\x5f\x60\x5e\x64\x64\x63\x61\x60\x5c\x58\xff\xff\xff\x5c\x60\x7f\x7f\x7e\x7e\x7d\x7d\x7d\x7d\x7c\x7c\x7c\x7b\x7b\x7b\x7a\x7a\x7a\x79\x79\x79\x79\x78\x78\x78\x60\x5c\xff\xff\xff\xff\xff\x60\x7b\x7b\x7a\x7a\x7a\x79\x79\x79\x79\x78\x78\x78\x77\x77\x76\x76\x76\x76\x75\x75\x75\x74\x74\x74\x60\xff\xff\xff");
/* red brick `explosion' */
strcpy(sprite_image[31],"\x20\x10\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xb5\xb5\xb4\xb4\xb4\xb5\xb5\xb5\xb7\xb7\xb9\xb9\xb5\xb5\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xb5\xb5\xb4\xb5\xb5\xb6\xb7\xb7\xb7\xb7\xb9\xb9\xb5\xb5\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xb7\xb7\xb6\xb5\xb4\xb5\x1f\x43\x91\x91\xb8\xb8\xb8\xb8\xb6\xb6\xb9\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xb7\xb7\xb5\xb4\xb7\x1f\x98\x74\x73\x92\xb8\xb8\xb8\xb8\xb6\xb6\xb9\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xaf\xaf\xb6\xb6\xb6\xb6\xb4\xb4\xb4\xb7\xb8\x46\x74\x72\x72\x74\x92\x22\x23\xb9\x28\x28\xb8\xb8\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xaf\xaf\xb6\xb6\xb6\xb6\xb4\xb4\xb2\xb4\x1f\x91\x74\x71\x71\x74\x92\x46\x23\xb9\x28\x28\xb8\xb8\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xb6\xb6\xb7\xb7\xb8\xb8\xb5\xb5\xb2\xb5\x1f\x45\x98\x74\x74\x98\x89\x47\x24\x29\x28\x28\xba\xba\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\xb7\xb7\xb8\xb8\xb5\xb5\xaf\xb5\xb8\x20\x91\x92\x92\x45\x47\x23\x25\x29\x28\x28\xba\xba\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\xb8\xb8\xb8\xb8\xb8\xb8\xb3\xb5\xb6\x23\x22\x22\x22\x22\x24\x25\xb7\xb4\x29\x29\xb9\xb9\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb6\xb6\xb8\xb8\xb8\xb8\xb8\xb8\xb3\xb5\xb3\xb5\x23\x23\x23\x25\x26\xb8\xb6\xb4\x29\x29\xb9\xb9\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb5\xb5\xb7\xb7\xaf\xaf\xb8\xb8\xb8\xb8\x29\x29\xb7\xb7\xb7\xb7\xba\xba\x28\x28\x2a\x2a\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb5\xb5\xb7\xb7\xaf\xaf\xb8\xb8\xb8\xb8\x29\x29\xb7\xb7\xb7\xb7\xba\xba\x28\x28\x2a\x2a\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6");
strcpy(sprite_image[32],"\x20\x10\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\x70\xb3\xb3\x26\x28\x28\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\x1f\xdf\x20\x44\x74\x44\x1f\x21\x24\x23\xb4\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xb3\x1f\xa5\x45\x91\x74\x98\x92\x46\x21\x21\xb6\xb5\xb5\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xae\x1a\x43\x91\x74\x72\x74\x75\x99\x46\x46\x21\x23\xb6\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xb7\xaf\x1d\x04\x98\x74\x72\x71\x72\x73\x75\x99\x99\x46\x23\xb8\xb8\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xaf\x1d\x87\x98\x73\x71\x70\x70\x71\x70\x74\x74\x74\x99\x46\x23\x25\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xaf\xaf\xb6\xb6\xb3\xdc\xdd\x44\x98\x74\x70\x70\x70\x70\x70\x70\x70\x70\x72\x74\x92\x46\x22\x27\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xaf\xb3\xb5\xb6\xb5\x1d\x44\x98\x74\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x74\x74\x92\x47\xa7\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xb6\xb5\x1f\x1f\x91\x90\x98\x74\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x72\x74\x99\x48\xa7\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\x1f\x92\x98\x73\x74\x73\x72\x70\x70\x70\x70\x70\x70\x71\x73\x73\x74\x74\x98\x92\x93\x49\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\x21\x22\x44\x91\x92\x74\x74\x71\x70\x71\x71\x71\x72\x74\x98\x99\x92\x92\x89\x46\x47\x24\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb6\xb6\xb8\x23\x1d\x1d\x1f\x91\x98\x73\x72\x72\x73\x72\x73\x99\x47\x47\x21\x46\x46\x21\x22\x26\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb3\x1f\x92\x98\x75\x75\x75\x74\x99\x47\x24\x23\x23\x22\x23\x23\x25\x27\x28\x28\x2a\x2a\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb4\x21\x46\x89\x93\x92\x92\x91\x45\x21\x23\xb8\xb8\xb8\xb7\xb7\xba\xba\x28\x28\x2a\x2a\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\x23\x21\x21\x21\x21\x21\x1f\x1f\x21\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6");
strcpy(sprite_image[33],"\x20\x10\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\x70\xb2\xb2\x24\x26\x26\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb5\xb5\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\x1d\xdd\x1e\x42\x73\x42\x1d\x1f\x22\x21\xb3\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb2\xb5\xb5\xb2\xb2\xb2\xb2\xb3\xb3\xb5\xb5\xaf\xaf\xb2\x1d\xa5\x43\x90\x73\x98\x91\x44\x1f\x1f\xb5\xb4\xb4\xb7\xb7\xb9\xb9\xb7\xb7\xb5\xb5\xb2\xb2\xb2\xb2\xb3\xb3\xb5\xb5\xaf\xaf\xae\x18\x41\x90\x73\x71\x73\x74\x98\x44\x44\x1f\x21\xb5\xb7\xb7\xb9\xb9\xb7\xb7\xb5\xb5\xb2\xb2\xb2\xb2\xb4\xb4\xaf\xaf\x1c\x1a\x1b\x04\x98\x73\x71\x70\x71\x72\x74\x98\x98\x44\x21\xb7\xb7\xb8\xb5\xb5\xb8\xb8\xb5\xb5\xb2\xb2\xb2\xb2\xb4\xb4\xaf\x1b\x41\x04\x85\x98\x72\x70\x70\x70\x70\x70\x73\x73\x73\x98\x44\x21\x23\xb8\xb5\xb5\xb8\xb8\xb5\xb5\xb2\xb2\xaf\xaf\xb5\xb5\xdb\x42\x98\x73\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x90\x92\x22\x1f\x21\x23\xb7\xb5\xb5\x27\xb5\xb2\xb1\x1c\x1f\x42\x90\x73\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x72\x74\x92\x46\x45\x21\xb7\xb6\xb5\x27\xb6\xb4\x40\x42\x43\x98\x73\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x72\x74\x99\x98\x44\x21\xb7\xb5\x27\xb6\xb5\x41\x43\x91\x85\x98\x73\x71\x71\x70\x70\x70\x70\x70\x70\x70\x71\x71\x71\x70\x70\x70\x70\x73\x74\x92\x45\x21\xb7\xb5\xb2\xb2\xb5\xb5\x1f\x43\x90\x90\x98\x73\x73\x71\x70\x70\x70\x70\x72\x72\x73\x73\x73\x71\x72\x73\x73\x98\x98\x46\x21\xb7\xb6\xb5\xb2\xb2\xb5\xb5\x1f\x1f\x42\x42\x91\x90\x98\x73\x72\x72\x72\x72\x74\x74\x98\x98\x91\x73\x98\x98\x98\x91\x44\x47\x22\xb7\xb6\xb5\xb2\xb2\xb6\xb6\xb7\xb7\x1c\x1a\x1d\x1b\x91\x98\x74\x74\x74\x73\x98\x98\x44\x44\x1e\x91\x44\x44\x43\x44\x20\x23\xb8\xb7\xb5\xb5\xb2\xb2\xb6\xb6\xb7\xb7\xaf\xaf\xb3\x1f\x44\x87\x92\x91\x91\x90\x43\x45\x1f\x1f\x21\x1f\x1f\x1f\x20\x21\x22\x23\xb7\xb6\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\x21\x1f\x1f\x1f\x1f\x1f\x1d\x1d\x1f\xb5\xb5\xb5\xb5\xb5\xb5\xb7\xb7\xb7\xb7\xb6\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5\xb5");
strcpy(sprite_image[34],"\x20\x10\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\x70\xaf\xaf\x22\x24\x24\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xb4\xb4\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\x1c\xdc\x1d\x41\x72\x41\x1c\x1d\x20\x1f\xb2\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xb4\xb4\xaf\xaf\xaf\xaf\xb2\xb2\xb4\xb4\xae\xae\xaf\x1c\xa4\x42\x84\x72\x84\x86\x43\x1d\x1d\xb4\xb3\xb3\xb6\xb6\x23\x23\xb6\xb6\xb4\xb4\xaf\xaf\xaf\xaf\xb2\xb2\xb4\xb4\xad\xad\xad\x16\x84\x84\x72\x70\x72\x72\x72\x86\x86\x1d\x1d\x1f\x21\x23\x23\x23\xb6\xb6\xb4\xb4\xaf\xaf\xaf\xaf\xb3\xb3\x40\x1a\x16\x16\x16\x80\x84\x72\x70\x70\x70\x70\x70\x72\x72\x86\x86\x43\x1e\x1f\xb4\xb4\x23\x23\xb4\xb4\xaf\xaf\xaf\xaf\xb3\x40\x82\x84\x81\x80\x80\x70\x71\x70\x70\x70\x70\x70\x70\x70\x70\x72\x72\x72\x84\x43\x1d\x1f\x23\x23\xb4\xb4\xaf\xaf\xae\xae\xb2\x1c\x84\x72\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x84\x86\x44\x21\xb6\xb4\xb4\x25\xb4\xae\x1a\x1d\x84\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x84\x91\x1f\xb6\xb5\xb4\x25\xb5\xdc\xa4\x86\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x72\x98\x43\x1f\xb6\xb4\x25\xb5\x1d\x86\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x72\x98\x44\x1f\xb6\xb4\xaf\xaf\x1d\x86\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x71\x72\x72\x71\x70\x70\x70\x70\x71\x73\x86\x1f\xb6\xb5\xb4\xaf\xaf\xb4\x40\x86\x72\x80\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x71\x71\x70\x71\x70\x72\x72\x84\x84\x93\x20\xb6\xb5\xb4\xaf\xaf\xb5\x1d\x1e\x86\xa2\x84\x84\x72\x72\x72\x72\x72\x72\x72\x72\x72\x72\x72\x72\x84\x84\x86\x86\x43\x1e\x21\x23\xb6\xb4\xb4\xaf\xaf\xb5\xb5\xb5\x1c\xda\x1c\x1c\x86\x86\x86\x86\x86\x84\x84\x84\x86\x43\x43\x43\x1c\x1c\x1d\x1e\x1f\x20\x21\xb6\xb5\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\x1d\x1f\x1d\x1d\x1d\x1d\x1d\x1c\x1c\x1c\x1d\xb4\xb4\x1d\x1d\x1d\xb4\xb6\xb6\xb6\xb6\xb5\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4\xb4");
strcpy(sprite_image[35],"\x20\x10\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\x70\xaf\xaf\x1f\x20\x20\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xd8\xd8\x17\x17\x17\x3c\xd8\x19\xda\x1a\x3d\x71\x3d\x19\x1a\x1b\x1c\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xd8\xda\xdb\xaf\xaf\xaf\xaf\xaf\x18\x3d\x15\x80\x80\x3c\x81\x19\x3d\x83\x5c\x71\x5c\x81\x83\x83\x90\x1a\x19\x18\x3c\x3d\x3d\x3d\x1a\x1b\x1c\xaf\xaf\xaf\xaf\xaf\x17\x15\x80\x57\x57\x80\x80\x70\x80\x5c\x71\x70\x71\x71\x72\x71\x83\x83\x83\x5c\x71\x71\x5c\x80\x3d\x1b\x1c\xaf\xaf\xaf\xaf\xae\x16\x15\x80\x57\x70\x70\x70\x70\x70\x71\x70\x70\x70\x70\x70\x70\x71\x71\x71\x71\x70\x70\x71\x83\x1b\x1c\x1f\xaf\xaf\xaf\xaf\xae\x16\x15\x80\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x5c\x90\x1c\x1c\xaf\xaf\xaf\xae\xad\x16\x81\x5c\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x81\x90\x1b\xaf\xaf\x21\xaf\xae\x17\x1a\x83\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x5c\x84\x90\x1c\x1e\xaf\x21\x1e\xd8\x40\x83\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x83\x90\x1c\x1f\xaf\x21\x1e\x1b\x83\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x83\x90\x1c\x1f\xaf\xaf\xaf\x1a\x83\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x71\x70\x70\x70\x70\x70\x71\x72\x83\x90\x1c\x1e\xaf\xaf\xaf\xaf\x3d\x83\x80\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x70\x70\x70\x70\x70\x70\x70\x71\x83\x85\x1b\x1f\x1e\xaf\xaf\xaf\xaf\x1b\x83\x5c\x71\x71\x5c\x71\x71\x71\x71\x71\x71\x71\x71\x73\x73\x71\x71\x70\x70\x70\x70\x70\x72\x90\x1b\x1e\xaf\xaf\xaf\xaf\xaf\x1b\x84\x83\x5c\x83\x90\x83\x83\x83\x83\x83\x5c\x81\x83\x90\x90\x81\x81\x71\x70\x70\x70\x72\x83\x90\x1c\x1f\xaf\xaf\xaf\xaf\x1b\x84\x73\x83\x84\x85\x1b\x1b\x1b\x1b\x1b\x1b\x19\x19\x1b\x1b\x1b\x19\x19\x83\x72\x71\x72\x83\x85\x1b\x1c\x1f\xaf\xaf\xaf\xaf\xaf\x98\x74\x74\x88\x8a\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\x98\x74\x74\x74\x86\x89\xaf\xaf\xaf\xaf\xaf");
strcpy(sprite_image[36],"\x20\x10\x9b\x78\x78\x75\x70\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\xaf\x90\x86\x91\xaf\x1f\x20\x75\x75\x76\x75\x75\x75\x75\x76\x78\x98\x89\x75\x78\x75\x74\x72\x70\x70\x70\x70\x17\x3c\xd8\x19\xda\x1a\x83\x81\x83\x19\x1a\x90\x98\x74\x73\x73\x72\x73\x72\x73\x74\x72\x74\x65\x78\x74\x72\x70\x70\x70\x70\x70\x70\x3c\x81\x19\x3d\x83\x5c\x71\x5c\x81\x83\x83\x73\x72\x71\x71\x70\x71\x70\x71\x71\x72\x74\x78\x78\x74\x71\x70\x70\x70\x70\x70\x70\x80\x80\x70\x80\x5c\x71\x70\x71\x71\x72\x72\x72\x71\x70\x70\x70\x70\x70\x70\x70\x71\x73\x75\x75\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x73\x73\x75\x75\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x5c\x83\x83\x88\x75\x72\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x81\x1a\x1a\x93\x93\x90\x5c\x5c\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x5c\x84\x90\x1c\x1c\x20\x21\x1b\x84\x83\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x90\x1c\x1f\xaf\x21\x1d\x90\x83\x72\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x1c\x1f\xaf\x21\x91\x83\x81\x5c\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x70\x70\x70\x70\x70\x71\x70\x70\x70\x1c\x1e\xaf\x90\x81\x80\x80\x80\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x71\x70\x70\x70\x70\x70\xaf\x98\x5c\x80\x80\x70\x70\x70\x70\x5c\x71\x71\x72\x72\x72\x72\x72\x72\x72\x71\x71\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x98\x5c\x71\x71\x70\x70\x70\x5c\x83\x83\x83\x90\x90\x90\x90\x90\x90\x83\x81\x81\x5c\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x75\x74\x74\x74\x73\x73\x71\x81\x90\x90\x1b\x1b\x1b\x1b\x1b\x1b\x1b\x1b\x19\x19\x82\x72\x73\x71\x70\x70\x70\x70\x70\x70\x70\x70\x9b\x78\x76\x76\x78\x78\x75\x88\x8a\x20\xaf\x20\x20\x20\x20\x20\xaf\xaf\xaf\xaf\x98\x76\x75\x75\x70\x70\x70\x70\x70\x70\x70\x70");
strcpy(sprite_image[37],"\x20\x10\x7c\x7b\x7b\x79\x9b\xec\x9e\x9b\x94\xf9\xf9\xf9\x94\x94\x4a\x94\x94\x94\xf9\xf8\x79\x79\x7a\x79\x79\x79\x79\x7a\x7b\x9b\xec\x79\x7b\x79\x77\x75\x98\x8a\x9a\x88\x91\xf8\xf9\xf9\xa4\x44\x93\x91\x92\x45\xf9\xf9\x9b\x77\x76\x76\x75\x76\x75\x76\xf8\x75\x78\x6c\x7b\x77\x75\x73\x70\x90\x84\x90\xd5\xa2\xf9\xf9\xa3\x40\x90\x91\x45\xb0\xf9\xf8\x76\x75\x74\x74\x73\x74\x73\xf8\xf8\xf8\x78\x7b\x7b\x77\x74\x71\x70\x70\x90\x90\x3d\xd5\xf8\xf8\xf9\xa2\xd5\x90\x41\xf8\xf9\xf8\x75\x74\x71\x72\x71\x72\x71\x73\xf8\xf8\x76\x79\xf9\x75\x70\x70\x70\x70\x70\x70\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf9\xf9\xf9\x72\x71\x70\x70\x70\x70\x70\x72\xf8\xf8\xf8\x79\xf9\xf9\x73\x70\x70\x70\x70\x70\x70\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf8\xf9\xf8\x70\x70\x70\x70\x70\x70\x44\x44\xa3\xf9\xf8\x8f\x94\x45\x45\x91\x90\x90\x70\x70\x70\x70\x70\x70\x70\x71\x70\xf8\xf8\xf8\xf8\x70\x70\x70\x70\x70\x70\x44\x44\xa4\xa3\xa3\xf9\x4c\x49\x44\x41\x43\x91\x1f\xb0\x70\x71\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x90\x42\xd6\xd6\xa3\x44\x4b\x49\x43\x20\x42\x1f\x91\x72\x71\x70\x70\x70\x70\xf9\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x70\x44\x42\xd6\xa3\xa5\x21\x4c\xf8\xf8\x47\xf8\xb0\x73\x70\x70\x70\xf9\xf9\xf9\xf9\xf9\x70\xf9\x71\x72\x72\x72\x72\x71\x70\x71\x71\x98\x90\x90\xf8\xa5\x21\x28\xf8\xf8\xf8\x87\x98\x70\x70\x70\xf9\xf9\xf9\xf9\xf9\x71\xf9\xf9\xf9\xf8\xf9\xf9\x73\x72\x71\x72\x72\x74\x70\x70\xf8\x23\xb7\xb6\xf8\xf8\x86\x83\x83\x70\x70\x90\xd5\xf8\xa3\xa3\xa3\xf8\xf8\xf9\xf8\xf9\xf9\xf9\xf9\x71\x70\x71\x72\x74\x70\x70\x70\x70\x70\xb6\x9b\x98\x84\x83\x70\x70\x70\x84\x90\x41\xa4\xa4\xdb\xf8\xf8\xb0\xf8\xf8\xf9\xf9\x74\x70\x71\x71\x71\x73\x71\x70\x70\x70\x70\x70\x9b\x98\x74\x74\x73\x73\x70\x90\x92\x20\xa5\xa5\xdf\xb0\xb0\xb0\xdb\xa4\x41\x91\x98\x70\x73\x72\x71\x71\x70\x70\x70\x70\x70\x70\x79\x77\x77\x77\x76\x76\x74\x91\x93\xb0\x21\x21\xb0\x22\xb0\xb0\xe8\x20\x20\x1f\x88\x75\x76\x74\x72\x71\x70\x70\x70\x70\x70\x70\x7c\x7b\x7a\x7a\x7b\x7b\x79\x8e\x0e\x28\xb6\x28\xb0\x28\x28\x28\x28\x28\x28\xb6\x9b\x7a\x79\x79\x70\x70\x70\x70\x70\x70\x70\x70");
strcpy(sprite_image[38],"\x20\x10\x98\x98\x98\x72\x60\x72\x5f\x5d\x72\x72\x54\x54\x81\x5d\x5b\x5b\x54\x54\x5b\x83\x72\x74\x98\x72\x72\x72\x72\x74\x98\x5b\x84\x72\x98\x72\x70\x70\x5b\x5b\x5a\x80\x59\x70\x54\x33\x80\x80\x57\x57\x32\x32\x57\x5a\x70\x70\x71\x70\x70\x70\x70\x70\xe3\x70\x71\x60\x98\x70\x70\x70\x70\x57\x33\x34\x35\x57\x32\x32\x34\x34\x33\x33\x32\x32\x33\x57\x70\x70\x70\x70\x70\x70\x56\xe3\x54\xe3\x71\x98\x98\x70\x70\x55\x54\x33\x32\x32\x32\x32\x31\xd2\x32\xd2\x32\xd2\x31\x32\x32\x32\x54\x55\x55\x55\x55\x55\x54\x56\x54\xe3\x70\x72\x72\x70\x70\x55\x54\x54\x54\x54\x54\x54\x54\xe3\x54\xe3\x54\xe3\x54\x54\x54\x54\x55\x54\x54\x54\x54\x54\x57\x34\x34\x54\x54\x54\x72\x70\x70\x55\x54\x54\x54\x54\x54\x54\x54\x54\xe3\x54\xe3\xe3\xe3\xe3\x54\xe3\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x72\x70\x70\x55\x57\x36\x54\x54\x54\x54\x54\x54\x54\x54\x54\xe3\x54\xe3\xe3\x54\x54\x54\x54\x54\x54\x39\x34\x54\x54\x54\x54\x54\x74\x70\x70\x57\x36\x57\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x34\x37\x34\x33\x33\x33\x54\x81\x59\x57\x54\x54\x54\x54\x54\x54\xe2\xe2\xe2\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x34\x37\x34\x54\x33\x36\x54\xe3\x34\x33\x54\x54\x54\x54\x54\x31\xe2\xe2\xe2\xe3\x54\x54\x54\x54\x55\x55\x55\x55\x54\x54\x54\x54\x54\x34\x34\x33\x36\x81\x1b\x54\x54\x54\x54\x54\x54\x54\x32\x31\x54\xe3\x54\x54\x54\x54\x54\x54\xe3\xe3\xe3\x54\x55\x54\x54\x54\x54\x54\x54\x33\x80\x16\x1b\xe3\x34\x33\x54\x54\x54\x54\x32\xd2\x32\xe2\xe2\x32\x54\x54\x54\x31\x32\x54\x54\x54\x54\x54\x54\x54\x54\x54\x54\x33\x80\x14\x5b\x5b\x57\x57\x70\x55\x55\x55\x54\x32\x32\xd2\xd2\x33\x33\x32\x32\xd2\x32\xe2\x33\x57\x70\x55\x54\x55\x54\x54\x54\x33\x57\x36\x5d\x5b\x70\x70\x70\x70\x70\x70\x70\x57\x33\x33\x34\x57\x36\x35\x32\x32\x33\x54\x80\x59\x70\x70\x55\x54\x54\x54\x54\x54\x54\x54\x54\x72\x70\x70\x70\x71\x70\x70\x70\x5a\x57\x57\x80\x80\x81\x80\x57\x57\x36\x80\x81\x5b\x70\x70\x70\x55\x54\x54\x54\x54\x54\x54\x54\x98\x98\x74\x74\x98\x98\x72\x74\x72\x5f\x5b\x5b\x84\x1b\x5d\x5b\x5b\x84\x86\x98\x98\x74\x72\x72\x54\x54\x54\x54\x54\x54\x54\x54");
strcpy(sprite_image[39],"\x20\x10\x5f\x5e\x5e\x5b\x5d\x5b\x5c\x52\x52\x5b\x5b\x80\x5b\x5b\x81\x5b\x52\x52\x58\x52\x5b\x5c\x5e\x5b\x5b\x5b\x5b\x5c\x5e\x58\x81\x5b\x5e\x5b\x52\x56\x58\x58\x56\x51\x52\x56\x56\x34\x56\x57\x57\x56\x31\x31\x54\x54\x70\x70\x70\x70\x70\x70\x56\x70\xe2\x56\x70\x5d\x5e\x70\x56\x52\x56\x54\x52\x50\x52\x54\x31\x32\x32\x32\x32\x31\xd1\xd1\x31\x52\x54\x55\x70\x56\x56\x56\x54\xe2\x52\xe2\x70\x5e\x5e\x70\x55\x52\x53\x52\x50\x50\x52\x52\xd1\x31\x31\x32\x31\xe2\xd1\xe1\xd1\x52\x53\x53\x54\x54\x53\x53\x53\x54\x52\xe2\x70\x5b\x5b\x70\x55\x53\x53\x50\x50\x50\x50\x52\x52\x52\xe2\xe2\x52\xe2\x52\xe2\xd1\x52\x53\x53\x53\x53\x53\x53\x54\x32\x32\x52\x52\x52\x5b\x70\x55\x53\x53\x52\x50\xa8\xa8\x50\x50\x50\xe1\xe2\xe1\xe2\xe1\xe1\xe1\xe1\x52\x52\x52\x52\x52\x52\x52\x31\x31\x52\x52\x52\x5b\x70\x55\x53\x52\x50\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xe1\xd1\xd1\x52\x31\xd1\x50\x50\x52\x5c\x70\x54\x52\x50\x50\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xe1\xa8\xe1\xe1\xe1\xe1\xa8\xe1\xe1\xe1\xe1\xe1\xe1\x50\xe1\xe1\xe1\x50\x52\x52\x54\x52\x50\x50\x50\xa8\xa8\xa8\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xe1\xe1\xd1\xe1\x50\x50\x52\x52\x52\x50\x50\x50\x50\xa8\xa8\xa8\xe1\xe1\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\x50\xa8\x50\xe1\xe1\xd1\x52\xd1\x32\x34\x18\x52\x50\x50\x50\x50\x50\x50\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\x52\x50\x52\x50\x50\x50\x52\x31\x32\x34\x52\x52\x52\x52\x52\x52\x52\x52\x50\x50\xa8\xa8\x50\x50\x50\xa8\xa8\xa8\xa8\xa8\x50\x50\x50\x50\x52\x50\x50\x50\x50\x32\x34\x56\x58\x52\x54\x53\x53\x53\x53\x53\x52\x50\x50\x50\x50\x50\x50\x50\x50\xa8\x50\x50\x50\x50\x50\x52\x52\x50\x50\x50\x50\x51\x54\x34\x52\x58\x56\x70\x54\x70\x56\x55\x54\x52\x50\x50\x52\x52\x54\x51\x52\x50\x50\x54\x52\x52\x50\x50\x50\x50\x50\x50\x50\x50\x50\x52\x52\x5b\x70\x70\x52\x70\x70\x70\x70\x54\x52\x50\x54\x56\x80\x54\x55\x54\x54\x80\x54\x57\x52\x52\x52\x52\x53\x52\x52\x52\x52\x52\x52\x5f\x5e\x5c\x5c\x5e\x5e\x5b\x5c\x52\x52\x52\x58\x81\x5b\x5c\x5d\x58\x52\x83\x52\x5f\x5c\x5b\x5b\x52\x52\x52\x52\x52\x52\x52\x52");
strcpy(sprite_image[40],"\x20\x10\x5c\x5b\x5b\x57\x5a\x57\xa8\x50\x50\xa8\xa8\xa8\x58\x58\xa8\xa8\x50\xa8\x55\xa8\xa8\x59\xa8\xa8\x57\xa8\xa8\x59\x5b\x55\x80\x57\xa8\xa8\x50\xa8\x55\xa8\x53\x50\x50\xa8\xa8\x32\xa8\x54\x33\x53\xe1\xe1\xa8\xa8\xa8\xd1\x50\xa8\x51\x50\xa8\x53\xe2\x54\x56\x5a\xa8\xa8\xa8\x50\xa8\xd1\x50\xa8\x50\xa8\xa8\xa8\xd1\xa8\x30\xa8\xa8\xa8\xa8\xa8\x50\x50\xa8\xa8\x50\xa8\xe1\x50\x50\xe2\xa8\x5b\xa8\xa8\xa8\x50\xa8\x50\xa8\xa8\x50\xa8\xa8\xe1\xe1\xe1\xe1\xe1\xe1\xa8\xa8\xa8\x50\xa8\xa8\x50\x50\xa8\xa8\xa8\xa8\xe2\x54\x57\xa8\xa8\xa8\xa8\x51\xa8\xa8\xa8\xa8\x50\x50\x50\xa8\xa8\xe1\xa8\xe1\xa8\xa8\x50\xa8\xa8\xa8\x50\xa8\x50\xd1\xe1\xa8\x50\x50\x50\x57\x54\xa8\x51\x51\x50\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xe1\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\x50\x50\x50\xa8\xe1\xe1\x50\x50\xa8\x57\x54\x53\x51\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xe1\xa8\xa8\xa8\x50\x59\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\x30\x32\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\x50\xa8\xd1\xa8\x50\xa8\xa8\xa8\x50\x50\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\x30\x32\x53\xa8\xa8\x50\xa8\x50\x51\x51\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xd1\x31\xa8\xa8\x50\x51\xd1\x51\x53\xd1\x50\xa8\xa8\xa8\xa8\x50\x50\xa8\x50\xa8\xa8\xa8\x50\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\x50\x57\x51\x56\x54\xd1\x55\x55\x54\xd1\x50\xa8\x50\x53\x53\x50\x53\x50\xa8\xa8\xd1\x54\x50\x50\x50\x50\x51\x50\x50\x50\x50\x50\xa8\x5c\x58\x5b\x55\xa8\x5b\x57\x59\x50\x50\x50\xa8\x80\x58\xa8\x5a\x55\xa8\xa8\x50\xa8\x59\x57\x57\x50\xa8\x50\xa8\xa8\x50\x50\x50");
strcpy(sprite_image[41],"\x20\x10\x57\x5b\x5b\x57\x5a\xa8\xa8\x58\x50\xa8\xa8\xa8\xa8\x58\xa8\x5c\x50\xa8\xa8\xa8\xa8\x59\xa8\x5b\x50\xa8\xa8\xe1\x55\x55\x50\x57\x57\x54\x50\xa8\x55\xa8\xa8\xa8\x54\xa8\xa8\x32\xa8\x50\xa8\x53\xe1\xa8\xa8\xa8\x50\xa8\x53\xa8\x54\xa8\xa8\xa8\xe2\xa8\x56\x5a\x59\x50\xa8\x50\xa8\xd1\xa8\xd1\xa8\xa8\xa8\xa8\xa8\xa8\x30\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\x50\xa8\xa8\x50\xe2\xa8\x5b\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\x50\xa8\xe1\xe1\xa8\xe1\xa8\xa8\xe1\xa8\x50\x50\xa8\xa8\xa8\xa8\xa8\x54\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\x50\x50\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xa8\xa8\x50\x50\xa8\xe1\xe1\xa8\xa8\x50\xa8\xa8\xa8\x30\x50\x50\x50\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\x51\xa8\x54\xa8\xa8\xa8\xa8\xe1\xa8\x50\xe1\x50\x50\xa8\xa8\xa8\xa8\xa8\x59\xe1\xd1\x80\x50\xa8\x53\x53\x51\xa8\xa8\xa8\xa8\x50\x33\xa8\xa8\xe1\xa8\xa8\xe1\xa8\x50\xa8\xa8\xa8\x50\xa8\x50\xa8\xa8\x50\xa8\x30\x51\xa8\xa8\xa8\xa8\xa8\xa8\x51\x51\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xe1\xa8\xa8\x50\xa8\xa8\xa8\xa8\xd1\xa8\xa8\xa8\x50\x51\x50\xa8\xa8\xa8\xa8\xa8\x51\x50\xd1\x50\xa8\xa8\xa8\xa8\xa8\xa8\xe1\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe2\x50\x57\xa8\xa8\xa8\x54\xd1\x55\x51\xa8\xd1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\x50\x54\x50\xa8\xa8\x50\x32\x50\x50\x50\x50\xa8\xa8\x57\x58\xa8\xa8\xa8\xa8\xa8\xa8\x51\x50\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x57\xa8\xa8\xe1\xa8\x50\xa8\xa8\xa8\xa8\x50\xa8\xa8\x50\xa8\xa8\xa8\x50\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xd1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x53\xa8\xe1\xa8\x32\xa8\xa8\xa8\x50\xa8\x50\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\x50\xa8\x31\xa8\xa8\xa8\xa8\xa8\xa8\x53\xa8\x50\xd1\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\x50\xa8\xa8\x50\x50\xa8\x57\x55\x56\xa8\x51\xa8\xa8\xa8\xa8\xa8\xa8\x50\x54\x53\xd1\x53\x50\x50\xa8\x50\xa8\xa8\x50\x50\x50\x50\xa8\x53\xa8\xa8\x51\xd1\x5b\xa8\x5b\x55\xa8\x50\x57\x59\x58\xa8\x5c\xa8\x80\xa8\xa8\xa8\x55\x57\x50\x50\x5a\x59\xa8\xa8\x50\xa8\x50\x50\x57\xa8\x50\x50");
strcpy(sprite_image[42],"\x20\x10\xa8\x5b\x5b\x57\x5a\xa8\xa8\x58\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\x55\xa8\x50\x57\xa8\x5b\x50\xa8\xa8\xe1\xa8\x55\xa8\x59\x50\xa8\xa8\x50\x55\xa8\xa8\x50\xa8\xa8\xa8\xa8\x53\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\x53\xe1\xa8\xa8\x32\xa8\xa8\x59\x50\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\x30\x50\x50\xa8\xa8\xe2\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\x50\xa8\x31\x5b\xa8\xe1\xa8\xa8\xa8\x53\xa8\xe1\x50\xa8\xa8\xa8\xa8\xa8\xa8\x54\xa8\xa8\x50\xa8\xa8\xa8\xa8\xe1\xa8\xa8\x50\xa8\xa8\x50\x50\x50\xa8\xa8\xa8\xa8\xe1\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\x53\x50\x50\xa8\xa8\xa8\x30\x50\xa8\x50\xa8\xa8\x50\xa8\x53\xa8\xa8\x51\xd1\x50\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xa8\x51\x50\xa8\x50\xa8\xa8\xa8\x57\x59\x50\xd1\xa8\x50\xa8\xa8\xa8\xa8\xa8\x59\xe1\xe1\x50\x50\xa8\x53\xe1\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\x53\x51\xa8\xe1\xa8\xa8\x50\x33\xa8\xa8\xa8\x50\xa8\xa8\x50\xa8\x30\x51\xa8\x50\xa8\xa8\xa8\xa8\x51\x51\xa8\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xa8\x50\xa8\xa8\xa8\xa8\xd1\xa8\xa8\x50\x50\x50\x50\xa8\xa8\xa8\xa8\xa8\xe1\x50\xd1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x51\x50\xa8\x51\xa8\xa8\xa8\xa8\xa8\xa8\xe2\xa8\x57\xa8\xa8\xa8\xa8\xd1\x55\x51\xa8\xd1\x50\xa8\x50\xa8\xa8\xa8\x32\x50\xa8\xa8\x50\x54\xa8\xa8\x54\x50\xa8\x50\x50\x50\xa8\xa8\xa8\x57\x58\xa8\xa8\xa8\xa8\x50\xa8\x50\x57\x50\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\x58\xa8\x5c\xa8\xa8\x51\x50\x57\xa8\x57\x54\x50\xa8\x50\xa8\xa8\xa8\xa8\xa8\xa8\x32\xa8\xa8\xa8\x53\xd1\xe1\x54\xa8\xa8\x5a\xa8\xa8\x54\xa8\xa8\xa8\xe2\xa8\x56\xa8\xa8\x50\xa8\xa8\xa8\xa8\x50\xd1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\x50\xa8\xd1\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\x50\xa8\x50\xe1\xa8\xa8\xa8\xa8\xa8\xe1\xa8\xa8\xa8\xa8\xa8\xa8\x50\xa8\xa8\xa8\xa8\xd1\xa8\xa8\xa8\xa8\x55\x54\xa8\x51\x53\x50\xa8\xa8\x50\x57\xe1\xe1\x50\xd1\xa8\x50\x50\x50\xa8\xa8\x50\x56\xa8\x50\x50\xa8\xa8\xa8\xa8\xa8\x50\x5b\xa8\x5b\x55\xa8\x50\x55\x57\x50\xa8\x5c\x54\xa8\xa8\xa8\xa8\xa8\x50\x58\xa8\x5a\x59\x80\xa8\x50\xa8\x50\xa8\x57\x50\x80\x50");
strcpy(sprite_image[43],"\x20\x10\x51\x5f\x5f\x5c\x5e\x51\x51\x5c\x51\x51\x51\x51\x51\x51\x54\x51\x51\x51\x59\x51\x54\x5c\x51\x5f\x54\x52\x51\x53\x52\x59\x51\x5e\x54\x51\x51\x54\x59\x51\x51\x54\x51\x51\x51\x51\x57\x51\x51\x51\x52\x51\x51\x51\x54\x52\x52\x51\x51\x57\x53\x51\x53\x56\x51\x51\x5e\x53\x51\x54\x51\x51\x51\x51\x51\x51\x51\x53\x53\x54\x54\x54\x54\x51\x51\xd3\x52\x51\x53\x51\x51\x51\x51\x51\x53\x51\x34\x5f\x51\x53\x51\x51\x51\x57\x51\x53\x54\x51\x51\x51\x51\x51\x51\x59\x51\x51\x54\x51\x52\x51\x52\xd2\x51\x51\x54\x52\x51\x53\x54\x54\x51\x51\x51\x53\xd2\x51\x51\x51\x51\x54\x51\x51\x51\x57\x54\x54\x51\x52\x51\x54\x54\x51\x54\x51\x51\x53\x51\x57\x51\x51\x55\x55\x54\x51\x51\x51\x51\x51\x53\x52\x51\x55\x54\x51\x54\x51\x51\x51\x5c\x5e\x54\x33\x51\x54\x51\x52\x51\x51\x51\x5e\x53\x53\x54\x54\x51\x57\x53\x52\x51\x51\x51\x54\x51\x53\x51\x51\x57\x56\x51\x53\x51\x51\x54\x80\x51\x51\x51\x54\x52\x51\x54\x51\x54\x56\x52\x54\x51\x51\x51\x51\x55\x56\x51\x51\x54\x51\x52\x51\x51\x51\x51\x51\x51\x51\x51\x51\x51\x53\x51\x51\x54\x51\x52\x52\x52\x55\x51\x51\x54\x54\x53\x54\x51\x52\x51\x51\x51\xd2\x53\x55\x51\x51\x51\x51\x51\x51\x51\x56\x54\x51\x56\x51\x52\x51\x51\x51\x52\xd3\x51\x5c\x51\x51\x51\x51\x55\x59\x55\x51\x55\x53\x51\x54\x51\x51\x51\x56\x54\x51\x51\x54\x58\x51\x51\x58\x54\x52\x54\x54\x54\x51\x52\x51\x5c\x5c\x51\x51\x51\x51\x54\x51\x54\x5c\x54\x51\x53\x51\x51\x51\x51\x51\x51\x54\x51\x51\x51\x5c\x51\x98\x51\x51\x56\x54\x5c\x51\x5c\x59\x53\x51\x54\x51\x51\x51\x51\x52\x51\x56\x51\x51\x51\x57\x55\x53\x58\x51\x51\x5e\x51\x51\x58\x51\x51\x51\xd3\x51\x70\x52\x51\x53\x51\x51\x51\x51\x53\x33\x52\x51\x51\x51\x51\x51\x51\x52\x52\x51\x54\x52\x51\x51\x52\x54\x51\x55\x51\x51\x51\x51\x51\x51\x51\x51\x51\x51\x51\x53\x51\x53\x51\x54\x53\x51\x51\x51\x51\x53\x53\x53\x51\x51\x51\x51\x51\x53\x51\x51\x51\x51\x55\x51\x51\x51\x51\x59\x58\x51\x55\x57\x54\x51\x51\x53\x5c\x53\xd2\x54\x55\x51\x54\x54\x54\x51\x51\x53\x70\x51\x54\x54\x53\x52\x53\x51\x52\x54\x5f\x51\x5f\x59\x51\x54\x59\x5c\x54\x51\x98\x59\x51\x51\x51\x51\x51\x54\x5c\x51\x5e\x5e\x82\x51\x54\x51\x54\x51\x5c\x54\x82\x54");
strcpy(sprite_image[44],"\x20\x10\x57\x99\x99\x98\x64\x57\x57\x98\x57\x57\x57\x57\x57\x57\x59\x57\x57\x57\x60\x57\x59\x98\x57\x99\x59\x58\x57\x59\x57\x60\x57\x98\x59\x57\x57\x59\x60\x57\x57\x59\x57\x57\x57\x57\x5c\x57\x57\x57\x57\x57\x57\x57\x59\x57\x57\x57\x57\x5c\x59\x57\x58\x81\x57\x57\x98\x59\x57\x59\x57\x57\x57\x57\x57\x57\x57\x58\x58\x59\x80\x59\x59\x57\x57\x80\x57\x57\x59\x57\x57\x57\x57\x57\x59\x57\x80\x99\x57\x59\x57\x57\x57\x5c\x57\x59\x59\x57\x57\x57\x57\x57\x57\x5e\x57\x57\x59\x57\x57\x57\x57\x80\x57\x57\x59\x57\x57\x59\x59\x59\x57\x57\x57\x58\x59\x57\x57\x57\x57\x59\x57\x57\x57\x5e\x59\x59\x57\x57\x57\x80\x59\x57\x59\x57\x57\x59\x57\x5e\x57\x57\x5b\x5b\x59\x57\x57\x57\x57\x57\x59\x58\x57\x5b\x59\x57\x59\x57\x57\x57\x98\x98\x59\x80\x57\x59\x57\x57\x57\x57\x57\x98\x59\x59\x59\x59\x57\x5c\x59\x57\x57\x57\x57\x59\x57\x58\x57\x57\x5e\x5c\x57\x59\x57\x57\x59\x83\x57\x57\x57\x59\x57\x57\x59\x57\x80\x5c\x57\x59\x57\x57\x57\x57\x5b\x5c\x57\x57\x59\x57\x57\x57\x57\x57\x57\x57\x57\x57\x57\x57\x57\x59\x57\x57\x59\x57\x57\x57\x57\x5b\x57\x57\x59\x59\x59\x59\x57\x57\x57\x57\x57\x59\x59\x5b\x57\x57\x57\x57\x57\x57\x57\x5c\x59\x57\x5c\x57\x57\x57\x57\x57\x57\x80\x57\x98\x57\x57\x57\x57\x5b\x60\x5b\x57\x5b\x59\x57\x59\x57\x57\x57\x81\x59\x57\x57\x59\x5e\x57\x57\x5e\x59\x57\x59\x59\x59\x57\x57\x57\x98\x98\x57\x57\x57\x57\x59\x57\x59\x98\x59\x57\x59\x57\x57\x57\x57\x57\x57\x59\x57\x57\x57\x98\x57\x99\x57\x57\x5c\x59\x98\x57\x98\x5e\x59\x57\x59\x57\x57\x57\x57\x57\x57\x81\x57\x57\x57\x5c\x5b\x59\x5e\x57\x57\x64\x57\x57\x5e\x57\x57\x57\x80\x57\x5f\x58\x57\x59\x57\x57\x57\x57\x59\x80\x58\x57\x57\x57\x57\x57\x57\x57\x57\x57\x59\x57\x57\x57\x57\x59\x57\x5b\x57\x57\x57\x57\x57\x57\x57\x57\x57\x57\x57\x59\x57\x59\x57\x59\x59\x57\x57\x57\x57\x58\x59\x58\x57\x57\x57\x57\x57\x59\x57\x57\x57\x57\x5b\x57\x57\x57\x57\x60\x5e\x57\x5b\x5e\x5b\x57\x57\x59\x98\x59\x80\x59\x5b\x57\x59\x59\x59\x57\x57\x59\x5f\x57\x59\x59\x58\x57\x58\x57\x57\x59\x99\x57\x99\x5f\x57\x59\x60\x98\x59\x57\x99\x5e\x57\x57\x57\x57\x57\x59\x98\x57\x64\x98\x63\x57\x59\x57\x59\x57\x98\x59\x63\x59");
strcpy(sprite_image[45],"\x20\x10\x5e\x65\x65\x99\x65\x5e\x5e\x65\x5e\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x99\x5e\x60\x99\x5e\x65\x60\x5e\x5e\x60\x5e\x99\x5e\x65\x60\x5e\x5e\x60\x99\x5e\x5e\x60\x5e\x5e\x5e\x5e\x98\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x5e\x98\x60\x5e\x5e\x87\x5e\x5e\x65\x5f\x5e\x60\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x60\x84\x60\x60\x5e\x5e\x84\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x84\x65\x5e\x60\x5e\x5e\x5e\x98\x5e\x60\x60\x5e\x5e\x5e\x5e\x5e\x5e\x98\x5e\x5e\x60\x5e\x5e\x5e\x5e\x84\x5e\x5e\x60\x5e\x5e\x5f\x60\x60\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x64\x60\x60\x5e\x5e\x5e\x84\x60\x5e\x60\x5e\x5e\x5e\x5e\x64\x5e\x5e\x86\x86\x60\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x86\x60\x5e\x60\x5e\x5e\x5e\x99\x65\x60\x84\x5e\x60\x5e\x5e\x5e\x5e\x5e\x65\x60\x60\x60\x60\x5e\x98\x60\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x5e\x98\x98\x5e\x60\x5e\x5e\x60\x63\x5e\x5e\x5e\x60\x5e\x5e\x60\x5e\x84\x98\x5e\x60\x5e\x5e\x5e\x5e\x86\x98\x5e\x5e\x60\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x60\x5e\x5e\x5e\x5e\x86\x5e\x5e\x60\x60\x5f\x60\x5e\x5e\x5e\x5e\x5e\x60\x5e\x86\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x98\x60\x5e\x98\x5e\x5e\x5e\x5e\x5e\x5e\x84\x5e\x99\x5e\x5e\x5e\x5e\x86\x99\x86\x5e\x86\x5e\x5e\x60\x5e\x5e\x5e\x87\x60\x5e\x5e\x60\x99\x5e\x5e\x99\x60\x5e\x60\x60\x60\x5e\x5e\x5e\x99\x65\x5e\x5e\x5e\x5e\x60\x5e\x60\x99\x60\x5e\x60\x5e\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x65\x5e\x65\x5e\x5e\x98\x60\x99\x5e\x99\x98\x5e\x5e\x60\x5e\x5e\x5e\x5e\x5e\x5e\x87\x5e\x5e\x5e\x98\x86\x60\x99\x5e\x5e\x65\x5e\x5e\x98\x5e\x5e\x5e\x84\x5e\x99\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x84\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x5e\x60\x5e\x86\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5e\x5f\x5e\x5f\x5e\x60\x60\x5e\x5e\x5e\x5e\x5e\x60\x5e\x5e\x5e\x5e\x5e\x5e\x5f\x5e\x5e\x5e\x5e\x86\x5e\x5e\x5e\x5e\x99\x99\x5e\x86\x64\x61\x5e\x5e\x5e\x99\x60\x84\x60\x86\x5e\x60\x60\x60\x5e\x5e\x5e\x99\x5e\x60\x60\x5e\x5e\x5e\x5e\x5e\x60\x65\x5e\x65\x65\x5e\x60\x99\x99\x60\x5e\x65\x98\x5e\x5e\x5e\x5e\x5e\x60\x65\x5e\x65\x65\x65\x5e\x60\x5e\x60\x5e\x99\x60\x65\x60");
strcpy(sprite_image[46],"\x20\x10\x64\x65\x65\x65\x65\x64\x64\x65\x64\x64\x64\x64\x64\x64\x99\x64\x64\x64\x65\x64\x99\x65\x64\x65\x99\x99\x64\x99\x64\x65\x64\x65\x99\x64\x64\x99\x65\x64\x64\x99\x64\x64\x64\x64\x65\x64\x64\x64\x64\x64\x64\x64\x99\x64\x64\x64\x64\x65\x99\x64\x99\x65\x64\x64\x65\x65\x64\x99\x64\x64\x64\x64\x64\x64\x64\x99\x99\x99\x64\x99\x99\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x65\x64\x99\x64\x64\x64\x65\x64\x99\x99\x64\x64\x64\x64\x64\x64\x65\x64\x64\x99\x64\x64\x64\x64\x64\x64\x64\x99\x64\x64\x65\x99\x99\x64\x64\x64\x99\x99\x64\x64\x64\x64\x99\x64\x64\x64\x65\x99\x99\x64\x64\x64\x64\x99\x64\x99\x64\x64\x64\x64\x65\x64\x64\x65\x65\x99\x64\x64\x64\x64\x64\x99\x99\x64\x65\x99\x64\x99\x64\x64\x64\x65\x65\x99\x64\x64\x99\x64\x64\x64\x64\x64\x65\x99\x99\x99\x99\x64\x65\x99\x64\x64\x64\x64\x99\x64\x99\x64\x64\x65\x99\x64\x99\x64\x64\x99\x65\x64\x64\x64\x99\x64\x64\x99\x64\x64\x99\x64\x99\x64\x64\x64\x64\x65\x99\x64\x64\x99\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x99\x64\x64\x99\x64\x64\x64\x64\x65\x64\x64\x99\x99\x65\x99\x64\x64\x64\x64\x64\x99\x64\x65\x64\x64\x64\x64\x64\x64\x64\x99\x99\x64\x99\x64\x64\x64\x64\x64\x64\x64\x64\x65\x64\x64\x64\x64\x65\x65\x65\x64\x65\x64\x64\x99\x64\x64\x64\x65\x99\x64\x64\x99\x65\x64\x64\x65\x99\x64\x99\x99\x99\x64\x64\x64\x65\x65\x64\x64\x64\x64\x99\x64\x99\x65\x99\x64\x99\x64\x64\x64\x64\x64\x64\x99\x64\x64\x64\x65\x64\x65\x64\x64\x99\x99\x65\x64\x65\x65\x64\x64\x99\x64\x64\x64\x64\x64\x64\x65\x64\x64\x64\x65\x65\x99\x65\x64\x64\x65\x64\x64\x65\x64\x64\x64\x64\x64\x65\x99\x64\x64\x64\x64\x64\x64\x64\x64\x99\x64\x64\x64\x64\x64\x64\x64\x64\x64\x99\x64\x64\x64\x64\x99\x64\x65\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x64\x65\x64\x65\x64\x99\x99\x64\x64\x64\x64\x99\x99\x99\x64\x64\x64\x64\x64\x65\x64\x64\x64\x64\x65\x64\x64\x64\x64\x65\x65\x64\x65\x65\x65\x64\x64\x64\x65\x99\x64\x99\x65\x64\x99\x99\x99\x64\x64\x64\x65\x64\x99\x99\x99\x64\x99\x64\x64\x99\x65\x64\x65\x65\x64\x99\x65\x65\x99\x64\x65\x65\x64\x64\x64\x64\x64\x99\x65\x64\x65\x65\x65\x64\x99\x64\x99\x64\x65\x99\x65\x99");
/* red brick when hit */
strcpy(sprite_image[47],"\x20\x10\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb3\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xb5\xb5\xb4\xb4\xb6\xb6\xb7\xb7\xb7\xb7\xb9\xb9\xb5\xb5\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb4\xb4\xb6\xb6\xaf\xaf\xb5\xb5\xb4\xb4\xb6\xb6\xb7\xb7\xb7\xb7\xb9\xb9\xb5\xb5\xb8\xb8\xba\xba\xb8\xb8\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xb7\xb7\xb6\xb6\xb5\xb5\xb7\xb7\xb9\xb9\xb8\xb8\xb8\xb8\xb6\xb6\xb9\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xb3\xb3\xb5\xb5\xaf\xaf\xb7\xb7\xb6\xb6\xb5\xb5\xb7\xb7\xb9\xb9\xb8\xb8\xb8\xb8\xb6\xb6\xb9\xb9\xb6\xb6\xb9\xb9\xb6\xb6\xb3\xb3\xaf\xaf\xb6\xb6\xb6\xb6\xb4\xb4\xb4\xb4\xb9\xb9\xb8\xb8\xba\xba\xb9\xb9\xb9\xb9\x28\x28\xb8\xb8\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xaf\xaf\xb6\xb6\xb6\xb6\xb4\xb4\xb4\xb4\xb9\xb9\xb8\xb8\xba\xba\xb9\xb9\xb9\xb9\x28\x28\xb8\xb8\x2a\x2a\xba\xba\xb6\xb6\xb3\xb3\xb6\xb6\xb7\xb7\xb8\xb8\xb5\xb5\xaf\xaf\xba\xba\xb8\xb8\xb9\xb9\xb3\xb3\x29\x29\x28\x28\xba\xba\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\xb7\xb7\xb8\xb8\xb5\xb5\xaf\xaf\xba\xba\xb8\xb8\xb9\xb9\xb3\xb3\x29\x29\x28\x28\xba\xba\x2b\x2b\xb8\xb8\xb6\xb6\xb3\xb3\xb6\xb6\xb8\xb8\xb8\xb8\xb8\xb8\xb3\xb3\xb7\xb7\xba\xba\xb8\xb8\x28\x28\xb4\xb4\x29\x29\xb9\xb9\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb6\xb6\xb8\xb8\xb8\xb8\xb8\xb8\xb3\xb3\xb7\xb7\xba\xba\xb8\xb8\x28\x28\xb4\xb4\x29\x29\xb9\xb9\x28\x28\xba\xba\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb5\xb5\xb7\xb7\xaf\xaf\xb8\xb8\xb8\xb8\x29\x29\xb7\xb7\xb7\xb7\xba\xba\x28\x28\x2a\x2a\xb6\xb6\xb3\xb3\xb7\xb7\xb8\xb8\xaf\xaf\xb5\xb5\xb7\xb7\xaf\xaf\xb8\xb8\xb8\xb8\x29\x29\xb7\xb7\xb7\xb7\xba\xba\x28\x28\x2a\x2a\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6\xb6");
/* missile flying */
strcpy(sprite_image[48],"\x10\x20\xff\xff\xff\xff\xff\xff\xff\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb4\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb2\xb4\xb6\xb4\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\xb3\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5f\xb3\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x5a\x56\x5a\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x59\x56\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5c\x5c\x5e\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\x5f\x59\x59\x59\x58\xd9\x56\x55\xd8\x57\x58\x59\x59\x5f\xff\x5f\x5f\x5f\xd8\xd9\xd8\xd9\xd8\x5f\xd9\xd8\x5f\x5f\x5f\x5f\x5f\xff\xff\xd8\xff\xd8\xdc\xd9\xdc\xa4\xd8\xd8\xd8\xff\xff\xff\xff\xff\xff\xd8\xff\xa4\xff\xa4\xa4\xdc\xa4\xdc\xff\xff\xff\xff\xff\xff\xff\xf9\xdd\xd8\xd8\xa4\xa4\xdc\xd8\xd8\xff\xd9\xff\xff\xff\xff\xff\xa2\xff\xd8\xa2\xa4\xa4\xd8\xd7\xd8\xd9\xff\xf9\xff\xff\xff\xff\xa2\xd7\xa2\xd8\xa2\xd8\xa4\xd8\xd8\xf9\xff\xf9\xff\xff\xff\xff\xff\xff\xd7\xd8\xa2\xd9\xd7\xff\xd8\xff\xff\xff\xff\xff");
strcpy(sprite_image[49],"\x10\x20\xff\xff\xff\xff\xff\xff\xff\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb4\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb2\xb4\xb6\xb4\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\xb3\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5f\xb3\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x5a\x56\x5a\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x59\x56\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5c\x5c\x5e\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\x5f\x59\x59\x59\x58\xd8\x56\x55\xd8\x57\x58\x59\x59\x5f\xff\x5f\x5f\x5f\x5f\xf8\xf8\xd8\x5f\xd8\x5f\xf9\xd8\x5f\x5f\x5f\x5f\xff\xf9\xff\xf9\xf9\xd8\xd8\xd8\xf9\xd8\xf9\xff\xd8\xf9\xff\xff\xff\xff\xff\xf8\xf8\xf8\xf9\xf9\xd8\xd8\xf9\xf9\xd8\xff\xff\xff\xff\xff\xf9\xf8\xd8\xf9\xf9\xf9\xf8\xd8\xd8\xff\xff\xff\xff\xff\xff\xff\xf8\xf9\xd8\xf8\xf8\xf8\xf8\xf9\xf9\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xd8\xf9\xd8\xd8\xf9\xd8\xf9\xff\xff\xff\xff\xff\xff\xff\xff\xff\xd8\xd8\xff\xf8\xff\xf8\xff\xff\xff\xff\xff");
strcpy(sprite_image[50],"\x10\x20\xff\xff\xff\xff\xff\xff\xff\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb4\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb2\xb4\xb6\xb4\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\xb3\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5f\xb3\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x5a\x56\x5a\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x59\x56\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5c\x5c\x5e\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\x5f\x59\x59\x59\x58\xf8\x56\xf8\x56\x57\xd7\xf8\x59\x5f\xff\x5f\x5f\x5f\xd7\xd7\xd7\x5f\xf8\x5f\xf8\x5f\xf8\x5f\x5f\x5f\x5f\xff\xd7\xd7\xd7\xd7\xd7\xff\xf8\xd7\xdc\xd7\xd7\xf8\xf8\xff\xff\xff\xff\xd9\xd7\xd9\xf8\xf8\xf8\xdc\xf9\xd7\xf8\xf8\xff\xff\xff\xff\xff\xd9\xff\xd7\xf8\xd7\xd7\xf8\xf9\xf8\xf8\xf8\xff\xff\xff\xff\xd9\xff\xd9\xd7\xf9\xd7\xd7\xf8\xdc\xf9\xd9\xff\xff\xff\xff\xff\xd9\xff\xd9\xf8\xff\xd7\xd9\xf9\xd9\xd9\xd9\xff\xff\xff\xff\xff\xff\xd9\xd9\xd9\xff\xdc\xd9\xd9\xd9\xd9\xf9\xff\xff\xff\xff");
strcpy(sprite_image[51],"\x10\x20\xff\xff\xff\xff\xff\xff\xff\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb4\xb6\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xb6\xb2\xb4\xb6\xb4\xb6\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\x5f\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5c\xb3\x5c\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5f\xb3\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\xb3\x5f\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x5a\x56\x5a\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x59\x56\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5c\x5c\x5e\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\x5f\x59\x59\x59\x58\x57\xf9\x55\xd7\x57\x58\x59\x59\x5f\xff\x5f\x5f\x5f\xf8\xf9\x5f\xdc\xf8\x5f\xd7\xf8\xf9\xf8\x5f\x5f\x5f\xff\xff\xff\xff\xf9\xf9\xf8\xf9\xdc\xdc\xf9\xd7\xd7\xff\xff\xff\xff\xff\xf9\xf9\xf9\xf9\xdc\xdc\xd7\xdc\xf9\xdc\xf8\xff\xff\xff\xff\xff\xff\xf9\xf9\xdc\xdc\xd7\xf8\xf9\xf8\xff\xff\xf8\xff\xff\xff\xff\xff\xd7\xff\xf9\xdc\xdc\xdc\xd7\xdc\xdc\xdc\xff\xff\xff\xff\xff\xff\xff\xd7\xd7\xdc\xdc\xd7\xff\xd7\xff\xd7\xff\xff\xff\xff\xff\xff\xd7\xff\xff\xd7\xd7\xd7\xd7\xff\xd7\xd7\xff\xff\xff");
/* missile exploding */
strcpy(sprite_image[52],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\x47\x47\x47\x4a\x45\x4a\x45\x47\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4b\x48\xa5\x47\x40\xa3\xa3\x42\x40\x47\xff\xf8\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x48\x4c\xff\xf8\xa2\xa2\xa3\xa2\xa3\xf9\xf9\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4a\x44\x46\x45\xa3\xf8\xf8\xa2\xa2\xa2\xa1\x45\x49\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xd8\xa3\xa3\x42\x44\x40\x3d\x3d\x3d\xa2\xa3\xa3\xa3\x48\xd8\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\xa5\xdc\xd8\x45\x8b\x87\x40\x40\x3f\xa3\x43\x49\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4c\xa6\xe8\xa6\x0e\x6c\x65\x87\x1b\x04\x87\x93\x49\xd8\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\xee\xa7\xa7\xee\xff\xff\x5f\x04\x41\x04\x61\x69\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\xef\x01\xff\xff\x5f\x1d\xdc\x1b\x1d\x68\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x5a\x56\x5a\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5a\x59\x56\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x59\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5b\x3e\x81\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\x3d\x3b\x3c\x80\x3e\x82\x57\x58\x59\x59\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x5f\xd8\xd6\xd6\xd6\x3e\xd8\x3e\xd8\x3c\x89\x66\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x8b\x41\xda\xd8\xd7\xd7\xd8\xd8\x3f\xd8\x47\x48\x0e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4a\xa5\xdc\xd8\xd9\xd9\xd9\xd8\xd8\xd8\xa4\xa5\x49\xee\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xa7\xa6\xdf\xdc\xda\xd9\xda\xd9\xd8\xa6\xa5\x49\x49\x4c\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xa6\xa6\xdc\xda\xd9\xdb\xda\xd8\xdc\xa4\x45\x44\x48\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xa6\xa6\xde\xde\xe8\xde\xdc\x49\x46\x49\x48\x4b\xee\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\xa6\xa6\xa7\xa7\xa7\xa6\x0f\xed\xee\x0e\x4f\x02\x07\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[53],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\x47\x47\x4a\x4a\x4a\x4a\x45\x47\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4b\x48\x49\x44\x45\x43\x43\x42\x40\x47\x47\x4c\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x49\x48\x46\x42\x40\x3e\x3f\xa3\xa2\xa3\x43\x48\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x48\x45\x45\x44\x41\x3f\xf8\xf8\xd7\xa2\xa2\xa3\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x0f\x44\x45\xa4\x42\x44\x42\x40\x3d\x3d\xd7\xa2\xa3\xa4\x45\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x48\x46\xa5\xa4\xa4\x43\x44\x42\x40\x3f\xd6\xa3\xa3\xa4\x46\x4a\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xed\x4b\x46\xa5\xa4\xa4\x43\x43\x42\x42\x40\xda\xa4\xa4\x45\x49\x4c\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x0f\x4a\x4a\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xda\xa4\xa3\xa4\x47\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\xee\x4a\xa5\xdc\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xf8\xa3\xa5\x4c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4c\xa6\xa5\xa4\xdb\xd8\xd8\xd9\xd8\xf8\xf8\x42\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\x4c\x47\xa4\xda\xd6\xd6\xd6\xd8\xd6\x40\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4b\x48\x45\xa4\x3f\x3b\xad\xae\xd8\x44\x49\xed\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\x4c\x4a\x94\x92\x84\x1a\x16\xae\xde\x8a\x0e\x4f\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x4f\x4c\x0e\x47\x43\x1a\x1d\xaf\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x6e\x0e\x88\x1a\x19\x17\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x05\x69\x63\x5d\x04\x80\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\xb3\x55\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\x57\xb3\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\xb3\xb3\xb3\xb3\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x57\x55\x57\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x58\x56\x55\x56\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x57\x56\x55\x56\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5d\x5e\x5f\x5f\x5f\x5f\x5e\x5e\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5b\x5b\x5b\x3e\x81\x5f\x5e\x5c\x5c\x5b\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x59\x59\x3d\x3b\x3c\x80\x3e\x82\x57\x58\x59\x59\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x5f\xd8\xd6\xd6\xd6\x3e\xd8\x3e\xd8\x3c\x89\x66\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x69\x88\x9a\x44\xa4\xa4\x42\x44\x44\x42\x44\x43\x48\x6c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x6d\x8d\x95\x46\x49\x48\x48\x49\x49\x47\x4a\x49\x4c\x6f\xee\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x05\x4e\x4e\xed\xee\x0f\x0f\xee\xee\x0f\xee\xee\x4f\x06\xff\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[54],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\x47\x47\x4a\x4a\x4a\x4a\x45\x47\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4b\x48\x49\x44\x45\x43\x43\x42\x40\x47\x47\x4c\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x49\x48\x46\x42\x40\x3e\x3f\xa3\xa2\xa3\x43\x48\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x48\x45\x45\x44\x41\x3f\xf8\xf8\xd7\xa2\xa2\xa3\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x0f\x44\x45\xa4\x42\x44\x42\x40\x3d\x3d\xd7\xa2\xa3\xa4\x45\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x48\x46\xa5\xa4\xa4\x43\x44\x42\x40\x3f\xd6\xa3\xa3\xa4\x46\x4a\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xed\x4b\x46\xa5\xa4\xa4\x43\x43\x42\x42\x40\xda\xa4\xa4\x45\x49\x4c\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x0f\x4a\x4a\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xda\xa4\xa3\xa4\x47\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\xee\x4a\xa5\xdc\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xf8\xa3\xa5\x4c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4c\xa6\xa5\xa4\xdb\xd8\xd8\xd9\xd8\xf8\xf8\x42\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\x4c\x47\xa4\xda\xd6\xd6\xd6\xd8\xd6\x40\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4b\x48\x45\xa4\x3f\x3b\xad\xae\xd8\x44\x49\xed\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\x4c\x4a\x94\x92\x84\x18\x3f\xda\x42\x47\x4b\x4f\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x4f\x4c\x0e\x47\x43\x1a\x19\x1d\x04\x8b\x0d\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\x02\xed\xa6\x4a\x46\x44\x41\x3f\xd6\xdb\xa3\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\x4f\x4c\x4c\xa5\x47\x43\x41\x3e\xd5\xf8\xa3\x45\x4a\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\xed\x49\xa5\xdb\xa4\xa4\xa3\xa2\xa1\xf8\x3d\x45\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x4d\x4a\x46\xa4\xa3\xd8\xa2\xa1\xa1\xf8\x3c\x43\x96\x0e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\x4a\x45\xa3\xa2\xf9\xa2\xa1\xa1\xa1\xa2\x3e\x44\x45\x4a\x4f\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4c\x45\xa3\xa2\xf9\xa2\xa1\xa1\xa2\xa2\x3c\x3f\xa3\x45\x49\x0f\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x48\xa4\xa3\xd8\xa2\xa2\xa2\xd5\xf8\xd5\x3d\xa3\x43\x47\x4c\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x49\x43\xd8\xd8\xd6\xf8\xa2\x3c\x3c\x3c\x3d\x3e\x42\x47\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x94\x43\xd8\xd8\xd6\xd6\xf8\x3e\x82\x81\x3c\x40\x89\x48\x0f\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xec\x88\x40\xd8\xf8\xf8\xf8\xd6\x3c\x81\x81\x81\x83\x61\x66\x6d\x05\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x69\x61\x82\x59\x3a\x3c\x3c\x3d\x3e\x3d\x3c\x80\x83\x62\x69\x69\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x5f\x5f\x5f\xd8\x3e\x3f\x3f\x40\x41\x3f\x40\x90\x88\x66\x5f\x5f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x69\x88\x9a\x44\xa4\xa4\x42\x44\x44\x42\x44\x43\x48\x6c\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x6d\x8d\x95\x46\x49\x48\x48\x49\x49\x47\x4a\x49\x4c\x6f\xee\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x05\x4e\x4e\xed\xee\x0f\x0f\xee\xee\x0f\xee\xee\x4f\x06\xff\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[55],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\x47\x47\x4a\x4a\x4a\x4a\x45\x47\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4b\x48\x49\x44\x45\x43\x43\x42\x40\x47\x47\x4c\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x49\x48\x46\x42\x40\x3e\x3f\xa3\xa2\xa3\x43\x48\x4b\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x48\x45\x45\x44\x41\x3f\xf8\xf8\xd7\xa2\xa2\xa3\x44\x49\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x0f\x44\x45\xa4\x42\x44\x42\x40\x3d\x3d\xd7\xa2\xa3\xa4\x45\x48\x0f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xee\x48\x46\xa5\xa4\xa4\x43\x44\x42\x40\x3f\xd6\xa3\xa3\xa4\x46\x4a\xee\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xed\x4b\x46\xa5\xa4\xa4\x43\x43\x42\x42\x40\xda\xa4\xa4\x45\x49\x4c\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\x0f\x4a\x4a\xa5\xa4\xa4\xa4\xa4\xa4\xa4\xf8\xa4\xa3\x40\x47\x4c\xee\x02\x07\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\xee\x4a\xa5\xdc\xdb\xf8\xdb\xdb\xdb\xdb\xdb\xd8\x41\xa4\x49\x0f\x02\x07\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\x4f\x4b\x49\xa5\xa4\xdb\xd8\xf8\xd9\xd8\xf8\xa3\xa2\xa3\x46\x49\x45\x0e\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x47\x0f\x44\x41\xa3\xa4\xda\xf8\xd8\xd6\xd8\xa3\x41\xa3\xa4\x46\x49\x0e\x4f\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x45\x40\xa2\xa3\x45\xa4\x3f\xd8\xf8\xd8\xd6\x3f\x43\x47\x47\xa5\xa6\xee\x01\xff\xff\xff\xff\xff\xff\xff\x02\x02\x4f\x0e\x45\x0e\x49\x44\xa3\x40\x40\x3e\x84\x18\x3e\xd6\xa3\x42\x49\x4c\xa5\xd8\xd8\xff\xa6\xee\x01\x02\x07\xff\xff\xff\x02\x4e\x4a\xa4\x4a\x4a\x49\x46\x42\x40\x3d\x3c\xf8\xf8\x3d\xd8\xd6\x3f\x43\x47\xa5\xa6\xdc\xa7\x0f\x01\x02\x07\x08\xff\xff\xff\x02\x4f\x97\x48\x42\x47\x47\x45\x42\xa3\xa2\xd5\xf8\xf8\xd6\xd7\xd6\xd6\xa3\xa4\xa4\xa4\x47\x49\xee\x01\xee\x01\x02\xff\xff\xff\x01\xed\x48\x43\x43\x45\x45\xa4\xa3\xa2\xa2\xa3\x41\xd8\xd6\xd6\xd6\x3f\xa3\xa3\xa3\xa3\x48\xed\x96\x4a\x4c\xee\x01\xff\xff\xff\xee\x4c\x4a\x46\x44\x45\xa4\xa3\xa2\xa2\xa3\xd6\xf8\xd8\xd6\xd6\xa2\xa3\xa2\xd6\x41\x47\x0f\x97\x49\x4a\x97\x4f\x01\xff\xff\xff\x01\xee\x4a\x48\x46\x44\xa4\xa3\xa2\xa2\xa2\xd8\xa2\xf9\xd8\xf8\xd6\xa2\xd6\xa4\x47\x0f\x4a\x4b\x4a\x49\x4a\x97\xee\x02\x47\xff\x02\x4f\x4c\x49\x47\x44\xa4\xa3\xa2\xf8\xf9\xf8\xa2\xa2\xf8\xf8\xf8\xd6\xf8\xa4\x4a\x4f\x47\x49\x4a\x48\x48\x4a\x4a\x47\x0f\xff\x02\x4f\x4b\x48\x45\x42\xa3\xa3\xf9\xf8\xd8\xd6\xa2\xa1\xa1\xf8\xf8\xf8\xf8\xa2\xf8\xd8\xa5\x46\x48\x46\x47\x49\x4b\x0f\x01\xff\x07\x01\x4c\x47\x43\xa3\xa4\xa3\xa3\xa2\xa2\xd6\xa2\xf8\xf8\xa2\xf8\xd6\xf8\xd6\xf8\xa4\x47\x46\x46\x44\x46\x49\x4c\x4f\x02\xff\x08\x4f\x49\x44\x45\x4a\x45\xa3\xa2\xa2\xa2\xa2\xd6\xf8\xf8\xf8\xd6\xd6\xd6\xf8\x40\x43\x45\x45\x45\x44\x45\x48\x4a\xed\x0f\xff\x08\x08\x45\x47\x48\xff\x45\xa3\xa3\xa2\xa1\xa2\xd6\xd6\xa2\xa2\xf8\xf8\xf8\x3c\x3d\x43\x45\x47\x47\x44\x46\x4a\x0f\x01\x47\xff\xff\xff\xff\xff\xff\xff\x0e\x92\xa2\xa1\xa1\xf9\xd8\xf8\xa1\xa2\xa2\xd5\xf8\x83\x3e\x44\x48\x49\x4a\x48\x46\x4a\x4c\xee\x0f\xff\xff\xff\xff\xff\xff\xff\x8e\x86\xa2\x80\xa1\xf9\xf8\xa2\xa2\xa3\xa3\xa1\x80\x3a\x3c\x90\x8a\x8e\xee\x4c\x4a\x0f\x4a\x4d\x01\xff\xff\xff\xff\xff\xff\xff\x45\x3c\x3c\xa2\xa1\xf9\xa2\xa2\xa2\xd6\xa2\xa2\x90\x90\x3d\x80\x8c\x47\xff\x01\xee\x0f\x44\x4c\x01\xff\xff\xff\xff\xff\xff\x45\x45\x88\x41\x90\xa2\xa1\xa2\xa1\xa3\xa2\x40\x43\x43\x3e\xa2\x8a\x46\xed\xff\x02\x01\x47\x4c\x4f\xff\xff\xff\xff\xff\xff\xff\x45\x0e\x8e\x46\x92\x40\xa3\xa2\xf9\x49\xf9\x47\x4a\xf9\xa2\x45\x46\xed\x01\xff\x07\x02\x0f\x4f\x02\xff\xff\xff\xff\xff\xff\x45\x0e\x4f\xee\x4a\x93\x46\x42\x45\xa4\xa3\xa2\x40\xa3\xa2\x42\x44\x4a\x0f\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x45\xa4\x4a\x4b\xa4\x45\x45\x48\x44\x47\x47\x48\x0f\x47\x47\x0f\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x45\x4a\xee\x4f\x4b\x0e\x47\x0f\x4c\x47\x47\x0f\x01\x46\x47\x0f\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\xee\x01\x02\x4f\x47\x0f\x01\x47\x47\x0f\x01\x02\x47\x0f\x01\x02\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[56],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\x47\x47\x4a\x4a\x4a\x4a\x45\x47\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\x02\x02\x4f\xee\x01\xa6\x4a\x49\x46\x44\x45\x44\x44\x42\x40\x47\x47\x4c\x4f\xff\xff\xff\xee\x4f\x02\x02\xff\xff\xff\xff\x08\x02\x4f\x0f\x4b\xee\xa6\x48\x48\x45\x42\x42\x41\x3f\x3f\xa3\xa2\xa3\x43\x48\x4b\x4f\xff\xee\x97\x4d\x4f\x4f\x02\x08\xff\xff\x02\x4f\x97\x4c\x49\x4a\xa5\x46\x45\x43\x43\x41\xa3\x3d\xd6\xd7\xa2\xa2\xa3\x44\x49\xee\xff\x4f\x4d\x4c\x4d\x4d\x4f\x02\xff\xff\x02\x4f\x97\x49\x47\xa5\xdd\xa4\xa4\x40\x42\x41\x40\x3e\xd6\xd7\xa2\xa3\xa4\x45\x48\xa5\x4c\x97\x96\x4b\x4b\x4b\x4b\x0f\xff\xff\x02\x4f\x4c\x49\x47\xa5\xdd\xdb\xda\xa4\xa4\x42\x41\x40\x3e\xd6\xa3\xa3\xa4\x45\x47\x46\x49\x4a\x4a\x4a\x49\x4a\x4a\x0f\xff\xff\x02\x4e\x4a\x48\xa5\xde\xdc\xdb\xdb\xda\xa4\x43\x42\x41\x3f\xd8\xa3\xa4\xdb\xa5\x46\x47\x48\x48\x48\x49\x48\x49\x4a\x0f\xff\xff\x01\x0f\x4a\x48\xa5\xde\xdd\xdb\xda\xd9\xd8\xd8\xa3\xa3\xa3\xd6\xd6\x3f\xa4\x45\x46\x46\x47\x47\x47\x49\x4a\x4a\x4c\xee\xff\xff\x01\xed\x49\xa5\xa6\xe8\xdd\xdb\xda\xda\xd8\xd8\xd8\xd8\xd6\xf8\x3d\x3f\x41\x43\x45\x46\x47\x48\x49\x4a\x4c\x4c\xee\xff\xff\xff\x01\x4d\x4a\xa6\xa7\xe9\xdd\xa4\xa4\xa4\xa4\xd8\xd7\xd7\xd6\xd5\x3c\x3e\x40\x41\x43\x44\x45\x47\x47\x49\x96\x4f\xff\xff\xff\xff\x4f\x97\x49\xa5\xde\xdd\xda\xa3\xa3\xa3\xd8\xa3\xd8\xd6\xd5\x3b\x3c\x3d\x3f\xa3\xa4\xa4\x45\x46\x47\x49\x4b\x4d\x01\xff\xff\xff\x02\x4c\x49\x45\xdc\xdb\xd8\xd8\xa3\x41\xa2\xa2\xf8\xd5\x3a\x39\x3a\x3c\x3e\xa3\xa4\x45\x45\x46\x47\x48\x49\x96\x4e\x01\x02\xff\x01\xa6\x49\x45\xa4\xa4\x3f\x3e\x3c\x3c\xd5\x3a\xd5\xd4\x39\x38\x3a\x3c\x3e\xa3\xa3\x42\x43\x45\x46\x48\x4a\x97\x4f\x02\x07\xff\x4f\x4b\x48\x46\x44\x42\x3d\x39\x3a\x3a\x39\x38\xd4\x36\x37\x37\x38\x39\x3b\xa2\xa2\xa3\xa4\x45\x47\x49\x4b\x4d\x4e\x01\xee\xff\x01\x4d\x4a\x47\x43\x40\x3d\x3b\x39\x38\x37\x37\x36\x35\x35\x37\xd4\xa1\xa2\xa2\xa3\xa4\xa4\x45\x46\x48\x49\x4b\x97\x4c\x4f\xff\x4f\x4b\x48\x45\x42\x40\x3d\x3b\x39\x37\x36\x36\x35\x33\x32\xd3\xd4\xa1\xa1\xa2\xa2\xa3\xa4\x44\x45\x47\x48\x49\x4b\x97\x01\xff\x01\xed\x49\x46\x43\x40\x3d\x3b\x39\x37\x36\x36\x35\x34\xd1\xd3\x39\x38\x38\x3a\x3c\x3e\x41\x43\x44\x46\x47\x48\x49\x4b\x0f\xff\x01\x4d\x4a\x46\x43\x41\x3e\x3c\x3a\x38\x37\x37\x37\x36\x33\x37\x37\x37\x38\x39\x3b\x3c\x41\x43\x44\x45\x46\x47\x49\x4a\x4c\xff\x01\x4d\x4a\x47\x44\x42\x3f\x3c\x39\xd4\xd4\xd4\xd4\xd4\x36\x38\x38\xd4\x39\x3b\x3c\x3d\x3f\x41\x43\x44\x45\x47\x49\x96\xee\xff\x01\xed\x49\x46\x43\xa4\xa3\xa2\xa1\xa1\xa1\xd5\xd5\xd5\xd4\x39\x3a\xd5\x39\x3b\x3c\x3e\x40\x41\x43\x43\x44\x46\x49\xed\x01\xff\x4f\x4c\x49\x46\x44\xa4\xa3\xa2\xa2\xa2\xa2\xf8\xf8\xf8\xd5\xd5\xd5\xf8\x3b\x3c\x3d\x3f\x40\x41\x42\x42\x44\x47\x4a\x0f\x02\xff\x01\x4d\x4a\x47\x44\xa4\xa3\xa2\xd5\xf8\xf8\xd6\xd6\xd6\xf8\xf8\xf8\xd6\xd5\xd6\x3d\x40\x42\x44\x44\x43\x45\x48\x48\x4a\x0f\x08\x01\x4d\x4a\x48\x45\x43\x40\x3d\x3c\xf8\xd6\xf8\xd7\xd7\xd6\xd6\xd6\xf8\xd6\xd7\x3f\x40\x43\x44\x43\x45\x47\x49\x48\x48\x47\x08\x01\xee\x4c\x4a\x48\x45\x42\x40\x3e\x3c\xd5\xa1\xf8\xd6\xd7\xf8\xd6\xd5\xf8\xd8\x3f\x43\x44\x43\x47\x46\x47\x47\xa5\x49\x0f\x08\x01\xed\x4b\x4a\x48\x45\x42\x40\x3d\xa2\xa1\xf8\xd8\xa2\xd8\xd8\xd8\xd6\xd6\xd6\x3d\x41\x43\x47\x49\x47\x47\x47\x49\xed\x01\x08\x01\x4f\x4c\x4c\x49\x46\x44\x41\x3e\xa2\xa2\xf9\xa2\xa3\xa2\xd6\xd7\x3f\x3d\x3c\x3e\x3f\x44\x47\x48\x49\x49\x48\x49\xed\x01\x08\x02\x01\x4f\x4e\x96\x49\x46\x45\x41\xa3\xa2\xa1\xa2\xa2\xa2\xa2\xa3\x3f\x3e\x3e\x41\x43\x48\x4a\x4b\x4a\x4b\x4a\x4c\x4f\xff\xff\x08\x02\x02\x4f\x4b\x4a\x49\x4a\x45\x42\xa3\xa3\xa2\xa3\xa3\xa3\xa3\x41\x40\x41\x44\x48\x4c\x0f\xee\x4c\x0f\xed\xee\x01\xff\xff\xff\xff\x07\x01\x0f\x4c\x96\x4b\x48\x45\x44\x42\xa3\xa4\xa4\xa4\xa4\x43\x42\x45\x46\x49\x4c\xee\xee\x4f\x4f\x4f\x01\x02\xff\xff\xff\xff\x08\x02\x4f\xee\x97\x4a\x49\x48\x49\x47\x44\x45\x45\x47\x45\x45\x45\x49\x48\x49\x4b\x4d\x4f\x02\x02\x02\x02\x07\xff\xff\xff\xff\x08\x07\x02\x01\x01\xee\x96\x4b\xed\x4b\x49\x49\x49\x4c\x49\x47\x49\xed\x4a\x96\x97\x4e\x4f\x02\x07\x07\x07\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\x4f\x01\x4f\x0f\x0f\x0f\x01\x0f\x0f\xee\x01\x0f\xee\x4f\x01\x02\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[57],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0e\x4b\xff\xff\xff\x4a\x4a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x02\x02\x02\x4f\x02\x01\x0f\xee\x01\xee\x0e\x4a\x4c\x4f\x01\x01\x4f\x01\x02\x02\x07\xff\xee\x4f\x02\x02\xff\xff\xff\xff\x07\x02\x01\x01\xee\x4e\x4f\x4d\x4c\xee\x4f\x4b\x4a\x49\x4b\x4d\x0f\x0f\x4e\x4e\x4f\x02\x01\xee\x97\x4d\x4f\x4f\x02\x08\xff\xff\x07\x02\x01\x4f\x4e\x4f\x97\x96\x4b\x97\x4d\x4b\x49\x48\x49\x4b\x4b\x4c\x97\x4e\x4e\x4f\x4f\x4e\x4d\x4d\x4e\x4e\x4f\x02\xff\xff\x07\x02\x01\x4f\xee\x4d\x4b\x4a\x49\x4b\x96\x4a\x49\x48\x48\x49\x49\x4a\x4b\x97\x4d\x0f\x4e\x4d\x4c\x97\x4d\x4e\x4f\x02\xff\xff\x07\x01\x4f\xee\x0f\x4c\x4a\x49\x48\x49\x4a\x49\x48\x47\x47\x48\x48\x49\x4a\x4b\x4c\x4c\x4d\x0e\x96\x4c\x97\x4d\x4e\x01\xff\xff\xff\x01\x4f\x4e\x4d\x96\x4a\x49\x48\x48\x49\x47\x47\x46\x46\x47\x47\x48\x49\x4a\x4a\x4b\x4c\x4c\x96\x96\x0e\x4d\x4e\x01\xff\xff\xff\xee\x4f\x4e\x97\x4b\x4a\x49\x48\x47\x47\x46\x46\x46\x46\x47\x47\x48\x48\x49\x49\x4a\x4b\x96\x4c\x4c\x0e\x0f\x4f\x02\xff\xff\x01\xee\x4f\x4e\x97\x4b\x4a\x49\x48\x47\x47\x45\x45\x46\x47\x48\x48\x49\x49\x48\x47\x4a\x4c\x4b\x97\x0e\x0f\xee\x4f\x02\xff\xff\xff\x01\xee\x0f\x0f\x4c\x96\x4a\x49\x47\x46\x44\x43\x45\x47\x48\x49\x4b\x49\x47\x46\x48\x4a\x4c\x96\x97\x4e\x4f\x01\x02\xff\xff\xff\x01\x4f\xee\xee\x4c\x4d\x4b\x49\x47\x45\x42\x40\x42\x44\x46\x94\x95\x48\x46\x46\x48\x4a\x4b\x4a\x4c\x4d\x4f\x01\x02\xff\xff\xff\x02\x4f\xee\x4f\xee\x4f\x4a\x48\x45\x43\x40\x43\x43\x44\x45\x93\x94\x48\x47\x47\x4a\x49\x48\x4a\x4c\x4d\x4f\x01\x02\x02\xff\x01\x01\x4f\xee\xee\x01\x02\x0f\x48\x47\x43\x41\x44\x45\x45\x92\x88\x93\x49\x47\x48\x0e\x49\x47\x4a\x4c\x4d\x4f\x02\xff\xff\xff\xff\x02\x4f\x4e\xed\x4f\x45\x48\x93\x47\x43\x90\x48\x93\x92\x91\x86\x92\x46\x46\x46\x48\x47\x47\x49\x4b\x4c\xee\x4f\x01\xee\xff\x02\x4f\x4e\x97\x4b\x4b\x4a\x41\x4a\x8e\x90\x8e\x90\x8d\x88\x86\x84\x91\x44\x44\x44\x45\x45\x47\x49\x4a\x96\x4d\xee\x4c\x4f\xff\x01\x4f\x4e\x4c\x4a\x48\x45\x41\x45\x88\x84\x88\x85\x87\x83\x83\x82\x41\x42\x42\x41\x42\x44\x45\x47\x49\x4a\x96\xed\xee\x01\xff\x02\x4f\x97\x4a\x48\x45\x42\x40\x41\x84\x83\x84\x83\x83\x80\x81\x80\x89\x40\x40\x40\x44\x44\x45\x47\x49\x4a\x4b\x97\x4f\xff\xff\x01\x4d\x4a\x48\x45\x42\x40\x3e\x40\x83\x83\x84\x82\x81\x80\x13\x13\x82\x3c\x41\x40\x41\x43\x45\x46\x47\x49\x4a\x4c\x0f\x4c\xff\x02\x4f\x4c\x49\x45\x42\x40\x3d\x3f\x40\x3e\x41\x3d\x3b\x3a\x39\x3a\x3c\x3e\x40\x3f\x41\x44\x45\x46\x47\x49\x4a\x96\x4d\xee\xff\x01\xed\x4b\x4a\x46\x43\x41\x3f\x3f\x40\x40\x41\x41\x3e\x3c\x3c\x3c\x3c\x3d\x3e\x3e\x40\x42\x47\x45\x47\x4a\x4b\x97\x4e\x01\xff\x4f\xff\x4f\x97\x49\x45\x42\x40\x40\x41\x41\x42\x42\x40\x3d\x3e\x3d\x3c\x3c\x3d\x3e\x40\x42\x44\x43\x46\xed\x4c\x97\x4f\x02\xff\x01\x01\xee\x96\x49\x46\x43\x41\x40\x40\x41\x42\x41\x41\x3f\x3f\x3d\x3c\x3d\x3e\x40\x42\x44\x46\x45\x47\x49\xee\x4c\x4f\x0f\x08\x02\x01\x4e\x4c\x49\x46\x44\x42\x41\x40\x40\x41\x41\x41\x40\x3f\x3d\x3d\x3e\x40\x42\x45\x47\x48\x48\x48\x4a\x4c\xee\x01\xff\xff\x02\x4f\x4e\x97\x4b\x49\x46\x44\x42\x41\x40\x41\x41\x41\x40\x40\x3f\x3e\x3d\x40\x44\x48\x49\x4a\x4a\x4b\x97\x4d\x4f\x4f\x0f\xff\x02\x01\x4e\x4c\x4a\x48\x45\x43\x41\x40\x40\x40\x41\x41\x41\x41\x40\x3f\x3e\x41\x44\x46\x49\x4c\x4d\x0f\x4f\x4f\x01\x01\x01\xff\x07\x02\x4f\x4d\x4b\x49\x46\x43\x41\xa3\x40\x40\x41\x42\x42\x41\x41\x40\x40\x42\x45\x48\x4b\x0f\x4f\x4f\x01\x4f\xee\x01\xff\xff\x08\x01\x4f\x4d\x4b\x49\x46\x44\x42\x42\x42\xa3\x43\x44\x43\x42\x43\x42\x43\x45\x46\x4a\x4d\x01\x02\x02\x4f\x02\x01\x02\xff\xff\x08\x02\x01\x4e\x97\x4b\x49\x46\x44\x46\x48\x43\x45\x46\x46\x44\x46\x44\x46\x48\x4a\x96\x01\xff\xff\xff\x0f\xff\xff\xff\xff\xff\x08\x07\x01\x4f\x4e\x97\x96\x49\x47\x4a\x4a\x48\x47\x49\x4a\x48\x49\x47\x4a\x4a\x4c\x0f\x4f\xff\xff\xff\x4f\xff\x01\xff\xff\xff\xff\xff\x02\x01\x4f\x4f\x4e\x4c\x4a\x4d\x97\x4a\x4a\x4c\x4d\x4b\xed\x4a\x4d\x4d\x4d\x4f\x4e\x4d\x4f\xff\xff\x02\x02\x07\xff\xff\xff\xff\x07\x02\x02\x02\x01\x4f\x4d\x01\x01\x97\xee\x4f\x01\x4f\x01\xee\x01\x01\x01\x02\x01\xff\xff\xff\xff\xff\x07\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x4f\xff\xff\x4f\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[58],"\x20\x20\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xef\xff\xff\xff\xef\xef\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\x08\xff\x08\x02\xef\x01\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\x08\xff\x02\x01\x08\xff\xef\xef\xee\xef\x02\x02\x02\x08\x08\xff\xff\xff\x08\x02\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\x02\x01\xef\x02\x02\xef\xee\x4d\xee\xef\xef\x01\x02\x08\x08\xff\xff\x08\x02\x02\x08\x08\xff\xff\xff\xff\xff\xff\xff\xff\x08\x02\xef\xef\xee\xef\x01\xef\xee\x4d\x4d\xee\xee\xef\xef\x02\x02\x02\x08\x02\x01\x02\x02\x08\xff\xff\xff\xff\xff\xff\xff\x08\x02\x01\xef\xee\x4d\xee\xef\xee\x4d\x4c\x4c\x4d\x4d\xee\xef\xef\x01\x01\x02\x02\x01\x01\x02\x02\x08\xff\xff\xff\xff\xff\xff\x08\x02\x01\xef\xee\x4d\x4d\xee\x4c\x4c\xa7\xa7\x4c\x4c\x4d\xee\xef\xef\xef\x01\x01\x01\x01\x02\x02\x08\xff\xff\xff\xff\x08\xff\x08\x02\xef\xef\xee\x4d\x4c\x4c\xa7\xa7\xa7\xa7\x4c\x4c\x4d\x4d\xee\xee\xef\xef\x01\x01\x01\x02\x02\xff\xff\xff\xff\xff\x08\xff\x08\x02\xef\xef\xee\x4d\x4c\x4c\xa7\xa7\xa7\x4c\x4d\x4d\xee\xee\x4d\x4c\xef\x01\xef\x02\x02\x02\x08\xff\xff\xff\xff\xff\xff\x08\x02\x02\x01\x01\xef\xee\x4c\xa7\xa7\xa6\xa7\x4c\x4d\xee\xef\xee\x4c\xa7\x4d\xef\x01\x01\x02\x08\xff\xff\xff\xff\xff\xff\xff\xff\x08\x08\x01\x02\xef\xee\x4c\xa7\xa6\xa5\xa6\xa7\xa7\x4d\xef\x4d\xa7\xa7\x4d\xef\xef\xef\x01\x02\xff\xff\xff\xff\xff\xff\xff\xff\x08\xff\x08\xff\xef\x4d\xa7\xa6\xa5\xa6\xa6\xa7\xa7\x4c\x4d\x4d\x4c\x4c\xef\xee\x4d\xef\x01\x02\xff\xff\xff\xff\xff\xff\xff\xff\x08\x08\xff\xff\x02\x4d\x4c\xa6\x47\xa7\xa7\xa7\x4a\x8e\x4c\xee\x4c\x4d\x02\xee\x4c\xef\x01\x02\xff\xff\xff\xff\xff\xff\xff\xff\x08\x02\xff\xa7\x4d\x4c\x4c\xa6\x93\x4d\x4c\x4a\x94\x8c\x4a\xa7\xa7\xa7\x4d\x4c\x4c\xee\xef\x01\x08\xff\xff\x08\xff\xff\xff\x08\x02\xef\xef\xef\x47\xef\xef\x93\xef\x93\xee\x8e\x8c\x8a\x94\xa7\xa7\xa7\xa7\xa7\x4c\xee\xef\x01\x02\x08\x01\xff\xff\xff\xff\x08\x01\xef\x4d\xa7\x47\xa7\x8e\x8a\x8e\x8b\x8d\x89\x89\x88\x47\xa6\xa6\x47\xa6\xa7\xa7\x4c\xee\xef\x01\x02\x08\xff\xff\xff\xff\x02\xef\x4d\xa7\xa6\xa5\x47\x8a\x89\x8a\x89\x89\x85\x86\x85\xec\xa5\xa5\xa5\xa7\xa7\xa7\x4c\xee\xef\xef\x02\xff\xff\xff\xff\x02\xef\x4d\xa7\xa6\xa5\x44\xa5\x89\x89\x8a\x88\x86\x85\x18\x18\x88\x41\x47\xa5\x47\xa6\xa7\xa7\x4c\xee\xef\x01\x02\x01\xff\xff\xff\x01\xee\xa7\xa6\xa5\x43\xa5\xa5\x44\x47\x43\x40\x3f\x3e\x3f\x41\x44\xa5\xa5\x47\xa7\xa7\xa7\x4c\xee\xef\x01\x02\x08\xff\xff\x02\xef\xef\xa7\xa6\x47\xa5\xa5\xa5\xa5\x47\x47\x44\x41\x41\x41\x41\x43\x44\x44\xa5\xa6\x4c\xa7\x4c\xef\xef\x02\x08\xff\xff\xff\xff\xff\x02\xee\xa7\xa6\xa5\xa5\x47\x47\xa6\xa6\xa5\x43\x44\x43\x41\x41\x43\x44\xa5\xa6\xa7\xa6\xa7\x02\x01\x02\xff\xff\xff\xff\xff\x08\x01\xee\xa7\xa6\x47\xa5\xa5\x47\xa6\x47\x47\xa5\xa5\x43\x41\x43\x44\xa5\xa6\xa7\xa7\xa7\x4c\xee\x08\x01\xff\x02\xff\xff\xff\x08\x01\xee\xa7\xa7\xa6\x47\xa5\xa5\x47\x47\x47\xa5\xa5\x43\x43\x44\xa5\xa6\xa7\x4c\x4d\x4d\x4d\xef\x01\x08\xff\xff\xff\xff\xff\x08\x02\xef\xee\xa7\xa7\xa6\x47\xa5\x47\x47\x47\xa5\xa5\xa5\x44\x43\xa5\xa7\x4d\xee\xef\xef\xef\x02\x02\xff\xff\x02\xff\xff\xff\x08\x01\xef\x4d\xa7\xa6\x47\xa5\xa5\xa5\x47\x47\x47\x47\xa5\xa5\x44\x47\xa7\xa7\xee\x01\x02\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xef\xee\xa7\xa6\x47\xa5\xa5\xa5\x47\xa6\xa6\x47\x47\xa5\xa5\xa6\xa7\x4d\xef\x02\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\x02\xef\xee\xa7\xa7\xa6\xa6\xa6\xa5\xa6\xa7\xa6\xa6\xa6\xa6\xa6\xa7\xa7\xef\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\x02\xef\xee\xa7\xa7\xa7\x4d\xa6\xa7\xa7\xa7\xa7\xa7\xa7\xa7\x4d\xef\x01\xff\xff\xff\xff\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\x02\x01\xee\x4c\xef\xef\x4d\x4c\xee\xef\x4d\xee\x4c\xef\xef\x01\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x08\x01\xef\x02\x02\xef\xef\x01\x02\xef\x02\xef\x02\x02\x02\xff\x08\x02\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x02\xff\xff\x02\x08\xff\xff\xff\xff\x08\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");
strcpy(sprite_image[59],"\x20\x20\x07\x07\x07\x07\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\x07\x07\x07\x07\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\x07\x07\x07\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\xff\x07\x07\x07\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\x07\x07\x07\x07\x07\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\xff\xff\x07\x07\xff\x07\x07\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x07\x07\x07\x07\x07\x07\xff\xff\xff\x07\x07\x07\xff\x07\x07\xff\xff\x07\x07\x07\xff\x07\x07\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff");

/* DOOM PALETTE */
*palette="\x0\x0\x0\x7\x5\x2\x5\x3\x1\x12\x12\x12\x3F\x3F\x3F\x6\x6\x6\x4\x4\x4\x2\x2\x2\x1\x1\x1\xB\xD\x7\x8\xA\x3\x5\x7\x1\x3\x5\x0\x13\xE\xA\x11\xC\x8\xF\xA\x6\x3F\x2D\x2D\x3D\x2A\x2A\x3C\x28\x28\x3A\x25\x25\x39\x23\x23\x37\x21\x21\x36\x1E\x1E\x34\x1C\x1C\x32\x1A\x1A\x31\x18\x18\x2F\x16\x16\x2E\x15\x15\x2C\x13\x13\x2B\x11\x11\x29\xF\xF\x28\xE\xE\x26\xC\xC\x25\xB\xB\x23\xA\xA\x22\x8\x8\x20\x7\x7\x1F\x6\x6\x1D\x5\x5\x1C\x4\x4\x1A\x3\x3\x19\x2\x2\x17\x1\x1\x16\x1\x1\x14\x1\x1\x13\x0\x0\x11\x0\x0\x10\x0\x0\x3F\x3A\x37\x3F\x38\x34\x3F\x36\x31\x3F\x34\x2E\x3F\x33\x2C\x3F\x31\x29\x3F\x2F\x26\x3F\x2E\x24\x3F\x2C\x20\x3D\x2A\x1E\x3B\x28\x1C\x39\x26\x1A\x37\x24\x18\x35\x22\x16\x33\x20\x14\x32\x1F\x13\x2F\x1E\x12\x2C\x1C\x11\x2A\x1B\x10\x28\x1A\xF\x26\x18\xE\x23\x17\xD\x21\x15\xC\x1F\x14\xB\x1D\x13\xA\x1A\x11\x9\x17\x10\x8\x14\xF\x7\x12\xD\x6\xF\xB\x5\xC\xA\x4\xA\x8\x3\x3B\x3B\x3B\x39\x39\x39\x37\x37\x37\x36\x36\x36\x34\x34\x34\x32\x32\x32\x31\x31\x31\x2F\x2F\x2F\x2D\x2D\x2D\x2C\x2C\x2C\x2A\x2A\x2A\x29\x29\x29\x27\x27\x27\x25\x25\x25\x24\x24\x24\x22\x22\x22\x20\x20\x20\x1F\x1F\x1F\x1D\x1D\x1D\x1B\x1B\x1B\x1A\x1A\x1A\x18\x18\x18\x16\x16\x16\x15\x15\x15\x13\x13\x13\x11\x11\x11\x10\x10\x10\xE\xE\xE\xD\xD\xD\xB\xB\xB\x9\x9\x9\x8\x8\x8\x1D\x3F\x1B\x1B\x3B\x19\x19\x37\x17\x17\x33\x15\x16\x2F\x13\x14\x2B\x11\x12\x27\xF\x10\x24\xD\xF\x20\xB\xD\x1C\xA\xB\x18\x8\x9\x14\x6\x7\x10\x5\x5\xC\x3\x4\x8\x2\x2\x5\x1\x2F\x29\x23\x2D\x27\x21\x2B\x25\x1F\x29\x23\x1D\x27\x21\x1B\x26\x1F\x1A\x24\x1E\x18\x22\x1C\x16\x20\x1A\x15\x1E\x18\x13\x1D\x17\x12\x1B\x15\x10\x19\x14\xF\x17\x12\xD\x15\x10\xC\x14\xF\xB\x27\x20\x18\x23\x1D\x14\x20\x1A\x12\x1D\x17\xF\x19\x14\xC\x16\x11\xA\x13\xE\x8\x10\xC\x6\x1E\x1F\x18\x1B\x1C\x15\x19\x1A\x13\x16\x18\x11\x14\x15\xE\x11\x13\xC\xF\x11\xA\xD\xF\x9\x3F\x3F\x1C\x3A\x36\x15\x35\x2E\x10\x30\x26\xB\x2B\x1E\x7\x26\x16\x4\x21\x10\x1\x1C\xA\x0\x3F\x3F\x3F\x3F\x36\x36\x3F\x2E\x2E\x3F\x26\x26\x3F\x1E\x1E\x3F\x17\x17\x3F\xF\xF\x3F\x7\x7\x3F\x0\x0\x3B\x0\x0\x38\x0\x0\x35\x0\x0\x32\x0\x0\x2F\x0\x0\x2C\x0\x0\x29\x0\x0\x26\x0\x0\x22\x0\x0\x1F\x0\x0\x1C\x0\x0\x19\x0\x0\x16\x0\x0\x13\x0\x0\x10\x0\x0\x39\x39\x3F\x31\x31\x3F\x2A\x2A\x3F\x23\x23\x3F\x1C\x1C\x3F\x14\x14\x3F\xD\xD\x3F\x6\x6\x3F\x0\x0\x3F\x0\x0\x38\x0\x0\x32\x0\x0\x2C\x0\x0\x26\x0\x0\x20\x0\x0\x1A\x0\x0\x14\x3F\x3F\x3F\x3F\x3A\x36\x3F\x35\x2E\x3F\x31\x26\x3F\x2C\x1E\x3F\x28\x16\x3F\x23\xE\x3F\x1F\x6\x3C\x1C\x5\x3A\x1B\x3\x37\x19\x3\x35\x17\x2\x32\x15\x1\x30\x13\x0\x2D\x11\x0\x2B\x10\x0\x3F\x3F\x3F\x3F\x3F\x35\x3F\x3F\x2C\x3F\x3F\x23\x3F\x3F\x1A\x3F\x3F\x11\x3F\x3F\x8\x3F\x3F\x0\x29\xF\x0\x27\xD\x0\x24\xB\x0\x21\x8\x0\x13\xE\x9\x10\xB\x6\xD\x8\x4\xB\x6\x2\x0\x0\x14\x0\x0\x11\x0\x0\xE\x0\x0\xB\x0\x0\x8\x0\x0\x5\x0\x0\x2\x0\x0\x0\x3F\x27\x10\x3F\x39\x12\x3F\x1E\x3F\x3F\x0\x3F\x33\x0\x33\x27\x0\x26\xff\xff\xff\xff\xff\xff";
/* colour 254 is white */

/* THE NEXT LINE INSTALLS THE DOOM PALETTE. IF YOU WANT THE STANDARD VGA
PALETTE, COMMENT IT OUT. IF YOU WANT YOUR OWN PALETTE, MODIFY THE LINE ABOVE */
gl_setpalette(*palette);

/* fill spritedata array with 'blanks' */
for (dummy2=0;dummy2<70;dummy2++)
	{ spritex[dummy2] = 255 ; spritey[dummy2] = 255 ; spritet[dummy2] = 255; }

goldblock = &goldbl; redblock = &redbl; greenblock = &greenbl; theball = &bal; thebat = &bat; hitredblock = &redblhit;
spr_add(0,0,2); spr_update_old(); gl_getbox(0,0,32,16,goldbl); spr_kill(0);
spr_add(0,0,3); spr_update_old(); gl_getbox(0,0,32,16,redbl); spr_kill(0);
spr_add(0,0,4); spr_update_old(); gl_getbox(0,0,32,16,greenbl); spr_kill(0);
spr_add(0,0,1); spr_update_old(); gl_getbox(0,0,16,16,bal); spr_kill(0);
spr_add(0,0,29); spr_update_old(); gl_getbox(0,0,32,12,bat); spr_kill(0);
spr_add(0,0,47); spr_update_old(); gl_getbox(0,0,32,16,redblhit); spr_kill(0);

font = malloc(256 * 8 * 8 * BYTESPERPIXEL);
gl_expandfont(8, 8, 255, gl_font8x8, font);
gl_setfont(8, 8, font);
}

spr_add(int nx, int ny, int nt) /* add a new sprite */
{
int msv;
for (msv = 0 ; (spritet[msv] != 255) && (msv < 70); msv++ ) { }	/* find first unused sprite space */
spritex[msv] = nx;
spritey[msv] = ny;
spritet[msv] = nt;
}

spr_kill(int kn) /* delete a sprite from the screen */
{
spritet[kn] = 255;
}

spr_move(int mn,int mx, int my) /* move a sprite to a new x,y position */
{
spritex[mn] = mx ; spritey[mn] = my ;
}

spr_type(int mn, int mt) /* change a sprite's type */
{
spritet[mn] = mt;
}

spr_update() /* update screen */
{
int x, y, c, crap1, crap2, crap3, crap4, crap5, crap6, wx, wy;
gl_setcontext(&backvirtual);
gl_copyscreen(&workvirtual);
gl_setcontext(&workvirtual);
for (crap6=0;crap6<70;crap6++)
	{
	crap1=spritet[crap6];
	if (crap1!=255) /* is there a sprite to be drawn? */
		{
		if (crap1==2)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,goldblock);
		else if (crap1==3)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,redblock);
		else if (crap1==4)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,greenblock);
		else if (crap1==1)
			gl_putboxmask(spritex[crap6],spritey[crap6],16,16,theball);
		else if (crap1==29)
			gl_putboxmask(spritex[crap6],spritey[crap6],32,12,thebat);
		else if (crap1==47)
			gl_putboxmask(spritex[crap6],spritey[crap6],32,16,hitredblock);
		else
		for (crap2=0;crap2<(sprite_image[crap1][1]);crap2++) /* y loop */
			{
			for (crap3=0;crap3<(sprite_image[crap1][0]);crap3++) /* x loop */
				{
				x = crap3;
				y = crap2;
				wx = sprite_image[crap1][0];
				wy = sprite_image[crap1][1];
				c = sprite_image[crap1][wx*crap2+crap3+2];
				if (c!=-1) {gl_setpixel(x+spritex[crap6],y+spritey[crap6],c);}
				/* draw pixel if not colour 255 (transparent) */
				}
			}
		}
	}
gl_copyscreen(&realscreen);
}

spr_update_reverse() /* update screen in reverse */
{
int x, y, c, crap1, crap2, crap3, crap4, crap5, crap6, wx, wy;
gl_setcontext(&backvirtual);
gl_copyscreen(&workvirtual);
gl_setcontext(&workvirtual);
for (crap6=70;crap6>0;crap6--)
	{
	crap1=spritet[crap6];
	if (crap1!=255) /* is there a sprite to be drawn? */
		{
		if (crap1==2)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,goldblock);
		else if (crap1==3)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,redblock);
		else if (crap1==4)
			gl_putbox(spritex[crap6],spritey[crap6],32,16,greenblock);
		else if (crap1==1)
			gl_putboxmask(spritex[crap6],spritey[crap6],16,16,theball);
		else
		for (crap2=0;crap2<(sprite_image[crap1][1]);crap2++) /* y loop */
			{
			for (crap3=0;crap3<(sprite_image[crap1][0]);crap3++) /* x loop */
				{
				x = crap3;
				y = crap2;
				wx = sprite_image[crap1][0];
				wy = sprite_image[crap1][1];
				c = sprite_image[crap1][wx*crap2+crap3+2];
				if (c!=-1) {gl_setpixel(x+spritex[crap6],y+spritey[crap6],c);}
				/* draw pixel if not colour 255 (transparent) */
				}
			}
		}
	}
gl_copyscreen(&realscreen);
}

spr_update_old() /* update screen always pixel-by-pixel */
{
int x, y, c, crap1, crap2, crap3, crap4, crap5, crap6, wx, wy;
gl_setcontext(&backvirtual);
gl_copyscreen(&workvirtual);
gl_setcontext(&workvirtual);
for (crap6=0;crap6<50;crap6++)
	{
	crap1=spritet[crap6];
	if (crap1!=255) /* is there a sprite to be drawn? */
		{
		for (crap2=0;crap2<(sprite_image[crap1][1]);crap2++) /* y loop */
			{
			for (crap3=0;crap3<(sprite_image[crap1][0]);crap3++) /* x loop */
				{
				x = crap3;
				y = crap2;
				wx = sprite_image[crap1][0];
				wy = sprite_image[crap1][1];
				c = sprite_image[crap1][wx*crap2+crap3+2];
				if (c!=-1) {gl_setpixel(x+spritex[crap6],y+spritey[crap6],c);}
				/* draw pixel if not colour 255 (transparent) */
				}
			}
		}
	}
gl_copyscreen(&realscreen);
}

int spr_pixelcollide(int x, int y)	/* is pixel x,y occupied by a sprite? if so, which? */
{
int zn, sn, ax, bx, ay, by, sx, sy;
zn = 51; /* 51 = no sprite found */
for (sn=0;sn<70;sn++) /* loop through sprites */
	{ if (spritet[sn] != 255) {
	sx=sprite_image[spritet[sn]][0];
	sy=sprite_image[spritet[sn]][1];
	for (ay=0;ay<sy;ay++) /* y loop */
		{
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]+ay) == y) && (zn == 51) && (sprite_image[sn][(ax*sx)+ay+2] != -1))
				{ zn = sn; }
			}
		}
	}}
return(zn);
}

int spr_pix2collide(int x, int y)	/* like spr_pixelcollide but doesn't take transparent pixels into account. */
{
int zn, sn, ax, bx, ay, by, sx, sy;
zn = 51; /* 51 = no sprite found */
for (sn=0;sn<70;sn++) /* loop through sprites */
	{ if (spritet[sn] != 255) {
	sx=sprite_image[spritet[sn]][0];
	sy=sprite_image[spritet[sn]][1];
	for (ay=0;ay<sy;ay++) /* y loop */
		{
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]+ay) == y) && (zn == 51))
				{ zn = sn; }
			}
		}
	}}
return(zn);
}

int spr_pix3collide(int x, int y, int excl)	/* like spr_pix2collide but doesn't take transparent pixels into account and excludes the specified sprite. */
{
int zn, sn, ax, bx, ay, by, sx, sy;
zn = 71; /* 71 = no sprite found */
for (sn=0;sn<70;sn++) /* loop through sprites */
	{ if (spritet[sn] != 255) {
	sx=sprite_image[spritet[sn]][0];
	sy=sprite_image[spritet[sn]][1];
		{
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]+(sy-1)) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ay=0;ay<sy;ay++) /* y loop */
			{
			if (((spritex[sn]) == x) && ((spritey[sn]+ay) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ay=0;ay<sy;ay++) /* y loop */
			{
			if (((spritex[sn]+(sx-1)) == x) && ((spritey[sn]+ay) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]+1) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ax=0;ax<sx;ax++) /* x loop */
			{
			if (((spritex[sn]+ax) == x) && ((spritey[sn]+(sy-2)) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ay=0;ay<sy;ay++) /* y loop */
			{
			if (((spritex[sn]+1) == x) && ((spritey[sn]+ay) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
			}
		for (ay=0;ay<sy;ay++) /* y loop */
			{
			if (((spritex[sn]+(sx-2)) == x) && ((spritey[sn]+ay) == y) && (zn == 71) && (sn != excl))
				{ zn = sn; }
		}}}}
return(zn);
}

spr_spritecollide(int s)	/* does sprite s collide with another sprite? if so, which? */
{
int x, y, bx, by;
x = sprite_image[spritet[s]][0]; y = sprite_image[spritet[s]][1];
bx = spritex[s]; by = spritey[s];
x = x / 2; y = y / 2;
return(spr_pix3collide(bx+x,by+y,s));
}

spr_dump() /* dump sprite info to standard output */
{
for (dummy=0;dummy<70;dummy++)
	printf("%d:x=%d,y=%d,t=%d ",dummy,spritex[dummy],spritey[dummy],spritet[dummy]);
}

spr_howmany()
{
int zn, zn2=0;
for (zn=0;zn<70;zn++)
	if (spritet[zn]!=255) zn2++;
return(zn2);
}

/* SPRITE LIBRARY PROCEDURES END - BOING PROCEDURES BEGIN */

title() /* display title screen */
{
int x, y;
gl_setcontext(&backvirtual);
fp = fopen("boing_title.raw","r");
for (y=0;y<200;y++)
	{
	for (x=0;x<320;x++)
		{
		gl_setpixel(x,y,fgetc(fp));
		}
	}
fclose(fp);
}

play() /* Initialise the game */
{
start:
gl_setcontext(&backvirtual); gl_clearscreen(0);
spr_update(); sleep(2);
init_playfield(); drawbricks();
Snd_effect(4,2);
do_it : if (dead==0 && lives!=0)
	{
	if (spr_howmany()==2)
		{ spr_kill(0); spr_kill(1);
		spr_update(); Snd_effect(3,2); sleep(5);
		gl_setcontext(&backvirtual); gl_clearscreen(0);
		score=score+100;
		init_playfield(); drawbricks(); }
	playloop();
	}
	else
	{
	gl_setcontext(&backvirtual); gl_clearscreen(0);
	Snd_effect(2,2); lives--;
	spr_kill(0); spr_kill(1); spr_update();
	sleep(2);
	if (lives!=0)
	{ gl_setcontext(&backvirtual);
	gl_write(65,150,"Press SPACE to respawn");
	spr_update();
	while (getchar()!=' ') {}
	gl_setcontext(&backvirtual); gl_clearscreen(0); init_playfield(); dead=0; Snd_effect(4,2); }
	else
	{ gl_setcontext(&backvirtual); Snd_effect(7,0);
	gl_write(90,150,"G A M E   O V E R"); spr_update();
	sleep(3); }
	}
if (lives!=0) goto do_it; else {for (dummy=0;dummy<70;dummy++) {spr_kill(dummy);}}
}

init_playfield() /* draw the initial playing field */
{
char livesmessage[10];
ball.x=160; ball.y=150; ball.up = 1; ball.down = 0; ball.left = 0; ball.right = 1;
batx=144;
spr_add(ball.x,ball.y,1);
spr_add(batx,176,29);
gl_setcontext(&backvirtual); gl_hline(0,189,319,255);
sprintf(livesmessage,"Lives : %d",lives);
gl_write(8,191,"BOING!"); gl_write(80,191,&livesmessage); gl_write(176,191,"Score : ");
}

drawbricks() /* draw the bricks */
{
int x,y;
for (y=0;y<1;y++) 
	{
	for (x=0;x<10;x++)
		{
		spr_add(x*32,y*16,3);
		}
	}
for (y=1;y<3;y++)
	{
	for (x=0;x<10;x++)
		{
		spr_add(x*32,y*16,2);
		}
	}
for (y=3;y<5;y++)
	{
	for (x=0;x<10;x++)
		{
		spr_add(x*32,y*16,4);
		}
	}
}

playloop() /* THE GAME ITSELF!!! */
{
int spac;
char scoremessage[10];
int done = 0;
int done2 = 0;

/* check for user keypress */
spac = vga_getkey();
if ((spac=='z' || spac=='Z') && batx!=0)
	{ batx=batx-3; }
else if ((spac=='x' || spac=='X') && batx!=288)
	{ batx=batx+3; }
else if (spac==' ')
	{ spr_add(batx+8,144,48); score=score-5; }
spr_move(1,batx,176);

/* ball bouncing routine */
if (ball.x<=0) {ball.left=0; ball.right = 1; Snd_effect(0,0);}
if (ball.x>=303) {ball.left=1; ball.right = 0; Snd_effect(0,0);}
if (ball.y<=0) {ball.up=0; ball.down = 1; Snd_effect(0,0);}
if (ball.y>=175) {printf("You have no skill!\n"); spr_kill(0); dead=1;}

spac = spr_pix3collide(spritex[0]+8,spritey[0]-1,0);
if (spac!=71) { ball.up=0; ball.down=1; collidehandle(spac); }
spac = spr_pix3collide(spritex[0]+8,spritey[0]+17,0);
if (spac!=71) { ball.up=1; ball.down=0; collidehandle(spac); }
spac = spr_pix3collide(spritex[0]-1,spritey[0]+8,0);
if (spac!=71) { ball.left=0; ball.right=1; collidehandle(spac); }
spac = spr_pix3collide(spritex[0]+17,spritey[0]+8,0);
if (spac!=71) { ball.left=1; ball.right=0; collidehandle(spac); }

if (ball.down==1)
	ball.y=ball.y+1;
if (ball.up==1)
	ball.y=ball.y-1;
if (ball.right==1)
	ball.x=ball.x+1;
if (ball.left==1)
	ball.x=ball.x-1;

for (spac=0;spac<70;spac++)
	{ if (spritex[spac]<0) {spr_kill(spac); printf("Sprite moved off screen!\n");}
	if (spritey[spac]<0) {spr_kill(spac); printf("Sprite moved off screen!\n");}
	if (((spritex[spac])+(sprite_image[spac][0]))>320) {spr_kill(spac); printf("Sprite moved off screen!\n");}
	if (((spritey[spac])+(sprite_image[spac][1]))>200) {spr_kill(spac); printf("Sprite moved off screen!\n");}
	if (spritet[spac]>4 && spritet[spac]<22)
		{ spritet[spac]=(spritet[spac]+1); if (spritet[spac]==22) {spr_kill(spac);}} 
	if (spritet[spac]>21 && spritet[spac]<29)
		{ spritet[spac]=(spritet[spac]+1); if (spritet[spac]==29) {spr_kill(spac);}}
	if (spritet[spac]>30 && spritet[spac]<47)
		{ spritet[spac]=(spritet[spac]+1); if (spritet[spac]==47) {spr_kill(spac);}}
	if ((spritet[spac]==48) && done==0) {spritet[spac]=49; spr_move(spac,spritex[spac],spritey[spac]-2); done=1;}
	if ((spritet[spac]==49) && done==0) {spritet[spac]=50; spr_move(spac,spritex[spac],spritey[spac]-2); done=1;}
	if ((spritet[spac]==50) && done==0) {spritet[spac]=51; spr_move(spac,spritex[spac],spritey[spac]-2); done=1;}
	if ((spritet[spac]==51) && done==0) {spritet[spac]=48; spr_move(spac,spritex[spac],spritey[spac]-2); done=1;}
	if ((spritet[spac]>47) && (spritet[spac]<52))
		{ dummy=spr_pix3collide(spritex[spac]+3,spritey[spac]+3,spac);
		if (dummy!=71) {spritet[spac]=52; spritex[spac]=spritex[spac]-8; collidehandle(dummy);}
		}
	if ((spritet[spac]==52) && (done2==0)) {spritet[spac]=53; done2=1; Snd_effect(8,3); }
	if ((spritet[spac]==53) && (done2==0)) {spritet[spac]=54; done2=1;}
	if ((spritet[spac]==54) && (done2==0)) {spritet[spac]=55; done2=1;}
	if ((spritet[spac]==55) && (done2==0)) {spritet[spac]=56; done2=1;}
	if ((spritet[spac]==56) && (done2==0)) {spritet[spac]=57; done2=1;}
	if ((spritet[spac]==57) && (done2==0)) {spritet[spac]=58; done2=1;}
	if ((spritet[spac]==58) && (done2==0)) {spritet[spac]=59; done2=1;}
	if ((spritet[spac]==59) && (done2==0)) {spr_kill(spac);}	
	done=0; done2=0;
	}

spr_move(0,ball.x,ball.y);
gl_setcontext(&backvirtual); sprintf(scoremessage,"%d",score); gl_write(240,191,"        "); gl_write(240,191,&scoremessage);
spr_update();
}

collidehandle(int spac)
{
int	type;
type=spritet[spac];
if (type==2) /* yellow brick */
	{ spritet[spac]=5; score=score+20; Snd_effect(6,1); }
else if (type==4) /* green brick */
	{ spritet[spac]=22; score=score+10; Snd_effect(5,1); }
else if (type==29) /* bat */
	{ Snd_effect(0,0);
	if ((spritex[0]+8) < (batx+8)) {ball.left=1; ball.right=0;}
	else if ((spritex[0]+8) > (batx+24)) {ball.right=1; ball.left=0;}}
else if (type==3)
	{ spritet[spac]=47; score=score+20; }
else if (type==47) /* hit red brick */
	{ spritet[spac]=31; score=score+20; Snd_effect(1,1); }
else if (type==1) /* missile hit ball */
	{ Snd_effect(7,0); dead=1; }
}

instruct()
{
int y,x,c,x1,y1;
char *plasmapal[1536];
*plasmapal="\x00\x00\x00\xff\xff\xff\x25\x22\x20\x27\x23\x21\x2A\x25\x22\x2D\x26\x22\x30\x27\x23\x32\x29\x24\x34\x2A\x25\x36\x2C\x25\x38\x2D\x26\x3A\x2E\x27\x3B\x30\x27\x3C\x31\x28\x3D\x32\x29\x3D\x33\x2A\x3E\x34\x2A\x3D\x35\x2B\x3D\x36\x2C\x3C\x37\x2C\x3B\x38\x2D\x3A\x39\x2E\x38\x3A\x2E\x36\x3B\x2F\x34\x3B\x30\x32\x3C\x30\x30\x3C\x31\x2D\x3D\x32\x2A\x3D\x32\x27\x3D\x33\x25\x3D\x33\x22\x3D\x34\x1F\x3E\x34\x1B\x3D\x35\x18\x3D\x35\x16\x3D\x36\x13\x3D\x36\x10\x3D\x37\xD\x3C\x37\xB\x3C\x38\x9\x3B\x38\x7\x3B\x39\x5\x3A\x39\x3\x39\x39\x2\x38\x3A\x1\x37\x3A\x0\x36\x3B\x0\x35\x3B\x0\x34\x3B\x0\x33\x3B\x0\x32\x3C\x1\x31\x3C\x2\x30\x3C\x3\x2E\x3C\x5\x2D\x3D\x7\x2C\x3D\x9\x2A\x3D\xB\x29\x3D\xD\x27\x3D\x10\x26\x3D\x13\x25\x3D\x16\x23\x3D\x18\x22\x3D\x1B\x20\x3D\x1E\x1F\x3E\x22\x1D\x3D\x25\x1B\x3D\x27\x1A\x3D\x2A\x18\x3D\x2D\x17\x3D\x30\x16\x3D\x32\x14\x3D\x34\x13\x3D\x36\x11\x3D\x38\x10\x3D\x3A\xF\x3C\x3B\xD\x3C\x3C\xC\x3C\x3D\xB\x3C\x3D\xA\x3B\x3E\x9\x3B\x3D\x8\x3B\x3D\x7\x3B\x3C\x6\x3A\x3B\x5\x3A\x3A\x4\x39\x38\x3\x39\x36\x2\x39\x34\x2\x38\x32\x1\x38\x30\x1\x37\x2D\x0\x37\x2A\x0\x36\x27\x0\x36\x25\x0\x35\x22\x0\x35\x1F\x0\x34\x1B\x0\x34\x18\x0\x33\x16\x0\x33\x13\x0\x32\x10\x0\x32\xD\x1\x31\xB\x1\x30\x9\x2\x30\x7\x2\x2F\x5\x3\x2E\x3\x4\x2E\x2\x5\x2D\x1\x6\x2C\x0\x7\x2C\x0\x8\x2B\x0\x9\x2A\x0\xA\x2A\x0\xB\x29\x1\xC\x28\x2\xD\x27\x3\xF\x27\x5\x10\x26\x7\x11\x25\x9\x13\x25\xB\x14\x24\xD\x16\x23\x10\x17\x22\x13\x18\x22\x16\x1A\x21\x18\x1B\x20\x1B\x1D\x1F\x1E\x1E\x1F\x22\x20\x1E\x25\x22\x1D\x27\x23\x1C\x2A\x25\x1B\x2D\x26\x1B\x30\x27\x1A\x32\x29\x19\x34\x2A\x18\x36\x2C\x18\x38\x2D\x17\x3A\x2E\x16\x3B\x30\x16\x3C\x31\x15\x3D\x32\x14\x3D\x33\x13\x3E\x34\x13\x3D\x35\x12\x3D\x36\x11\x3C\x37\x11\x3B\x38\x10\x3A\x39\xF\x38\x3A\xF\x36\x3B\xE\x34\x3B\xD\x32\x3C\xD\x30\x3C\xC\x2D\x3D\xB\x2A\x3D\xB\x27\x3D\xA\x25\x3D\xA\x22\x3D\x9\x1F\x3E\x9\x1B\x3D\x8\x18\x3D\x8\x16\x3D\x7\x13\x3D\x7\x10\x3D\x6\xD\x3C\x6\xB\x3C\x5\x9\x3B\x5\x7\x3B\x4\x5\x3A\x4\x3\x39\x4\x2\x38\x3\x1\x37\x3\x0\x36\x2\x0\x35\x2\x0\x34\x2\x0\x33\x2\x0\x32\x1\x1\x31\x1\x2\x30\x1\x3\x2E\x1\x5\x2D\x0\x7\x2C\x0\x9\x2A\x0\xB\x29\x0\xD\x27\x0\x10\x26\x0\x13\x25\x0\x16\x23\x0\x18\x22\x0\x1B\x20\x0\x1E\x1F\x0\x22\x1D\x0\x25\x1B\x0\x27\x1A\x0\x2A\x18\x0\x2D\x17\x0\x30\x16\x0\x32\x14\x0\x34\x13\x0\x36\x11\x0\x38\x10\x0\x3A\xF\x1\x3B\xD\x1\x3C\xC\x1\x3D\xB\x1\x3D\xA\x2\x3E\x9\x2\x3D\x8\x2\x3D\x7\x2\x3C\x6\x3\x3B\x5\x3\x3A\x4\x4\x38\x3\x4\x36\x2\x4\x34\x2\x5\x32\x1\x5\x30\x1\x6\x2D\x0\x6\x2A\x0\x7\x27\x0\x7\x25\x0\x8\x22\x0\x8\x1F\x0\x9\x1B\x0\x9\x18\x0\xA\x16\x0\xA\x13\x0\xB\x10\x0\xB\xD\x1\xC\xB\x1\xD\x9\x2\xD\x7\x2\xE\x5\x3\xF\x3\x4\xF\x2\x5\x10\x1\x6\x11\x0\x7\x11\x0\x8\x12\x0\x9\x13\x0\xA\x13\x0\xB\x14\x1\xC\x15\x2\xD\x16\x3\xF\x16\x5\x10\x17\x7\x11\x18\x9\x13\x18\xB\x14\x19\xD\x16\x1A\x10\x17\x1B\x13\x18\x1B\x16\x1A\x1C\x18\x1B\x1D\x1B\x1D\x1E\x25\x22\x20\x27\x23\x21\x2A\x25\x22\x2D\x26\x22\x30\x27\x23\x32\x29\x24\x34\x2A\x25\x36\x2C\x25\x38\x2D\x26\x3A\x2E\x27\x3B\x30\x27\x3C\x31\x28\x3D\x32\x29\x3D\x33\x2A\x3E\x34\x2A\x3D\x35\x2B\x3D\x36\x2C\x3C\x37\x2C\x3B\x38\x2D\x3A\x39\x2E\x38\x3A\x2E\x36\x3B\x2F\x34\x3B\x30\x32\x3C\x30\x30\x3C\x31\x2D\x3D\x32\x2A\x3D\x32\x27\x3D\x33\x25\x3D\x33\x22\x3D\x34\x1F\x3E\x34\x1B\x3D\x35\x18\x3D\x35\x16\x3D\x36\x13\x3D\x36\x10\x3D\x37\xD\x3C\x37\xB\x3C\x38\x9\x3B\x38\x7\x3B\x39\x5\x3A\x39\x3\x39\x39\x2\x38\x3A\x1\x37\x3A\x0\x36\x3B\x0\x35\x3B\x0\x34\x3B\x0\x33\x3B\x0\x32\x3C\x1\x31\x3C\x2\x30\x3C\x3\x2E\x3C\x5\x2D\x3D\x7\x2C\x3D\x9\x2A\x3D\xB\x29\x3D\xD\x27\x3D\x10\x26\x3D\x13\x25\x3D\x16\x23\x3D\x18\x22\x3D\x1B\x20\x3D\x1E\x1F\x3E\x22\x1D\x3D\x25\x1B\x3D\x27\x1A\x3D\x2A\x18\x3D\x2D\x17\x3D\x30\x16\x3D\x32\x14\x3D\x34\x13\x3D\x36\x11\x3D\x38\x10\x3D\x3A\xF\x3C\x3B\xD\x3C\x3C\xC\x3C\x3D\xB\x3C\x3D\xA\x3B\x3E\x9\x3B\x3D\x8\x3B\x3D\x7\x3B\x3C\x6\x3A\x3B\x5\x3A\x3A\x4\x39\x38\x3\x39\x36\x2\x39\x34\x2\x38\x32\x1\x38\x30\x1\x37\x2D\x0\x37\x2A\x0\x36\x27\x0\x36\x25\x0\x35\x22\x0\x35\x1F\x0\x34\x1B\x0\x34\x18\x0\x33\x16\x0\x33\x13\x0\x32\x10\x0\x32\xD\x1\x31\xB\x1\x30\x9\x2\x30\x7\x2\x2F\x5\x3\x2E\x3\x4\x2E\x2\x5\x2D\x1\x6\x2C\x0\x7\x2C\x0\x8\x2B\x0\x9\x2A\x0\xA\x2A\x0\xB\x29\x1\xC\x28\x2\xD\x27\x3\xF\x27\x5\x10\x26\x7\x11\x25\x9\x13\x25\xB\x14\x24\xD\x16\x23\x10\x17\x22\x13\x18\x22\x16\x1A\x21\x18\x1B\x20\x1B\x1D\x1F\x1E\x1E\x1F\x22\x20\x1E\x25\x22\x1D\x27\x23\x1C\x2A\x25\x1B\x2D\x26\x1B\x30\x27\x1A\x32\x29\x19\x34\x2A\x18\x36\x2C\x18\x38\x2D\x17\x3A\x2E\x16\x3B\x30\x16\x3C\x31\x15\x3D\x32\x14\x3D\x33\x13\x3E\x34\x13\x3D\x35\x12\x3D\x36\x11\x3C\x37\x11\x3B\x38\x10\x3A\x39\xF\x38\x3A\xF\x36\x3B\xE\x34\x3B\xD\x32\x3C\xD\x30\x3C\xC\x2D\x3D\xB\x2A\x3D\xB\x27\x3D\xA\x25\x3D\xA\x22\x3D\x9\x1F\x3E\x9\x1B\x3D\x8\x18\x3D\x8\x16\x3D\x7\x13\x3D\x7\x10\x3D\x6\xD\x3C\x6\xB\x3C\x5\x9\x3B\x5\x7\x3B\x4\x5\x3A\x4\x3\x39\x4\x2\x38\x3\x1\x37\x3\x0\x36\x2\x0\x35\x2\x0\x34\x2\x0\x33\x2\x0\x32\x1\x1\x31\x1\x2\x30\x1\x3\x2E\x1\x5\x2D\x0\x7\x2C\x0\x9\x2A\x0\xB\x29\x0\xD\x27\x0\x10\x26\x0\x13\x25\x0\x16\x23\x0\x18\x22\x0\x1B\x20\x0\x1E\x1F\x0\x22\x1D\x0\x25\x1B\x0\x27\x1A\x0\x2A\x18\x0\x2D\x17\x0\x30\x16\x0\x32\x14\x0\x34\x13\x0\x36\x11\x0\x38\x10\x0\x3A\xF\x1\x3B\xD\x1\x3C\xC\x1\x3D\xB\x1\x3D\xA\x2\x3E\x9\x2\x3D\x8\x2\x3D\x7\x2\x3C\x6\x3\x3B\x5\x3\x3A\x4\x4\x38\x3\x4\x36\x2\x4\x34\x2\x5\x32\x1\x5\x30\x1\x6\x2D\x0\x6\x2A\x0\x7\x27\x0\x7\x25\x0\x8\x22\x0\x8\x1F\x0\x9\x1B\x0\x9\x18\x0\xA\x16\x0\xA\x13\x0\xB\x10\x0\xB\xD\x1\xC\xB\x1\xD\x9\x2\xD\x7\x2\xE\x5\x3\xF\x3\x4\xF\x2\x5\x10\x1\x6\x11\x0\x7\x11\x0\x8\x12\x0\x9\x13\x0\xA\x13\x0\xB\x14\x1\xC\x15\x2\xD\x16\x3\xF\x16\x5\x10\x17\x7\x11\x18\x9\x13\x18\xB\x14\x19\xD\x16\x1A\x10\x17\x1B\x13\x18\x1B\x16\x1A\x1C\x18\x1B\x1D\x1B\x1D\x1E";
gl_setpalette(*plasmapal);
gl_setcontext(&backvirtual);
gl_fillbox(0,0,320,200,0);
/*while (1!=0)
{
for (d=0;d<0.3;d=d+0.001)
{gl_setcontext(&backvirtual);
	for (y=0;y<66;y++)
	{ for (x=0;x<105;x++)
		{
		c = 83*(3+(cos(d*sqrt((x-128)*(x-128)+(y-128)*(y-128))))+cos(x/21.0)+cos(y/26.0));
		gl_setpixel(0,201,c); if (gl_getpixel(0,201)==0 || gl_getpixel(0,201)==1) {c=2;}
		gl_setpixel(0,201,0);
		for (x1=x*3;x1<x*3+3;x1++) {for (y1=y*3;y1<y*3+3;y1++) {gl_setpixel(x1,y1,c);}}
		}
	}
spr_update();

}
}*/
gl_setcontext(&backvirtual);
	for (y=0;y<200;y++)
	{ for (x=0;x<320;x++)
		{
		c = 83*(3+(cos(0.09*sqrt((x-128)*(x-128)+(y-128)*(y-128))))+cos(x/21.0)+cos(y/26.0));
		gl_setpixel(0,201,c); if (gl_getpixel(0,201)==0 || gl_getpixel(0,201)==1) {c=2;}
		gl_setpixel(0,201,0);
		gl_setpixel(x,y,c);
		}
	}
spr_update();
cycle:
for (c=0;c<254;c++)
	{ gl_setpalettecolors(2,254,*(plasmapal+c*3+6)); }
goto cycle;
scanf("%d",dummy);
}

/* VGALIB GETKEY FUNCTION */

/* The following vga_getkey() function is from..... */


/* VGAlib version 1.2 - (c) 1993 Tommy Frandsen 		   */
/*								   */
/* This library is free software; you can redistribute it and/or   */
/* modify it without any restrictions. This library is distributed */
/* in the hope that it will be useful, but without any warranty.   */

/* Multi-chipset support Copyright 1993 Harm Hanemaayer */
/* partially copyrighted (C) 1993 by Hartmut Schirmer */

int vga_getkey() {
	struct termio zap, original;
	char c;
	int e;

	ioctl(fileno(stdin), TCGETA, &original);	/* Get termio */
	zap = original;
	zap.c_cc[VMIN] = 0;				/* Modify termio  */
	zap.c_cc[VTIME] = 0;
	zap.c_lflag = 0;
	ioctl(fileno(stdin), TCSETA, &zap);		/* Set new termio */
	e = read(fileno(stdin), &c, 1);			/* Read one char */
	ioctl(fileno(stdin), TCSETA, &original);	/* Restore termio */
	if (e != 1)
		return 0;				/* No key pressed. */
	return c;					/* Return key. */
}

/* SOUNDIT LIBRARY */

/* SoundIt library 0.021

   Copyright 1994 Brad Pitzel  pitzel@cs.sfu.ca

   Feel free to use/distribute/modify as long as proper credits
   are included.
*/

/*==========================================================================*/
/* the mix buff, where the channels are mixed into. The mix buffer is then
   dumped to the sound device (/dev/dsp). Samples are mixed in
   Vunclipbuf (buffer of ints), then the values in Vunclipbuf are clipped to
   values between 0 and 255, and stored into Vclippedbuf (buffer of unsigned
   chars).
*/

struct Mix
    {
    unsigned char *Vclippedbuf;	
    int *Vunclipbuf;
    int Vsize;
    };
typedef struct Mix Mix;

/*==========================================================================*/
struct Channel
    {
    unsigned char *Vstart,*Vcurrent;	/* ptr's into a playing sample */
    int	Vlen;				/* length of sample in bytes */
    int	Vleft;				/* bytes left of sample to play */
    };
typedef struct Channel Channel;

/*==========================================================================*/

/* variables prefixed with S_ are static */
/* 0 if mixer isn't initialized or init failed, 1 if mixer is good */
static int sampleMixerStatus = 0;
	
static const Sample 	*S_sounds = NULL; /* ptr to array of samples */
static int S_num_sounds = 0;		/* size of 'sounds' array above */
static int S_fd_snddev = -1;		/* file # for sound device once open */
static int S_fd_pipe[2] = { -1, -1 };	/* pipe to talk to child process */
static int S_son_pid = -1;		/* process ID for the forked sound mixer */
static const char *S_snddev = NULL;	/* char string for device, ie "/dev/dsp" */
static int S_num_channels = 6;		/* number of channels to mix */
static int S_playback_freq = 0;		/* playback frequency (in Hz) */
/*==========================================================================*/
/* non-public functions, used only within this file*/

int Snd_init_dev();
int Snd_restore_dev();

void Chan_reset( Channel *chan );	/* init channel structure */

	/* start a sample playing on a channel */
void Chan_assign( Channel *chan, const Sample *snd );

	/* mix all channels together into the 'mix' structure */
int  Chan_mixAll( Mix *mix, Channel *ch );

	/* used by Chan_mixAll to mix the 1st channel */
int  Chan_copyIn( Channel *chan, Mix *mix );

	/* used by Chan_mixAll to mix the middle channels */
int  Chan_mixIn( Channel *chan, Mix *mix );

	/* used by Chan_mixAll to mix the last channel */
int  Chan_finalMixIn( Channel *chan, Mix *mix );


/* alloc mem for mix buffer, and deallocate function */
/* The sound channels are mixed together into the mix buffer   */
/* then the mix buffer data is sent directly to the sound device */
void Mix_alloc( Mix *mix, int size );
void Mix_dealloc( Mix *mix );

/*==========================================================================*/
/* justing for testing, normally not called */
void dump_snd_list()
	{
	int i=0;
	
	for(i=0; i<S_num_sounds; i++)
		{
		printf("snd %d: len = %d \n", i, S_sounds[i].len );
		}
	}
	
/*==========================================================================*/
int Snd_init( int num_snd, const Sample *sa, int frequency, 
              int channels, const char *dev )
	{
	int result;

	S_num_sounds     = num_snd;
	S_sounds         = sa;	/* array of sound samples*/
	S_playback_freq  = frequency;
	S_num_channels   = channels; 
	S_snddev= dev;	/* sound device, eg /dev/dsp*/
	
	if (S_sounds==NULL)
		return EXIT_FAILURE;
	
	result=Snd_init_dev();

	if (result==EXIT_SUCCESS)
		{
		sampleMixerStatus=1;
		}
	else
		{
		sampleMixerStatus=0;
		}

	return result;
	}

/*==========================================================================*/
int Snd_restore()
	{
	int result;

	if (!sampleMixerStatus)
		return EXIT_FAILURE;
	
	result=Snd_restore_dev();

	if (result==EXIT_SUCCESS)
		{
		sampleMixerStatus=0;
		}
	else
		{
		sampleMixerStatus=0;
		}

	return result;
	}

/*==========================================================================*/
/* volume control not implemented yet.*/
int Snd_effect( int sound_num, int channel )
	{
	if(! sampleMixerStatus )
		return EXIT_FAILURE;
		
	if(S_sounds[sound_num].data != NULL)
		{	
		write(S_fd_pipe[1], &sound_num, sizeof(sound_num));
		write(S_fd_pipe[1], &channel, sizeof(channel));
		}
	else
		fprintf(stderr,"Referencing NULL sound entry\n");
	
	return EXIT_SUCCESS;
	}

/*============================================================================*/
int Snd_init_dev()
	{
	int whoami;
	S_fd_snddev = -1;

	S_son_pid = 0;


	if(access(S_snddev,W_OK) != 0)
		{	
		perror("No access to sound device");
		return EXIT_FAILURE;
		}

	S_fd_snddev = open(S_snddev,O_WRONLY);

	if(S_fd_snddev < 0)
		{	
		fprintf(stderr,"int_snddev: Cannot open sound device \n");
		return EXIT_FAILURE;
		}
		
	close(S_fd_snddev);

	if(pipe(S_fd_pipe) < 0)
		{	
		fprintf(stderr,"Cannot create pipe for sound control \n");
		return EXIT_FAILURE;
		}

	/* now setup 2nd process for writing the data... */
	if((whoami = fork()) < 0)
		{	
		fprintf(stderr,"Cannot fork sound driver\n");
		return EXIT_FAILURE;
		}
		
	if(whoami != 0)	/* successfully created son */
		{	
		close(S_fd_pipe[0]);	/* close end for reading */
		S_son_pid = whoami;
		return EXIT_SUCCESS;
		}
		
		/* Here is the code for the son... */
		{
		int sound_num,ch,i;
		struct timeval tval = {0L,0L};
		fd_set readfds,dsp;

		Mix mix;
		
		int frag, fragsize;

		Channel *chan = (Channel*)malloc( sizeof(Channel)*S_num_channels );

		for (i=0; i<S_num_channels; i++)
			Chan_reset( chan+i );
			
		S_fd_snddev = open(S_snddev,O_WRONLY );
		if(S_fd_snddev < 0)
			{	
			perror("Cannot open sound device: ");
			exit(1);
			}

		frag = FRAG_SPEC; /*defined in soundIt.h */
		
 		ioctl(S_fd_snddev, SNDCTL_DSP_SETFRAGMENT, &frag);
 
		if ( ioctl(S_fd_snddev,SNDCTL_DSP_SPEED, &S_playback_freq)==-1 )
			perror("Sound driver ioctl ");

		fragsize=0;
		if ( ioctl(S_fd_snddev,SNDCTL_DSP_GETBLKSIZE, &fragsize)==-1 ) 
			perror("Sound driver ioctl ");
			
		/* printf("after: block size: %d \n",fragsize); */

		/* init mixer object*/
		Mix_alloc( &mix, fragsize );

		close(S_fd_pipe[1]);	/* close end for writing */

		FD_ZERO(&dsp); 
		FD_SET(S_fd_snddev, &dsp);
		
		FD_ZERO(&readfds); 
		FD_SET(S_fd_pipe[0], &readfds);
		
		printf("Sound driver initialized.\n");
		
		for(;;)
			{
			FD_SET(S_fd_pipe[0], &readfds);
			tval.tv_sec=0L;
			tval.tv_usec=0L;
			select(S_fd_pipe[0]+1, &readfds,NULL,NULL,&tval);

			if (FD_ISSET(S_fd_pipe[0], &readfds))
				{
				if (read(S_fd_pipe[0], &sound_num, sizeof(int))==0)
					break;

				read(S_fd_pipe[0], &ch, sizeof(int));

				/* printf("chan=%d snd=%d len=%d \n", ch, sound_num, S_sounds[sound_num].len ); */
				Chan_assign( &(chan[ch]), &(S_sounds[sound_num]) );
				}
			
			Chan_mixAll(&mix,chan);
			write(S_fd_snddev, mix.Vclippedbuf, fragsize );
			}

		Mix_dealloc( &mix );			
		printf("Sound process exiting..\n");
		close(S_fd_pipe[0]);
		close(S_fd_pipe[1]);
		exit (0);
		} /*end of child process */
	}


/*==========================================================================*/
int Snd_restore_dev()
	{
	close(S_fd_pipe[0]);
	close(S_fd_pipe[1]);
	
	/* wait for child process to die*/
	wait(NULL);
	return EXIT_SUCCESS;
	}

/*==========================================================================*/
/*   CHANNEL MIXING FUNCTIONS						    */
/*==========================================================================*/
void Chan_reset( Channel *chan )
    {
    chan->Vstart=NULL;
    chan->Vcurrent=NULL;
    chan->Vlen=0;
    chan->Vleft=0;
    }

/*==========================================================================*/
void Chan_assign( Channel *chan, const Sample *snd )
    {
    chan->Vstart  = snd->data;
    chan->Vcurrent= chan->Vstart;
    chan->Vlen    = snd->len;
    chan->Vleft   = snd->len;
    } 

/*==========================================================================*/
int Chan_copyIn( Channel *chan, Mix *mix )
    {
    int    i,*p = mix->Vunclipbuf, result, min;

    result = (chan->Vleft>0) ? 1 : 0;
    min = (chan->Vleft < mix->Vsize) ? chan->Vleft : mix->Vsize;

    for(i=0; i<min; i++)
        {
        *p++ = (int) *chan->Vcurrent++;
        }
    chan->Vleft -= i;

    /* fill the remaining (if any) part of the mix buffer with silence */
    while (i<mix->Vsize) 
            { 
            *p++ = 128; 
            i++; 
            }
    return result;            
    }

/*==========================================================================*/
int Chan_mixIn( Channel *chan, Mix *mix ) 
    {
    int    i,*p = mix->Vunclipbuf, result, min;

    result = (chan->Vleft>0) ? 1 : 0;
    min = (chan->Vleft < mix->Vsize) ? chan->Vleft : mix->Vsize;
    
    for(i=0; i<min; i++)
        {
        *p++ += (int) (*chan->Vcurrent++) - 128;
        }

    chan->Vleft -= i;
    return result;
    }

/*========================================================================*/
/* clip an int to a value between 0 and 255 */
static inline 
unsigned char clip(int i)
    {
    return (i<0) ? 0 : ( (i>255) ? 255 : i );
    }
    
/*==========================================================================*/
int Chan_finalMixIn( Channel *chan, Mix *mix )
    {
    register int    i;
    int   *p = mix->Vunclipbuf, result, min;
    unsigned char *final = mix->Vclippedbuf;

    result = (chan->Vleft>0) ? 1 : 0;
    min = (chan->Vleft < mix->Vsize) ? chan->Vleft : mix->Vsize;
    
    for(i=0; i<min; i++)
        {
        *p += (int) (*chan->Vcurrent++) - 128;
        *final++ = clip(*p++);
        }
    chan->Vleft -= i;

    /* copy rest of Vunclipbuf over to Vclippedbuf */
    while (i<mix->Vsize) 
            {
            *final++ = clip(*p++);
            i++;
            }
            
    return result;
    }


/*==========================================================================*/
void Mix_alloc(Mix *mix, int size)
    {
    mix->Vclippedbuf = (unsigned char *)calloc( sizeof(char), size);
    mix->Vunclipbuf = (int *)calloc( sizeof(int), size);
    mix->Vsize  = size;
    
    if ((mix->Vclippedbuf==NULL)||(mix->Vunclipbuf==NULL))
    	{
   	fprintf(stderr,"Unable to allocate memory for mixer buffer\n");
    	exit(-1);
    	}
    }

/*==========================================================================*/
void Mix_dealloc( Mix *mix)
    { 
    if (mix->Vclippedbuf) free(mix->Vclippedbuf); 
    if (mix->Vunclipbuf) free(mix->Vunclipbuf); 
    }

/*==========================================================================*/
/* Mixes together the channels into one sound.
   Returns # of channels currently playing *any* sound
   Therefore, return 0 means to channels have a sample, therefore no
   sound is playing
*/ 
int Chan_mixAll( Mix *mix, Channel *chan )
    {
    int result  = 0,i=0;
    
    result  = Chan_copyIn( chan,  mix);

    /* we want to loop for S_num_channels-2 */
    for(i=2;i<S_num_channels;i++)
    	result += Chan_mixIn( ++chan, mix);
    	
    result += Chan_finalMixIn( ++chan, mix);
    
    return result;
    }

/*==========================================================================*/
/* given the name of a .raw sound file, load it into the Sample struct */ 
/* pointed to by 'sample'                                              */
/* Returns -1 couldn't open/read file				       */
/*         -2 couldn't alloc memory)                                   */
int
Snd_loadRawSample( const char *file, Sample *sample )
   {
   FILE *fp;

   sample->data = NULL;
   sample->len  = 0;
   
   fp = fopen(file,"r");   
   
   if (fp==NULL) return -1;
   
   /* get length of the file */
   sample->len = lseek( fileno(fp), 0, SEEK_END );
   
   /* go back to beginning of file */
   lseek( fileno(fp), 0, SEEK_SET );

   /* alloc memory for sample */
   sample->data = (unsigned char *)malloc( sample->len );
   
   if (sample->data==NULL)
   	{
   	fclose(fp);
   	return -2;
   	}
   
   fread( sample->data, 1, sample->len, fp ); 	
  
   fclose(fp);
   
   return 0;
   }
